<?php
if (! class_exists ( 'DTPortfolioPostType' )) {
	class DTPortfolioPostType {
		
		/**
		 * A function constructor calls initially
		 */
		function __construct() {
			// Add Hook into the 'init()' action
			add_action ( 'init', array (
					$this,
					'dt_init' 
			) );
			
			// Add Hook into the 'admin_init()' action
			add_action ( 'admin_init', array (
					$this,
					'dt_admin_init' 
			) );
			
			// Add Hook into the 'template_include' filter
			add_filter ( 'template_include', array (
					$this,
					'dt_template_include' 
			) );
		}
		
		/**
		 * A function hook that the WordPress core launches at 'init' points
		 */
		function dt_init() {
			$this->createPostType ();
			add_action ( 'save_post', array (
					$this,
					'save_post_meta' 
			) );

			add_action( 'portfolio_entries_add_form_fields', array ( $this, 'dt_add_category_image' ), 10, 2 );
			add_action( 'created_portfolio_entries', array ( $this, 'dt_save_category_image' ), 10, 2 );
			add_action( 'portfolio_entries_edit_form_fields', array ( $this, 'dt_update_category_image' ), 10, 2 );
			add_action( 'edited_portfolio_entries', array ( $this, 'dt_updated_category_image' ), 10, 2 );

		}

		function dt_add_category_image ( $taxonomy ) { 
		   echo '<div class="form-field term-group">
				     <label for="category-image-id">'.esc_html__('Image', 'craftsandarts-core').'</label>
				     <input type="hidden" id="category-image-id" name="category-image-id" class="custom_media_url" value="">
				     <div id="category-image-wrapper"></div>
				     <p>
				       <input type="button" class="button button-secondary ct_tax_media_button dt-open-media" id="ct_tax_media_button" name="ct_tax_media_button" value="'.esc_html__( 'Add Image', 'craftsandarts-core' ).'" />
				       <input type="button" class="button button-secondary ct_tax_media_remove" id="ct_tax_media_remove" name="ct_tax_media_remove" value="'.esc_html__( 'Remove Image', 'craftsandarts-core' ).'" />
				    </p>
				    <p>'.esc_html__('This option will be used for "Portfolio Categories" shortcode.', 'craftsandarts-core').'</p>
				</div>';
		   echo '<div class="form-field term-group">
				    <label for="category-enable-album">'.esc_html__('Enable Album Gallery', 'craftsandarts-core').'</label>
				    <select name="category-enable-album" id="category-enable-album" class="postform">
						<option value="false">'.esc_html__('False', 'craftsandarts-core').'</option>
						<option value="true">'.esc_html__('True', 'craftsandarts-core').'</option>
					</select>
					<p>'.esc_html__('This option will be used for "Portfolio Categories" shortcode.', 'craftsandarts-core').'</p>
				</div>';				
		}

		function dt_save_category_image ( $term_id, $tt_id ) {
			if( isset( $_POST['category-image-id'] ) ){
				$image = $_POST['category-image-id'];
				add_term_meta( $term_id, 'category-image-id', $image, true );
			}
			if( isset( $_POST['category-enable-album'] ) ){
				$album = $_POST['category-enable-album'];
				add_term_meta( $term_id, 'category-enable-album', $album, true );
			}			
		}	

		function dt_update_category_image ( $term, $taxonomy ) {
			echo '<tr class="form-field term-group-wrap">
					<th scope="row">
						<label for="category-image-id">'.esc_html__('Image', 'craftsandarts-core').'</label>
					</th>
					<td>';
						$image_id = get_term_meta ( $term -> term_id, 'category-image-id', true );
						echo '<input type="hidden" id="category-image-id" name="category-image-id" value="'.$image_id.'">
							<div id="category-image-wrapper">';
								if ( $image_id ) {
									echo wp_get_attachment_image ( $image_id, 'thumbnail' );
								}
						echo '</div>
						<p>
							<input type="button" class="button button-secondary ct_tax_media_button dt-open-media" id="ct_tax_media_button" name="ct_tax_media_button" value="'.esc_html__( 'Add Image', 'craftsandarts-core' ).'" />
							<input type="button" class="button button-secondary ct_tax_media_remove" id="ct_tax_media_remove" name="ct_tax_media_remove" value="'.esc_html__( 'Remove Image', 'craftsandarts-core' ).'" />
						</p>
						<p>'.esc_html__('This option will be used for "Portfolio Categories" shortcode.', 'craftsandarts-core').'</p>
					</td>
				</tr>';

			echo '<tr class="form-field term-group-wrap">
					<th scope="row">
						<label for="category-enable-album">'.esc_html__('Enable Album Gallery', 'craftsandarts-core').'</label>
					</th>
					<td>';
						$enable_album = get_term_meta ( $term -> term_id, 'category-enable-album', true );
						echo '<select name="category-enable-album" id="category-enable-album" class="postform">
								<option value="false" '.selected('false', $enable_album, false).'>'.esc_html__('False', 'craftsandarts-core').'</option>
								<option value="true" '.selected('true', $enable_album, false).'>'.esc_html__('True', 'craftsandarts-core').'</option>
							</select>
						<p>'.esc_html__('This option will be used for "Portfolio Categories" shortcode.', 'craftsandarts-core').'</p>
					</td>
				</tr>';				
		}			

		function dt_updated_category_image ( $term_id, $tt_id ) {
			if( isset( $_POST['category-image-id'] ) && '' !== $_POST['category-image-id'] ){
				$image = $_POST['category-image-id'];
				update_term_meta ( $term_id, 'category-image-id', $image );
			} else {
				update_term_meta ( $term_id, 'category-image-id', '' );
			}
			if( isset( $_POST['category-enable-album'] ) && '' !== $_POST['category-enable-album'] ){
				$image = $_POST['category-enable-album'];
				update_term_meta ( $term_id, 'category-enable-album', $image );
			} else {
				update_term_meta ( $term_id, 'category-enable-album', '' );
			}			
		}		

		/**
		 * A function hook that the WordPress core launches at 'admin_init' points
		 */
		function dt_admin_init() {
			wp_enqueue_script ( 'jquery-ui-sortable' );
			
			add_action ( 'add_meta_boxes', array (
					$this,
					'dt_add_portfolio_meta_box' 
			) );
			
			add_filter ( "manage_edit-dt_portfolios_columns", array (
					$this,
					"dt_portfolios_edit_columns" 
			) );
			
			add_action ( "manage_posts_custom_column", array (
					$this,
					"dt_portfolios_columns_display" 
			), 10, 2 );
		}
		
		/**
		 */
		function createPostType() {

			$portslug = 'dt_portfolios';
			$taxslug  = 'portfolio_entries';
			$tagslug  = 'portfolio_tags';

			if( function_exists( 'craftsandarts_opts_get' ) ) {
				$portslug =	craftsandarts_opts_get( 'single-portfolio-slug', 'dt_portfolios' );
				$taxslug  =	craftsandarts_opts_get( 'portfolio-category-slug', 'portfolio_entries' );
				$tagslug  =	craftsandarts_opts_get( 'portfolio-tag-slug', 'portfolio_tags' );
			}

			$labels = array (
					'name' => esc_html__( 'Portfolios', 'craftsandarts-core' ),
					'all_items' => esc_html__( 'All Portfolios', 'craftsandarts-core' ),
					'singular_name' => esc_html__( 'Portfolio', 'craftsandarts-core' ),
					'add_new' => esc_html__( 'Add New', 'craftsandarts-core' ),
					'add_new_item' => esc_html__( 'Add New Portfolio', 'craftsandarts-core' ),
					'edit_item' => esc_html__( 'Edit Portfolio', 'craftsandarts-core' ),
					'new_item' => esc_html__( 'New Portfolio', 'craftsandarts-core' ),
					'view_item' => esc_html__( 'View Portfolio', 'craftsandarts-core' ),
					'search_items' => esc_html__( 'Search Portfolios', 'craftsandarts-core' ),
					'not_found' => esc_html__( 'No Portfolios found', 'craftsandarts-core' ),
					'not_found_in_trash' => esc_html__( 'No Portfolios found in Trash', 'craftsandarts-core' ),
					'parent_item_colon' => esc_html__( 'Parent Portfolio:', 'craftsandarts-core' ),
					'menu_name' => esc_html__( 'Portfolios', 'craftsandarts-core' ) ,					
			);
			
			$args = array (
					'labels' => $labels,
					'hierarchical' => false,
					'description' => esc_html__( 'This is custom post type portfolios', 'craftsandarts-core' ),
					'supports' => array (
						'title',
						'editor',
						'comments',
						'thumbnail',
						'excerpt',
						'revisions'
					),
					
					'public' => true,
					'show_in_rest' => true,
					'show_ui' => true,
					'show_in_menu' => true,
					'menu_position' => 5,
					'menu_icon' => 'dashicons-format-gallery',
					
					'show_in_nav_menus' => true,
					'publicly_queryable' => true,
					'exclude_from_search' => false,
					'has_archive' => true,
					'query_var' => true,
					'can_export' => true,
					'rewrite' => array( 'slug' => $portslug ),
					'capability_type' => 'post'
			);

			register_post_type ( 'dt_portfolios', $args );

			register_taxonomy ( 'portfolio_entries', array (
					'dt_portfolios' 
			), array (
					"hierarchical" => true,
					"label" => esc_html__( "Categories",'craftsandarts-core' ),
					"singular_label" => esc_html__( "Category",'craftsandarts-core' ),
					"show_admin_column" => true,
					"rewrite" => array( 'slug' => $taxslug ),
					'show_in_rest' => true,
					"query_var" => true
			) );

			register_taxonomy ( 'portfolio_tags', array (
				'dt_portfolios' 
			), array (
					"label" => esc_html__( 'Tags','craftsandarts-core' ),
					"singular_label" => esc_html__( 'Tag','craftsandarts-core' ),
					"show_admin_column" => true,
					"rewrite" => array( 'slug' => $tagslug ),
					'show_in_rest' => true,
					"query_var" => true 
			) );

		}

		/**
		 */
		function dt_add_portfolio_meta_box() {
			add_meta_box ( "dt-portfolio-default-metabox", esc_html__( 'Default Options', 'craftsandarts-core' ), array (
					$this,
					'dt_default_metabox' 
			), 'dt_portfolios', "normal", "default" );
		}
		
		/**
		 */
		function dt_default_metabox() {
			include_once plugin_dir_path ( __FILE__ ) . 'metaboxes/dt_portfolio_default_metabox.php';
		}
		
		/**
		 *
		 * @param unknown $columns        	
		 * @return multitype:
		 */
		function dt_portfolios_edit_columns($columns) {

			$newcolumns = array (
				"cb" => "<input type=\"checkbox\" />",
				"dt_portfolio_thumb" => esc_html__("Image", 'craftsandarts-core'),
				"title" => esc_html__("Title", 'craftsandarts-core'),
				"author" => esc_html__("Author", 'craftsandarts-core')
			);
			$columns = array_merge ( $newcolumns, $columns );
			return $columns;
		}
		
		/**
		 *
		 * @param unknown $columns
		 * @param unknown $id
		 */
		function dt_portfolios_columns_display($columns, $id) {
			global $post;
			
			switch ($columns) {
				
				case "dt_portfolio_thumb" :

				    $image = wp_get_attachment_image(get_post_thumbnail_id($id), array(75,75));
					if(!empty($image)):
					  	echo ($image);
				    else:
						$portfolio_settings = get_post_meta ( $post->ID, '_portfolio_settings', TRUE );
						$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();
					
						if( array_key_exists("items_thumbnail", $portfolio_settings)) {
							$item = $portfolio_settings ['items_thumbnail'] [0];
							$name = $portfolio_settings ['items_name'] [0];
						
							if( "video" === $name ) {
								echo '<span class="dt-video"></span>';
							}else{
								echo "<img src='{$item}' height='75px' width='75px' />";
							}
						}
					endif;
				break;
			}
		}

		/**
		 */
		function save_post_meta($post_id) {

			if( key_exists ( '_inline_edit',$_POST )) :
				if ( wp_verify_nonce($_POST['_inline_edit'], 'inlineeditnonce')) return;
			endif;
			
			if( key_exists( 'dt_theme_portfolio_meta_nonce',$_POST ) ) :
				if ( ! wp_verify_nonce( $_POST['dt_theme_portfolio_meta_nonce'], 'dt_theme_portfolio_nonce') ) return;
			endif;
		 
			if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) return;

			if (!current_user_can('edit_post', $post_id)) :
				return;
			endif;

			if ( (key_exists('post_type', $_POST)) && ('dt_portfolios' == $_POST['post_type']) ) :

				$layout = isset($_POST['layout']) ? $_POST['layout'] : '';
				if($layout) :
					$settings = array ();
					$settings['layout'] = $layout;

					$portfolio_layout = $_POST ['portfolio-layout'];
					if($portfolio_layout == 'media-on-top' || $portfolio_layout == 'fixed-gallery' || $portfolio_layout == 'fixed-feature-image' || $portfolio_layout == 'fullpage-portfolio' || $portfolio_layout == 'fullscreen-slider' || $portfolio_layout == 'gallery-list') {
						$settings['enable-sub-title'] = '';
					} else {
						$settings['enable-sub-title'] = isset ( $_POST['enable-sub-title'] ) ? $_POST['enable-sub-title'] : "";	
					}
					
					$settings['sub-title-bg'] = isset ( $_POST['sub-title-bg'] ) ? $_POST['sub-title-bg'] : "";
					$settings['sub-title-bg-repeat'] = isset ( $_POST['sub-title-bg-repeat'] ) ? $_POST['sub-title-bg-repeat'] : "";
					$settings['sub-title-opacity'] = isset ( $_POST['sub-title-opacity'] ) ? $_POST['sub-title-opacity'] : "";
					$settings['sub-title-bg-position'] = isset ( $_POST['sub-title-bg-position'] ) ? $_POST['sub-title-bg-position'] : "";
					$settings['sub-title-bg-color'] = isset ( $_POST['sub-title-bg-color'] ) ? $_POST['sub-title-bg-color'] : "";

					$settings['different-parallax-speed-values'] = isset ( $_POST['different-parallax-speed-values'] ) ? $_POST['different-parallax-speed-values'] : '';
					$settings['random-parallax-speed-values'] = isset ( $_POST['random-parallax-speed-values'] ) ? $_POST['random-parallax-speed-values'] : '';
					
					$settings['animationeffect'] = isset ( $_POST['animationeffect'] ) ? $_POST['animationeffect'] : '';
					$settings['animationdelay'] = isset ( $_POST['animationdelay'] ) ? $_POST['animationdelay'] : '';

					if($layout == 'with-both-sidebar') {
						$settings['show-standard-sidebar-left'] = isset( $_POST['show-standard-sidebar-left'] ) ? $_POST['show-standard-sidebar-left'] : '';
						$settings['show-standard-sidebar-right'] = isset( $_POST['show-standard-sidebar-right'] ) ? $_POST['show-standard-sidebar-right'] : '';
						$settings['widget-area-left'] = isset( $_POST['dttheme']['widgetareas-left'] ) ? array_unique(array_filter($_POST['dttheme']['widgetareas-left'])) : '';
						$settings['widget-area-right'] = isset( $_POST['dttheme']['widgetareas-right'] ) ? array_unique(array_filter($_POST['dttheme']['widgetareas-right'])) : '';
					} elseif($layout == 'with-left-sidebar') {
						$settings['show-standard-sidebar-left'] = isset( $_POST['show-standard-sidebar-left'] ) ? $_POST['show-standard-sidebar-left'] : '';
						$settings['widget-area-left'] =  isset($_POST['dttheme']['widgetareas-left']) ? array_unique(array_filter($_POST['dttheme']['widgetareas-left'])) : '';
					} elseif($layout == 'with-right-sidebar') {
						$settings['show-standard-sidebar-right'] = $_POST['show-standard-sidebar-right'];
						$settings['widget-area-right'] =  isset($_POST['dttheme']['widgetareas-right']) ? array_unique(array_filter($_POST['dttheme']['widgetareas-right'])) : '';
					}
					
					$settings ['hover-background-color'] = isset ( $_POST ['hover-background-color'] ) ? $_POST ['hover-background-color'] : "";
					$settings ['hover-content-color'] = isset ( $_POST ['hover-content-color'] ) ? $_POST ['hover-content-color'] : "";
					$settings ['hover-gradient-color'] = isset ( $_POST ['hover-gradient-color'] ) ? $_POST ['hover-gradient-color'] : "";
					$settings ['hover-gradient-direction'] = isset ( $_POST ['hover-gradient-direction'] ) ? $_POST ['hover-gradient-direction'] : 'lefttoright';

					$settings ['hover-state'] = isset ( $_POST ['hover-state'] ) ? $_POST ['hover-state'] : "";
					
					$settings ['portfolio-layout'] = isset ( $_POST ['portfolio-layout'] ) ? $_POST ['portfolio-layout'] : "";
					$settings ['mediaontop-mediatype'] = isset ( $_POST ['mediaontop-mediatype'] ) ? $_POST ['mediaontop-mediatype'] : "";
					$settings ['mediaontop-video'] = isset ( $_POST ['mediaontop-video'] ) ? $_POST ['mediaontop-video'] : "";
					$settings ['featured-video'] = isset ( $_POST ['featured-video'] ) ? $_POST ['featured-video'] : "";
									
					$settings['gallerylist-position'] = isset ( $_POST['gallerylist-position'] ) ? $_POST['gallerylist-position'] : "";

					$settings['masonry-size'] = isset ( $_POST['masonry-size'] ) ? $_POST['masonry-size'] : "";
					
					$settings ['items'] = isset ( $_POST ['items'] ) ? $_POST ['items'] : "";
					$settings ['items_thumbnail'] = isset ( $_POST ['items_thumbnail'] ) ? $_POST ['items_thumbnail'] : "";
					$settings ['items_name'] = isset ( $_POST ['items_name'] ) ? $_POST ['items_name'] : "";
					$settings ['items_id'] = isset ( $_POST ['items_id'] ) ? $_POST ['items_id'] : "";
	
					$settings ['meta_title'] = isset ( $_POST['dttheme-meta-title'] ) ? $_POST['dttheme-meta-title'] : "";
					$settings ['meta_value'] = isset ( $_POST['dttheme-meta-value'] ) ? $_POST['dttheme-meta-value'] : "";

					$settings ['header-types'] = isset ( $_POST ['header-types'] ) ? $_POST ['header-types'] : "";
					$settings ['transparent-header'] = isset ( $_POST ['transparent-header'] ) ? $_POST ['transparent-header'] : "";
					$settings ['dark-header'] = isset ( $_POST ['dark-header'] ) ? $_POST ['dark-header'] : "";

					$settings ['hover-styles'] = isset ( $_POST ['hover-styles'] ) ? $_POST ['hover-styles'] : "";
					
					$settings ['disable-top-spaces'] = isset ( $_POST['disable-top-spaces'] ) ? $_POST['disable-top-spaces'] : "";
					$settings ['disable-bottom-spaces'] = isset ( $_POST['disable-bottom-spaces'] ) ? $_POST['disable-bottom-spaces'] : "";
					$settings ['disable-footer'] = isset ( $_POST['disable-footer'] ) ? $_POST['disable-footer'] : "";

					$settings ['footer-page'] = isset ( $_POST['footer-page'] ) ? $_POST['footer-page'] : "";
					$settings ['footer-darkbg'] = isset ( $_POST['footer-darkbg'] ) ? $_POST['footer-darkbg'] : "";
	
					update_post_meta ( $post_id, "_portfolio_settings", array_filter ( $settings ) );
	
					// for default category
					$terms = wp_get_object_terms ( $post_id, 'portfolio_entries' );
					if (empty ( $terms )) :
						wp_set_object_terms ( $post_id, 'Uncategorized', 'portfolio_entries', true );
					endif;
				endif;
			endif;
			
		}

		/**
		 * To load portfolio pages in front end
		 *
		 * @param string $template        	
		 * @return string
		 */
		function dt_template_include($template) {
			if (is_singular( 'dt_portfolios' )) {
				if (! file_exists ( get_stylesheet_directory () . '/single-dt_portfolios.php' )) {
					$template = plugin_dir_path ( __FILE__ ) . 'templates/single-dt_portfolios.php';
				}
			} elseif (is_post_type_archive ( 'dt_portfolios' )) {
				if (! file_exists ( get_stylesheet_directory () . '/archive-dt_portfolios.php' )) {
					$template = plugin_dir_path ( __FILE__ ) . 'templates/archive-dt_portfolios.php';
				}				
			} elseif (is_tax ( 'portfolio_entries' )) {
				if (! file_exists ( get_stylesheet_directory () . '/taxonomy-portfolio_entries.php' )) {
					$template = plugin_dir_path ( __FILE__ ) . 'templates/taxonomy-portfolio_entries.php';
				}
			} elseif (is_tax ( 'portfolio_tags' )) {
				if (! file_exists ( get_stylesheet_directory () . '/taxonomy-portfolio_tags.php' )) {
					$template = plugin_dir_path ( __FILE__ ) . 'templates/taxonomy-portfolio_tags.php';
				}
			}
			return $template;
		}
	}
}
?>