<?php

/* Portfolio Functions */

function dt_sc_get_portfolio_slider($slider_settings) {

	$output = '';

	if(!is_array($slider_settings) && empty($slider_settings)) {
		$slider_settings = array();
	}

	$portfolio_id = isset( $slider_settings['portfolio_id'] ) ? $slider_settings['portfolio_id'] : '';

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	if(isset($slider_settings['gallery_ids']) && $slider_settings['gallery_ids'] != '') {
		$filter_gallery = true;
		$gallery_ids = explode(',', $slider_settings['gallery_ids']);
	} else {
		$filter_gallery = false;
	}

	$fixed_slider = (isset($slider_settings['fixed_slider']) && $slider_settings['fixed_slider'] == 'true') ? true : false;
	$show_feature_image = (isset($slider_settings['show_feature_image']) && $slider_settings['show_feature_image'] == 'true') ? true : false;
	$show_thumbnail = (isset($slider_settings['show_thumbnail']) && $slider_settings['show_thumbnail'] == 'true') ? true : false;
	$show_arrow = (isset($slider_settings['show_arrow']) && $slider_settings['show_arrow'] == 'true') ? true : false;
	$show_pagination = (isset($slider_settings['show_pagination']) && $slider_settings['show_pagination'] == 'true') ? true : false;
	$centermode = (isset($slider_settings['centermode']) && $slider_settings['centermode'] == 'true') ? true : false;
	$variablewidth = (isset($slider_settings['variablewidth']) && $slider_settings['variablewidth'] == 'true') ? true : false;
	$numberofslides = (isset($slider_settings['numberofslides']) && $slider_settings['numberofslides'] != '') ? $slider_settings['numberofslides'] : 1;
	$slidewidth = (isset($slider_settings['slidewidth']) && $slider_settings['slidewidth'] != '') ? $slider_settings['slidewidth'] : 0;
	$auto_carousel = (isset($slider_settings['auto_carousel']) && $slider_settings['auto_carousel'] == 'true') ? true : false;


	$ul_class = $ul_attr = '';

	if($show_thumbnail) {
		$ul_class .= 'with-thumbnail ';
		$ul_attr .= 'data-thumbnail="true" ';
	} else if($show_pagination) {
		$ul_class .= 'with-pagination ';
		$ul_attr .= 'data-pagination="true" ';
	}

	if($show_arrow) {
		$ul_class .= 'with-arrow ';
		$ul_attr .= 'data-arrow="true" ';
	}

	if($centermode) {
		$ul_class .= 'portfolio-single-slick-slider with-centermode ';
		$ul_attr .= 'data-centermode="true" ';
	}	

	if($variablewidth) {
		if(!$centermode) {
			$ul_class .= 'portfolio-single-slick-slider ';
		}
		$ul_class .= 'with-variablewidth ';
		$ul_attr .= 'data-variablewidth="true" ';
	}

	if($auto_carousel) {
		$ul_attr .= 'data-autocarousel="true" ';
	}

	$ul_attr .= 'data-numberofslides="'.$numberofslides.'" ';
	$ul_attr .= 'data-slidewidth="'.$slidewidth.'" ';


	if($fixed_slider) {
		$image_size = 'full';
	} else {
		$image_size = 'craftsandarts-1170x731';
	}

	$portfolio_settings = get_post_meta ( $portfolio_id, '_portfolio_settings', true );
	$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();


	$output .= '<div class="dt-portfolio-single-slider-wrapper">';

		    $output .= '<ul class="dt-portfolio-single-slider '.$ul_class.'" '.$ul_attr.'>';
							if($show_feature_image) {
								if($fixed_slider) {
									$image_src = wp_get_attachment_image_src(get_post_thumbnail_id( $portfolio_id ), $image_size, false);
									$image_src = $image_src[0];
									if($image_src != '') {									
										$output .= '<li style="background-image:url('.$image_src.')"></li>';
									}
								} else {
					        		if( get_post_thumbnail_id($portfolio_id) ) {
					            		$output .= '<li>'.get_the_post_thumbnail( $portfolio_id, $image_size ).'</li>';
					            	}
					            }
				            }
				            if( array_key_exists("items_name",$portfolio_settings) ) {
								foreach( $portfolio_settings["items_name"] as $key => $item ) {		
									if($filter_gallery) {

										$items_id = $portfolio_settings["items_id"][$key];

										if(in_array($items_id, $gallery_ids)) {

											$image_src = wp_get_attachment_image_src($items_id, $image_size, false);
											$image_src = $image_src[0];
											if($image_src != '') {	
												if($fixed_slider) {
													$output .= '<li style="background-image:url('.$image_src.')"></li>';
												} else {										
													$output .= '<li><img src="'.esc_url($image_src).'" alt="portfolio-image" title="portfolio-image" /></li>';
												}
											}

										}

									} else {

										$current_item = $portfolio_settings["items"][$key];
										if( "video" === $item ) {
											$output .= '<li>'.wp_oembed_get( $current_item ).'</li>';
										} else {
											$items_id = $portfolio_settings["items_id"][$key];
											$image_src = wp_get_attachment_image_src($items_id, $image_size, false);
											$image_src = $image_src[0];
											if($image_src != '') {	
												if($fixed_slider) {
													$output .= '<li style="background-image:url('.$image_src.')"></li>';
												} else {										
													$output .= '<li><img src="'.esc_url($image_src).'" alt="portfolio-image" title="portfolio-image" /></li>';
												}
											}
										}

									}

								}
				        	}
		    $output .= '</ul>';

		    if($show_thumbnail) {

		    	if(!$centermode && !$variablewidth) {
	        
			        if( array_key_exists("items_name", $portfolio_settings) ) { 
		        		$output .= '<div id="bx-pager">';

		                	$i = 0;
		                	if($show_feature_image) {
		                    	if( get_post_thumbnail_id($portfolio_id) ){ 
		                        	$output .= '<a data-slide-index="'.$i.'" href="">'.get_the_post_thumbnail( $portfolio_id, 'craftsandarts-85x53' ).'</a>';
		                        	$i++;
		                        } 
		                    }

		                    if( array_key_exists("items_name",$portfolio_settings) ) {
								foreach( $portfolio_settings["items_name"] as $key => $item ) {
									 
									$current_item = $portfolio_settings["items"][$key];
									$current_item_id = $portfolio_settings["items_id"][$key];

									$image = wp_get_attachment_image_src($current_item_id, 'craftsandarts-85x53', false);
									
									if($filter_gallery) {

										$items_id = $portfolio_settings["items_id"][$key];

										if(in_array($items_id, $gallery_ids)) {
											$output .= '<a data-slide-index="'.esc_attr($i).'" href="">';
											$output .= '<img src="'.esc_url($image[0]).'" alt="gallery-thumb" title="gallery-thumb" />';
											$output .= '</a>';
											$i++;
										}

									} else {															
										$output .= '<a data-slide-index="'.esc_attr($i).'" href="">';

										if( 'video' === $item ) {
											$output .= '<img src="'. plugins_url('designthemes-core-features').'/custom-post-types/images/video-image.png" alt="gallery-thumb" title="gallery-thumb" />';
										} else {
											$output .= '<img src="'.esc_url($image[0]).'" alt="gallery-thumb" title="gallery-thumb" />';
										}

										$output .= '</a>';
										$i++;									

									}				
																				
								}
		                	  }
		                	  
		       			$output .= '</div>';
			        }

			    }

		    }

	$output .= '</div>';

	return $output;


}

function dt_sc_get_portfolio_fullpage_carousel($portfolio_id, $show_feature_image) {

	$output = '';

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	$portfolio_settings = get_post_meta ( $portfolio_id, '_portfolio_settings', TRUE );
	$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();

	$output .= '<div class="dt-portfolio-single-fullpage-carousel-wrapper">';

		    $output .= '<div class="dt-portfolio-single-fullpage-carousel section">';
					if($show_feature_image) {
		        		if( get_post_thumbnail_id($portfolio_id) ) {
		            		$output .= '<div class="slide">'.get_the_post_thumbnail( $portfolio_id, 'full' ).'</div>';
		            	}
		            }
		            if( array_key_exists("items_name",$portfolio_settings) ) {
						foreach( $portfolio_settings["items_name"] as $key => $item ) {		
							$current_item = $portfolio_settings["items"][$key];
							if( "video" === $item ) {
								$output .= '<div class="slide">'.wp_oembed_get( $current_item ).'</div>';
							} else {
								$output .= '<div class="slide"> <img src="'.esc_url($current_item).'" alt="portfolio-image" title="portfolio-image" /></div>';
							}
						}
		        	}
		    $output .= '</div>';

	$output .= '</div>';

	return $output;

}

function dt_sc_get_portfolio_fullscreen_slider($portfolio_id, $show_feature_image) {

	$output = '';

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	$portfolio_settings = get_post_meta ( $portfolio_id, '_portfolio_settings', TRUE );
	$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();

	$output .= '<div class="dt-sc-portfolio-single-fullscreen-slider">
		      <div class="slider-for section">';

		      		$img_cnt = 0;
					if($show_feature_image) {
						$image_src = wp_get_attachment_image_src(get_post_thumbnail_id( $portfolio_id ), 'full', false);
						$image_src = $image_src[0];
						if($image_src != '') {
							$output .= '<div style="background-image:url('.$image_src.');"></div>';
							$img_cnt++;
						}
		            }
		            if( array_key_exists("items_name",$portfolio_settings) ) {
						foreach( $portfolio_settings["items_name"] as $key => $item ) {		
							$current_item = $portfolio_settings["items"][$key];
							if( "video" === $item ) {
								$output .= '<div>'.wp_oembed_get( $current_item ).'</div>';
								$img_cnt++;
							} else {
								$items_id = $portfolio_settings["items_id"][$key];
								$image_src = wp_get_attachment_image_src($items_id, 'full', false);
								$image_src = $image_src[0];
								if($image_src != '') {
									$output .= '<div style="background-image:url('.$image_src.');"></div>';
									$img_cnt++;
								}
							}
						}
		        	}

		$output .= '</div>';
		$output .= '<div class="slider-nav" data-itemscnt="'.$img_cnt.'">';

				if($show_feature_image) {
					$image_src = wp_get_attachment_image_src(get_post_thumbnail_id( $portfolio_id ), 'thumbnail', false);
					$image_src = $image_src[0];
					if($image_src != '') {
						$output .= '<div><img src="'.$image_src.'" alt="gallery-thumb" title="gallery-thumb" /></div>';
					}
	            }
	            if( array_key_exists("items_name",$portfolio_settings) ) {
					foreach( $portfolio_settings["items_name"] as $key => $item ) {		
						$current_item = $portfolio_settings["items"][$key];
						if( "video" === $item ) {
							$output .= '<div><img src="'.plugins_url('designthemes-core-features').'/custom-post-types/images/video-image.png" alt="gallery-thumb" title="gallery-thumb" /></div>';
						} else {
							$items_id = $portfolio_settings["items_id"][$key];
							$image_src = wp_get_attachment_image_src($items_id, 'thumbnail', false);
							$image_src = $image_src[0];
							if($image_src != '') {
								$output .= '<div><img src="'.$image_src.'" alt="gallery-thumb" title="gallery-thumb" /></div>';
							}
						}
					}
	        	}

     	$output .= '</div>
    </div>';

    return $output;

}

function dt_sc_get_portfolio_title($portfolio_id) {

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	$output = '<h2>'.get_the_title($portfolio_id).'</h2>';

	return $output;

}

function dt_sc_get_portfolio_terms($portfolio_id, $with_icon, $term) {

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	if($term == 'tag') {

		if($with_icon) {
			$output = get_the_term_list($portfolio_id, 'portfolio_tags', '<p class="portfolio-tags"> <i class="icomoon icon-File-Block"> </i> ', ', ', '</p> ');
		} else {
			$output = get_the_term_list($portfolio_id, 'portfolio_tags', '<p class="portfolio-tags"> ', ', ', '</p> ');
		}

	} else {

		if($with_icon) {
			$output = get_the_term_list($portfolio_id, 'portfolio_entries', '<p class="portfolio-categories"> <i class="icomoon icon-Tag-3"> </i> ', ', ', '</p> ');
		} else {
			$output = get_the_term_list($portfolio_id, 'portfolio_entries', '<p class="portfolio-categories"> ', ', ', '</p> ');
		}

	}	

	return $output;

}

function dt_sc_get_portfolio_custom_details($portfolio_id, $type, $class) {

	$output = '';

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	$portfolio_settings = get_post_meta ( $portfolio_id, '_portfolio_settings', TRUE );
	$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();	

    if( array_key_exists('meta_title', $portfolio_settings) ):
		$output .= '<ul class="project-details '.$type.' '.$class.'">';
		        		foreach( $portfolio_settings['meta_title'] as $key => $title ):
		    				$value = isset($portfolio_settings['meta_value'][$key]) ? $portfolio_settings['meta_value'][$key] : '';
		    				if( filter_var($value ,FILTER_VALIDATE_URL) ){
		    					$value = "<a href='".esc_url($value)."'>".esc_html($value)."</a>";
		    				} elseif( is_email($value) ){
		    					$email = sanitize_email($value);
		    					$value = "<a href='mailto:".antispambot($email,1)."'>".antispambot($value)."</a>";
		    				}
		    				if($value != '') {
		            			$output .= '<li><span>'.esc_html($title).' : </span> '.$value.' </li>';
		            		}
		            	endforeach;
        $output .= '</ul>';
    endif;

	return $output;

}

function dt_sc_get_portfolio_navigation_links($type) {

	$output = '';

	if($type == 'type4') {

		$output .= '<div class="post-nav-container '.$type.'">';
			$output .= '<div class="post-prev-link">';
					$output .= get_previous_post_link('%link', '<i class="icon-arrow-left icons"> </i>'.esc_html__('Prev Entry','craftsandarts-core') );
			$output .= '</div>';		
			$output .= '<div class="post-next-link">';
					$output .= get_next_post_link('%link', esc_html__('Next Entry','craftsandarts-core').'<i class="icon-arrow-right icons"> </i>');
			$output .= '</div>';
		$output .= '</div>';

	} else if($type == 'type3') {

		$prev_post = get_previous_post();
		$next_post = get_next_post();

		$output .= '<div class="post-nav-container '.$type.'">';
			$output .= '<div class="post-prev-link">';
				if(isset($prev_post) && !empty($prev_post)) {
					$output .= '<i class="icon-arrow-left icons"> </i>';
					$output .= get_previous_post_link('%link', esc_html__('Prev Entry','craftsandarts-core') );
					$output .= '<a href="'.get_permalink($prev_post->ID).'">'.$prev_post->post_title.'</a>';
				}
			$output .= '</div>';
			$output .= '<div class="post-archive-link-wrapper">';
					$output .= '<a class="post-archive-link" href="'.get_post_type_archive_link('dt_portfolios').'"></a>';
			$output .= '</div>';	
			$output .= '<div class="post-next-link">';
				if(isset($next_post) && !empty($next_post)) {
					$output .= '<i class="icon-arrow-right icons"> </i>';
					$output .= get_next_post_link('%link', esc_html__('Next Entry','craftsandarts-core'));
					$output .= '<a href="'.get_permalink($next_post->ID).'">'.$next_post->post_title.'</a>';
				}
			$output .= '</div>';
		$output .= '</div>';

	} else if($type == 'type2') {

		$output .= '<div class="post-nav-container '.$type.'">';
			$output .= '<div class="post-prev-link">';
					$output .= get_previous_post_link('%link', '<i class="icon-arrow-left icons"> </i>' );
			$output .= '</div>';
			$output .= '<div class="post-archive-link-wrapper">';
					$output .= '<a class="post-archive-link" href="'.get_post_type_archive_link('dt_portfolios').'"></a>';
			$output .= '</div>';
			$output .= '<div class="post-next-link">';
					$output .= get_next_post_link('%link', '<i class="icon-arrow-right icons"> </i>');
			$output .= '</div>';
		$output .= '</div>';

	} else {

		$output .= '<div class="post-nav-container type1">';
			$output .= '<div class="post-prev-link">';
					$output .= get_previous_post_link('%link', '<i class="icon-arrow-left icons"> </i>'.esc_html__('Prev Entry','craftsandarts-core') );
			$output .= '</div>';
			$output .= '<div class="post-archive-link-wrapper">';
					$output .= '<a class="post-archive-link" href="'.get_post_type_archive_link('dt_portfolios').'"></a>';
			$output .= '</div>';			
			$output .= '<div class="post-next-link">';
					$output .= get_next_post_link('%link', esc_html__('Next Entry','craftsandarts-core').'<i class="icon-arrow-right icons"> </i>');
			$output .= '</div>';
		$output .= '</div>';

	}

	return $output;

}

function dt_sc_get_portfolio_comments() {

	$output = '';

	$post_comment = craftsandarts_option('pageoptions','single-portfolio-comments');
	if( isset($post_comment) ):

    	$output .= '<div class="dt-sc-hr"></div>
        	<div class="dt-sc-clear"></div>';
        
        $output .= '<section class="commententries">'.comments_template('', true).'</section>';

	endif;

	return $output;

}

function dt_sc_get_portfolio_feature_image($portfolio_id) {

	$output = '';

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	if( get_post_thumbnail_id($portfolio_id) ) {
		$output .= get_the_post_thumbnail( $portfolio_id, 'full' );
	}

	return $output;

}

function dt_sc_get_portfolio_feature_video($portfolio_id) {

	$output = '';

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	$portfolio_item_meta = get_post_meta($portfolio_id, '_portfolio_settings', TRUE);
	$portfolio_item_meta = is_array($portfolio_item_meta) ? $portfolio_item_meta  : array();

	$featured_video =  isset($portfolio_item_meta['featured-video']) ? $portfolio_item_meta['featured-video'] : '';

	$output .= '<video id="portfolio-featured-video" class="play" loop="loop">
				<source src="'.$featured_video.'" type="video/mp4">
				<source src="'.$featured_video.'" type="video/webm">
				<source src="'.$featured_video.'" type="video/ogg">
			</video>';

	return $output;

}

function dt_sc_get_portfolio_gallery_listing($gallery_settings) {

	$output = '';

	if(!is_array($gallery_settings) && empty($gallery_settings)) {
		$gallery_settings = array();
	}

	$portfolio_id = isset( $gallery_settings['portfolioid'] ) ? $gallery_settings['portfolioid'] : '';

	if($portfolio_id != '' && $portfolio_id > 0) {

	} else {
		global $post;
		$portfolio_id = $post->ID;		
	}

	if(isset($gallery_settings['gallery_ids']) && $gallery_settings['gallery_ids'] != '') {
		$filter_gallery = true;
		$gallery_ids = explode(',', $gallery_settings['gallery_ids']);
	} else {
		$filter_gallery = false;
	}

	$portfolio_settings = get_post_meta ( $portfolio_id, '_portfolio_settings', TRUE );
	$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();

	$hover_class = (isset($gallery_settings['portfolio-hover-design']) && $gallery_settings['portfolio-hover-design'] == 'true') ? 'hover-overlay' : 'hover-none';

	$display_style = isset( $gallery_settings['portfolio-displaystyle'] ) ? $gallery_settings['portfolio-displaystyle'] : '';
	$carousel_options = isset( $gallery_settings['portfolio-carouseloptions'] ) ? $gallery_settings['portfolio-carouseloptions'] : 'auto';


	$column_layout = isset( $gallery_settings['portfolio-post-layout'] ) ? $gallery_settings['portfolio-post-layout'] : 'one-half-column';
	if($column_layout == 'one-column') {
		$column_class = 'column dt-sc-one-column';
		$column = 1;	
	} else if($column_layout == 'one-half-column') {
		$column_class = 'column dt-sc-one-half';
		$column = 2;
	} else if($column_layout == 'one-third-column') {
		$column_class = 'column dt-sc-one-third';
		$column = 3;
	} else if($column_layout == 'one-fourth-column') {
		$column_class = 'column dt-sc-one-fourth';
		$column = 4;
	} else if($column_layout == 'one-fifth-column') {
		$column_class = 'column dt-sc-one-fifth';
		$column = 5;
	} else if($column_layout == 'one-sixth-column') {
		$column_class = 'column dt-sc-one-sixth';
		$column = 6;
	} else if($column_layout == 'one-seventh-column') {
		$column_class = 'column dt-sc-one-seventh';
		$column = 7;
	} else if($column_layout == 'one-eight-column') {
		$column_class = 'column dt-sc-one-eight';
		$column = 8;
	} else if($column_layout == 'one-nineth-column') {
		$column_class = 'column dt-sc-one-nineth';
		$column = 9;
	} else if($column_layout == 'one-tenth-column') {
		$column_class = 'column dt-sc-one-tenth';
		$column = 10;			
	}

	if(isset($gallery_settings['gallerytype']) && $gallery_settings['gallerytype'] == 'gallery-list') {
		$image_size = 'craftsandarts-941x724';
	} else if($column > 6) {
		$image_size = 'craftsandarts-420x420';
	} else {
		$image_size = 'full';
	}

	$space_class = (isset($gallery_settings['portfolio-grid-space']) && $gallery_settings['portfolio-grid-space'] == 'true') ? 'with-space' : 'no-space';

	$animation_class = $animation_effect = $animation_delay = '';
	$animationeffect = isset( $gallery_settings['animationeffect'] ) ? $gallery_settings['animationeffect'] : '';
	$animationdelay = isset( $gallery_settings['animationdelay'] ) ? $gallery_settings['animationdelay'] : '';
	if($animationeffect != '') {
		$animation_class = 'animate';
		$animation_effect = 'data-animationeffect="'.$animationeffect.'"';
		$animation_delay = 'data-animationdelay="'.$animationdelay.'"';
	}

	$repeat_animation_class = (isset($gallery_settings['repeat-animation']) && $gallery_settings['repeat-animation'] == 'true' ) ? 'repeat-animation' : '';

	$carousel_class = $carousel_attributes = '';
	if($display_style == 'carousel') {
		$carousel_class = 'portfolio-container-carousel';
		$carousel_attributes = 'data-carouselopts="'.$carousel_options.'"';

		$output .= '<div class="portfolio-container-carousel-wrapper">';
	} else {
		$output .= '<div class="dt-sc-portfolio-container-wrapper">';
	}

		$output .= '<div class="dt-sc-portfolio-container dt-sc-portfolio-single-container '.$carousel_class.' '.$space_class.' '.$repeat_animation_class.'" '.$carousel_attributes.' data-column="'.$column.'">';

				if($display_style != 'carousel') {
					$grid_sizer_class = str_replace('column ', '', $column_class);
					$output .= '<div class="grid-sizer '.$grid_sizer_class.'"></div>';
				}

	            if( array_key_exists("items_name", $portfolio_settings) ) {
	            	$i = 1;
					foreach( $portfolio_settings["items_name"] as $key => $item ) {	

						if($filter_gallery) {

							$item_id = $portfolio_settings["items_id"][$key];

							if(in_array($item_id, $gallery_ids)) {

								if($i == 1) $first_class = 'first'; else $first_class = '';
								if($i == $column) $i = 1; else $i = $i + 1;								
								$image_src = wp_get_attachment_image_src($item_id, $image_size, false);
								$image_src = $image_src[0];
								if($image_src != '') {
									$output .= '<div class="portfolio '.esc_attr($column_class).' '.esc_attr($hover_class).' '.esc_attr($space_class).' '.esc_attr($first_class).' '.esc_attr($animation_class).'" '.$animation_effect.' '.$animation_delay.'> 
											<figure>
												<img src="'.esc_url($image_src).'" alt="portfolio-image" title="portfolio-image" />
												<div class="image-overlay">
													<div class="links">
				                                		<a title="'.get_the_title($portfolio_id).'" data-gal="prettyPhoto[gallery-listing]" href="'.esc_url($image_src).'"><span class="icon icon-search"> </span></a>
			                                		</div>
			                                    </div>
		                                    </figure>
										</div>';
								}

							}

						} else {

							if($i == 1) $first_class = 'first'; else $first_class = '';
							if($i == $column) $i = 1; else $i = $i + 1;

							if( 'video' != $item ) {

								$item_id = $portfolio_settings["items_id"][$key];

								$image_src = wp_get_attachment_image_src($item_id, $image_size, false);
								$image_src = $image_src[0];
								if($image_src != '') {
									$output .= '<div class="portfolio '.esc_attr($column_class).' '.esc_attr($hover_class).' '.esc_attr($space_class).' '.esc_attr($first_class).' '.esc_attr($animation_class).'" '.$animation_effect.' '.$animation_delay.'> 
											<figure>
												<img src="'.esc_url($image_src).'" alt="portfolio-image" title="portfolio-image" />
												<div class="image-overlay">
													<div class="links">
				                                		<a title="'.get_the_title($portfolio_id).'" data-gal="prettyPhoto[gallery-listing]" href="'.esc_url($image_src).'"><span class="icon icon-search"> </span></a>
			                                		</div>
			                                    </div>
		                                    </figure>
										</div>';
								}

							} else {

								$video = $portfolio_settings["items"][$key];
								if($video != '') {
									$output .= '<div class="portfolio '.esc_attr($column_class).' '.esc_attr($hover_class).' '.esc_attr($space_class).' '.esc_attr($first_class).' '.esc_attr($animation_class).'" '.$animation_effect.' '.$animation_delay.'>
											<figure>
												<img src="'. plugins_url('designthemes-core-features').'/custom-post-types/images/video-image.jpg" alt="gallery-image" title="gallery-image" />
												<div class="image-overlay">
													<div class="links">
				                                		<a title="'.get_the_title($portfolio_id).'" data-gal="prettyPhoto[gallery-listing]" href="'.$video.'"><span class="icon icon-search"> </span></a>
			                                		</div>
			                                    </div>
		                                    </figure>
		                                </div>';
								}							

							}

						}

					}
	        	}

		$output .= '</div>';

	if($display_style == 'carousel') {
		if($carousel_options == 'arrow' || $carousel_options == 'autowitharrow') {
			$output .= '<div class="carousel-arrows">';
				$output .= '<a href="#" class="portfolio-prev"> </a>';
				$output .= '<a href="#" class="portfolio-next"> </a>';
			$output .= '</div>';					
		}
		$output .= '</div>';
	} else {
		$output .= '</div>';		
	}

	return $output;

}

function dt_sc_portfolio_shortcode_page_details($portfolio_shortcode_pageid) {

	$tpl_default_settings = get_post_meta($portfolio_shortcode_pageid, '_tpl_default_settings', TRUE );
	$tpl_default_settings = is_array( $tpl_default_settings ) ? $tpl_default_settings  : array();
	$page_layout  = array_key_exists( "layout", $tpl_default_settings ) ? $tpl_default_settings['layout'] : "content-full-width";
	$show_sidebar = false;

	if( $page_layout == "content-full-width" ) {
		$show_sidebar = false;
	} else {
		$show_sidebar = true;
	}

	return $show_sidebar;

}

add_action( 'wp_ajax_dt_portfolio_category_item_contents', 'dt_portfolio_category_item_contents' );
add_action( 'wp_ajax_nopriv_dt_portfolio_category_item_contents', 'dt_portfolio_category_item_contents' );
function dt_portfolio_category_item_contents() {

	$itemid = $_REQUEST['itemid'];
	$postsperpage = $_REQUEST['postsperpage'];
	$columns = $_REQUEST['columns'];

	$tpl_default_settings = array();
	$tpl_default_settings['portfolio-post-layout'] = $columns;
	$tpl_default_settings['portfolio-hover-style'] = 'highlighter';

	$tpl_default_settings['portfolio-post-per-page'] = $postsperpage;
	$tpl_default_settings['portfolio-categories'] = $itemid;

	$tpl_default_settings['portfolio-disable-item-options'] = 'true';

	$tpl_default_settings['portfolio-pagination-type'] = 'load-more';
	$tpl_default_settings['paged'] = 1;
	$tpl_default_settings['ajax-call'] = 0;		

	echo craftsandarts_portfolio_lists('', $tpl_default_settings, '');

	die(); 	

}

function dt_portfolio_password_form() {

	if(is_singular('dt_portfolios')) {

		global $post;

		$label = 'pwbox-' . ( empty($post->ID) ? rand() : $post->ID );
		$output = '<form action="' . esc_url( site_url( 'wp-login.php?action=postpass', 'login_post' ) ) . '" class="post-password-form" method="post">
		<p>' . esc_html__( 'Enter your password below:', 'craftsandarts-core' ) . '</p>
		<p><label for="' . $label . '">' . ' <input name="post_password" placeholder="'.esc_html__( 'Password:', 'craftsandarts-core' ) .'" id="' . $label . '" type="password" size="20" /></label> <input type="submit" name="Submit" value="' . esc_attr_x( 'Enter', 'craftsandarts-core' ) . '" /></p></form>';
	    		
	} else {

		global $post;

		$label = 'pwbox-' . ( empty($post->ID) ? rand() : $post->ID );
		$output = '<form action="' . esc_url( site_url( 'wp-login.php?action=postpass', 'login_post' ) ) . '" class="post-password-form" method="post">
		<p>' . __( 'This content is password protected. To view it please enter your password below:' ) . '</p>
		<p><label for="' . $label . '">' . __( 'Password:' ) . ' <input name="post_password" id="' . $label . '" type="password" size="20" /></label> <input type="submit" name="Submit" value="' . esc_attr_x( 'Enter', 'post password form' ) . '" /></p></form>';

	}

	return $output;

}
add_filter( 'the_password_form', 'dt_portfolio_password_form' );

?>