var dtMetabox = {
	dtInit : function() {
		dtMetabox.dtCustomSwitch();
		dtMetabox.dtImageUploader();
		dtMetabox.dtImageHolder();
		dtMetabox.dtAddVideo();
		dtMetabox.dtPortfolio();
	},

	dtCustomSwitch : function() {
		jQuery("div.dt-checkbox-switch").each(function() {
			jQuery(this).click(function() {
				
				var $ele = '#' + jQuery(this).attr("data-for");

				jQuery(this).toggleClass('checkbox-switch-off checkbox-switch-on');

				if (jQuery(this).hasClass('checkbox-switch-on')) {
					jQuery($ele).prop("checked", true);
				} else {
					jQuery($ele).removeAttr("checked");
				}
			});
		});
	},
	
	dtImageUploader: function(){
		var file_frame = "";
		jQuery(document).on('click','.dt-open-media',function(e){
			e.preventDefault();
			
			// If the media frame already exists, reopen it.
		    if ( file_frame ) {
		      file_frame.open();
		      return;
		    }

	        if(jQuery(this).hasClass('ct_tax_media_button')) {
	        	var category_button = true;
	        } else {
	        	var category_button = false;
	        }		

	        if(category_button) {
	        	var multiple = false;
	        } else {
	        	var multiple = true;
	        }		            
		    
		    file_frame = wp.media.frames.file_frame = wp.media({
		    	multiple: multiple,
		    	title : "Upload / Select Media",
		    	button :{
		    		text : "Insert Image"
		    	}
		    });
		    
		    // When an image is selected, run a callback.
		    file_frame.on( 'select', function() {
		    	// We set multiple to false so only get one image from the uploader
		        var attachments = file_frame.state().get('selection').toJSON();
		        var  holder = "";
		        jQuery.each( attachments,function(key,value){ 
					
		        	 var full = value.sizes.full.url;
					 var name = value.name;
					 var id = value.id;
					 var thumbnail = "";
					 
					 if(jQuery.type(value.sizes.thumbnail) != "undefined") {
			        	 thumbnail =  value.sizes.thumbnail.url;
					 } else {
						 thumbnail =  full;
					 }

					 if(category_button) {
			        	 holder += '<img src="'+thumbnail+'"/>';
			        	 jQuery('#category-image-id').val(id);
					 } else {
			        	 holder += "<li>" +
		        	 		"<img src='"+thumbnail+"'/>" +
		        	 		"<span class='dt-image-name' >"+name+"</span>" +
		        	 		"<span class='dt-image-id' >"+id+"</span>" +
		        	 		"<input type='hidden' class='dt-image-name' name='items_name[]' value='"+name+"' />" +
		        	 		"<input type='hidden' name='items[]' value='"+full+"' />" +
		        	 		"<input type='hidden' name='items_thumbnail[]' value='"+thumbnail+"' />" +
		        	 		"<input type='hidden' name='items_id[]' value='"+id+"' />" +
		        	 		"<span class='my_delete'></span>" +
		        	 		"</li>";				 	
					 }
		        	 

		        });
		        
		        if(category_button) {
		        	jQuery("#category-image-wrapper").html(holder);
		        } else {
		        	jQuery("ul.dt-items-holder").append(holder);
		        }
		        
		        
		    });
		    
		    // Finally, open the modal
		    file_frame.open();
		});
	},
	
	dtImageHolder: function() {
		
		jQuery('ul.dt-items-holder').sortable({
			placeholder: 'sortable-placeholder',
			forcePlaceholderSize: true,
			cancel: '.my_delete, input, textarea, label'
		});
		
		jQuery('body').delegate('span.my_delete','click', function(){
			jQuery(this).parent('li').remove();
		});

		jQuery('body').delegate('.ct_tax_media_remove','click', function(){
			jQuery('#category-image-id').val('');
			jQuery('#category-image-wrapper').html('');
		});	

		jQuery(document).ajaxComplete(function(event, xhr, settings) {
			if(settings.data !== undefined) {
				var queryStringArr = settings.data.split('&');
				if( jQuery.inArray('action=add-tag', queryStringArr) !== -1 ){
					var xml = xhr.responseXML;
					$response = jQuery(xml).find('term_id').text();
					if($response != ''){
						jQuery('#category-image-id').val('');
						jQuery('#category-image-wrapper').html('');
						jQuery('#category-enable-album').val('false');
					}
				}
			}
		});			
		
	},
	
	dtAddVideo : function() {
		
		jQuery(".dt-add-video").click(function(e){
			var $video =  "<li>" +
					"<span class='dt-video'></span>" +
					"<input type='text' name='items[]' value='https://vimeo.com/46926279'/>" +
					"<input type='hidden' class='dt-image-name' name='items_name[]' value='video' />" +
					"<input type='hidden' name='items_thumbnail[]' value='https://vimeo.com/46926279' />" +
					"<input type='hidden' name='items_id[]' value='-1' />" +
					"<span class='my_delete'></span>" +
					"</li>";
			jQuery('ul.dt-items-holder').append($video);
			e.preventDefault();
		});
		
	},

	dtPortfolio : function() {
		
		jQuery('body').delegate('select#dt-portfolio-layout','change', function(e){
			
			jQuery('.dt-sc-mediaontop-holder').slideUp();
			if(jQuery(this).val() == 'media-on-top') {
				jQuery('.dt-sc-mediaontop-holder').slideDown();
			}

			jQuery('.dt-sc-fixed-featured-image-holder').slideUp();
			if(jQuery(this).val() == 'fixed-feature-image') {
				jQuery('.dt-sc-fixed-featured-image-holder').slideDown();
			}

			jQuery('.dt-sc-fullscreen-slider-holder').slideUp();
			if(jQuery(this).val() == 'fullscreen-slider') {
				jQuery('.dt-sc-fullscreen-slider-holder').slideDown();
			}

			jQuery('.dt-sc-gallery-list-holder').slideUp();
			if(jQuery(this).val() == 'gallery-list') {
				jQuery('.dt-sc-gallery-list-holder').slideDown();
			}

			jQuery('.dt-sc-pagelayout-holder').slideDown();
			jQuery('.dt-sc-subtitle-section-holder').slideDown();
			if(jQuery(this).val() == 'media-on-top' || jQuery(this).val() == 'fixed-gallery' || jQuery(this).val() == 'fixed-feature-image' || jQuery(this).val() == 'fullpage-portfolio' || jQuery(this).val() == 'fullscreen-slider' || jQuery(this).val() == 'gallery-list') {
				jQuery('.dt-sc-pagelayout-holder').slideUp();
				jQuery('.dt-sc-subtitle-section-holder').slideUp();
			}
			e.preventDefault();
			
		});

		jQuery('.dt-sc-scroll-wrapper').each( function() {
			jQuery(this).niceScroll({ cursorcolor:"#ffffff", cursorwidth: "2px"});
		});
		
	}
	
};

jQuery(document).ready(function() {

	dtMetabox.dtInit();

});