<?php
global $post;
$portfolio_settings = get_post_meta ( $post->ID, '_portfolio_settings', TRUE );
$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();
echo '<input type="hidden" name="dt_theme_portfolio_meta_nonce" value="'.wp_create_nonce('dt_theme_portfolio_nonce').'" />';
?>

<!-- Portfolio Layout Design -->
<div class="custom-box">
	<div class="column one-sixth">
		<label><?php esc_html_e('Portfolio Layout Design','craftsandarts-core');?> </label>
	</div>
	<div class="column five-sixth last">
		<?php 
		$portfolio_layout = array_key_exists("portfolio-layout",$portfolio_settings) ? $portfolio_settings['portfolio-layout'] : '';
		$mediaontop_cls = 'style="display:none;"';
		if($portfolio_layout == 'media-on-top') {
			$mediaontop_cls = 'style="display:block;"';
		}

		$gallerylist_cls = 'style="display:none;"';
		if($portfolio_layout == 'gallery-list') {
			$gallerylist_cls = 'style="display:block;"';
		}

		$pagelayout_cls = $subtitlesection_cls = 'style="display:block;"';
		if(in_array($portfolio_layout, array('media-on-top','fixed-gallery','fixed-feature-image','fullpage-portfolio','fullscreen-slider','gallery-list'))) {
			$pagelayout_cls = $subtitlesection_cls = 'style="display:none;"';
		}
		?>
		<select id="dt-portfolio-layout" name="portfolio-layout" class="dt-chosen-select">
			<?php  
			$array = array(
				'custom-layout'=>'Custom Layout',
				'media-on-top'=>'Media On Top',
				'fixed-gallery'=>'Fixed Gallery',
				'fixed-feature-image'=>'Fixed Feature Image',
				'fullpage-portfolio'=>'Full Page Portfolio',
				'fullscreen-slider'=>'Full Screen Slider',
				'gallery-list'=>'Gallery List',
				);
			foreach( $array as $k => $v): 
				?>
				<option value="<?php echo esc_attr($k);?>" <?php selected($k,$portfolio_layout);?>><?php echo esc_attr($v);?></option>
				<?php 
			endforeach;
			?>
		</select>
        <p class="note"> <?php esc_html_e("Choose the portfolio layout design",'craftsandarts-core');?> </p>
	</div>	
</div><!-- Portfolio Layout Design -->

<div class="dt-sc-subtitle-section-holder" <?php echo $subtitlesection_cls; ?>>

	<!-- 0. Sub Title -->
	<div class="custom-box">
	    <div class="column one-sixth"><?php esc_html_e( 'Title Background','craftsandarts-core');?></div>
	    <div class="column five-sixth last">
	        <div class="one-fifth column">
	            <?php esc_html_e('Enable Title Section','craftsandarts-core');?>
	            <div class="clear"></div>
	            <?php 
	            $switchclass = array_key_exists("enable-sub-title",$portfolio_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
	            $checked = array_key_exists("enable-sub-title",$portfolio_settings) ? ' checked="checked"' : '';
	            ?>
	            <div data-for="dttheme-enable-sub-title" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
	            <input id="dttheme-enable-sub-title" class="hidden" type="checkbox" name="enable-sub-title" value="true" <?php echo ($checked);?>/>
	            <p class="note"> <?php esc_html_e('YES! to enable subtitle section','craftsandarts-core');?> </p>
	        </div> 
	        <div class="one-half column image-preview-container">
	            <?php esc_html_e( 'Title Background','craftsandarts-core');?>
	            <div class="clear"></div>
	            <?php $subtitlebg = array_key_exists ( 'sub-title-bg', $portfolio_settings ) ? $portfolio_settings ['sub-title-bg'] : '';?>
	            <input name="sub-title-bg" type="text" class="uploadfield medium" readonly="readonly" value="<?php echo esc_attr($subtitlebg);?>"/>
	            <input type="button" value="<?php esc_html_e('Upload','craftsandarts-core');?>" class="upload_image_button show_preview" />
	            <input type="button" value="<?php esc_html_e('Remove','craftsandarts-core');?>" class="upload_image_reset" />
	            <?php if( !empty($subtitlebg) ) craftsandarts_adminpanel_image_preview($subtitlebg );?>
	            <p class="note"><?php esc_html_e('Upload an image for the sub title background','craftsandarts-core');?></p>
	        </div>
	        <div class="one-fifth column last">
	            <?php esc_html_e('Opacity','craftsandarts-core');?>
	            <div class="clear"></div>
	            <?php $opacity =  array_key_exists ( "sub-title-opacity", $portfolio_settings ) ? $portfolio_settings ['sub-title-opacity'] : ''; ?>
	            <select name="sub-title-opacity">
	                <option value=""><?php esc_html_e("Select",'craftsandarts-core');?></option>
	                <?php foreach( array('1','0.1','0.2','0.3','0.4','0.5','0.6','0.7','0.8','0.9') as $option): ?>
	                       <option value="<?php echo esc_attr($option);?>" <?php selected($option,$opacity);?>><?php echo esc_attr($option);?></option>
	                <?php endforeach;?>
	            </select>
	            <p class="note"><?php esc_html_e('Select background color opacity','craftsandarts-core');?></p>
	        </div>    
	    </div>
	</div>

	<div class="custom-box">
	    <div class="column one-sixth"></div>
	    <div class="column five-sixth last">
	        <div class="column one-third">
	            <label><?php esc_html_e('Background Repeat','craftsandarts-core');?></label>
	            <?php $bgrepeat =  array_key_exists ( "sub-title-bg-repeat", $portfolio_settings ) ? $portfolio_settings ['sub-title-bg-repeat'] : ''; ?>
	            <div class="clear"></div>
	            <select class="dt-chosen-select" name="sub-title-bg-repeat">
	                <option value=""><?php esc_html_e("Select",'craftsandarts-core');?></option>
	                <?php foreach( array('repeat','repeat-x','repeat-y','no-repeat') as $option): ?>
	                       <option value="<?php echo esc_attr($option);?>" <?php selected($option,$bgrepeat);?>><?php echo esc_attr($option);?></option>
	                <?php endforeach;?>
	            </select>
	            <p class="note"><?php esc_html_e('Select how would you like to repeat the background image','craftsandarts-core');?></p>
	        </div>

	        <div class="column one-third">
	            <label><?php esc_html_e('Background Position','craftsandarts-core');?></label>
	            <?php $bgposition =  array_key_exists ( "sub-title-bg-position", $portfolio_settings ) ? $portfolio_settings ['sub-title-bg-position'] : ''; ?>
	            <div class="clear"></div>
	            <select class="dt-chosen-select" name="sub-title-bg-position">
	                <option value=""><?php esc_html_e('Select','craftsandarts-core');?></option>
	                <?php foreach( array('top left','top center','top right','center left','center center','center right','bottom left','bottom center','bottom right') as $option): ?>
	                    <option value="<?php echo esc_attr($option);?>" <?php selected($option,$bgposition);?>> <?php echo esc_attr($option);?></option>
	                <?php endforeach;?>
	            </select>
	            <p class="note"><?php esc_html_e('Select how would you like to position the background','craftsandarts-core');?></p>
	        </div>

	        <div class="column one-third last">
	        <?php $label = 		esc_html__('Background Color','craftsandarts-core');
	              $name  =		'sub-title-bg-color';
	              $value =  	array_key_exists ( 'sub-title-bg-color', $portfolio_settings ) ? $portfolio_settings ['sub-title-bg-color'] : '';
	              $tooltip = 	esc_html__('Select background color for sub title section e.g. #f2d607','craftsandarts-core'); ?>
	              <label><?php echo esc_html($label);?></label>
	              <div class="clear"></div>
	              <?php craftsandarts_admin_color_picker("",$name,$value,'');?>
	              <p class="note"><?php echo $tooltip;?></p>
	        </div>
	    </div>
	</div><!-- 0. Sub title End-->

</div>

<!-- Page Layout Options -->
<div class="dt-sc-pagelayout-holder" <?php echo $pagelayout_cls; ?>>

	<div id="page-layout" class="custom-box">
	    <div class="column one-sixth"><label><?php esc_html_e('Layout','craftsandarts-core');?> </label></div>
	    <div class="column five-sixth last">
	        <ul class="bpanel-layout-set"><?php
				$portfolio_layout = array( 'content-full-width'=>'without-sidebar', 'with-left-sidebar'=>'left-sidebar', 'with-right-sidebar'=>'right-sidebar' , 'with-both-sidebar'=>'both-sidebar');
				$v =  array_key_exists("layout",$portfolio_settings) ?  $portfolio_settings['layout'] : 'content-full-width';
				foreach($portfolio_layout as $key => $value):
					$class = ($key == $v) ? " class='selected' " : "";
					echo "<li><a href='#' rel='{$key}' {$class}><img src='" . plugin_dir_url ( __FILE__ ) . "images/columns/{$value}.png' /></a></li>";
				endforeach;?>
	        </ul>
	        <input id="dttheme-page-layout" name="layout" type="hidden"  value="<?php echo esc_attr($v);?>"/>
	        <p class="note"> <?php esc_html_e("You can choose between a left, right or no sidebar layout.",'craftsandarts-core');?> </p>
	    </div>
	</div><!-- Layout End-->
	<?php 
	 $sb_layout = array_key_exists("layout",$portfolio_settings) ? $portfolio_settings['layout'] : 'content-full-width';
	 $sidebar_both = $sidebar_left = $sidebar_right = '';
	 if($sb_layout == 'content-full-width') {
		$sidebar_both = 'style="display:none;"'; 
	 } elseif($sb_layout == 'with-left-sidebar') {
		$sidebar_right = 'style="display:none;"'; 
	 } elseif($sb_layout == 'with-right-sidebar') {
		$sidebar_left = 'style="display:none;"'; 
	 } 
	?>
	<div id="widget-area-options" <?php echo $sidebar_both;?>>
		<div id="left-sidebar-container" class="page-left-sidebar" <?php echo $sidebar_left; ?>>
			<!-- 2. Standard Sidebar Left Start -->
			<div id="page-commom-sidebar" class="sidebar-section custom-box">
				<div class="column one-sixth"><label><?php esc_html_e('Show Standard Left Sidebar','craftsandarts-core');?></label></div>
				<div class="column five-sixth last"><?php 
					$switchclass = array_key_exists("show-standard-sidebar-left",$portfolio_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
					$checked = array_key_exists("show-standard-sidebar-left",$portfolio_settings) ? ' checked="checked"' : '';?>
					
					<div data-for="dttheme-show-standard-sidebar-left" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
					<input id="dttheme-show-standard-sidebar-left" class="hidden" type="checkbox" name="show-standard-sidebar-left" value="true" <?php echo $checked;?>/>
					<p class="note"> <?php esc_html_e('Yes! to show "Standard Left Sidebar" on this page.','craftsandarts-core');?> </p>
				 </div>
			</div><!-- Standard Sidebar Left End-->

			<!-- 3. Choose Widget Areas Start -->
			<div id="page-sidebars" class="sidebar-section custom-box page-widgetareas">
				<div class="column one-sixth"><label><?php esc_html_e('Choose Widget Area - Left Sidebar','craftsandarts-core');?></label></div>
				<div class="column five-sixth last"><?php
					$widgetareas = array_key_exists("widget-area-left",$portfolio_settings) ? array_unique($portfolio_settings["widget-area-left"]) : array();
					$widgets = craftsandarts_option('widgetarea','custom');?>
					<select class="dt-chosen-select" name="dttheme[widgetareas-left][]" multiple="multiple" data-placeholder="<?php esc_attr_e('Select Widget Area', 'craftsandarts-core');?>"><?php
						echo "<option value=''></option>";
						foreach ( $widgets as $widget ) :
							$id = mb_convert_case($widget, MB_CASE_LOWER, "UTF-8");
							$id = str_replace(" ", "-", $id);
							$selected = in_array( $id , $widgetareas ) ? " selected='selected' " : "";
							echo "<option value='{$id}' {$selected}>{$widget}</option>";
						endforeach;?>
					</select>
				</div>
			</div><!-- Choose Widget Areas End -->
		</div>
		<div id="right-sidebar-container" class="page-right-sidebar" <?php echo $sidebar_right; ?>>
			<!-- 3. Standard Sidebar Right Start -->
			<div id="page-commom-sidebar" class="sidebar-section custom-box page-right-sidebar">
				<div class="column one-sixth"><label><?php esc_html_e('Show Standard Right Sidebar','craftsandarts-core');?></label></div>
				<div class="column five-sixth last"><?php 
					$switchclass = array_key_exists("show-standard-sidebar-right",$portfolio_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
					$checked = array_key_exists("show-standard-sidebar-right",$portfolio_settings) ? ' checked="checked"' : '';?>
					
					<div data-for="dttheme-show-standard-sidebar-right" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
					<input id="dttheme-show-standard-sidebar-right" class="hidden" type="checkbox" name="show-standard-sidebar-right" value="true" <?php echo $checked;?>/>
					<p class="note"> <?php esc_html_e('Yes! to show "Standard Right Sidebar" on this page.','craftsandarts-core');?> </p>
				 </div>
			</div><!-- Standard Sidebar Right End-->

			<!-- 3. Choose Widget Areas Start -->
			<div id="page-sidebars" class="sidebar-section custom-box page-widgetareas">
				<div class="column one-sixth"><label><?php esc_html_e('Choose Widget Area - Right Sidebar','craftsandarts-core');?></label></div>
				<div class="column five-sixth last"><?php
					$widgetareas = array_key_exists("widget-area-right",$portfolio_settings) ? array_unique($portfolio_settings["widget-area-right"]) : array();
					$widgets = craftsandarts_option('widgetarea','custom');?>
					<select class="dt-chosen-select" name="dttheme[widgetareas-right][]" multiple="multiple" data-placeholder="<?php esc_attr_e('Select Widget Area', 'craftsandarts-core');?>"><?php
						echo "<option value=''></option>";
						foreach ( $widgets as $widget ) :
							$id = mb_convert_case($widget, MB_CASE_LOWER, "UTF-8");
							$id = str_replace(" ", "-", $id);
							$selected = in_array( $id , $widgetareas ) ? " selected='selected' " : "";
							echo "<option value='{$id}' {$selected}>{$widget}</option>";
						endforeach;?>
					</select>
				</div>
			</div><!-- Choose Widget Areas End -->
		</div>
	</div>

</div>
<!-- Page Layout Options End -->

<!-- Media On Top Options -->
<div class="dt-sc-mediaontop-holder" <?php echo $mediaontop_cls; ?>>

	<div class="custom-box">
		<div class="column one-sixth">
			<label><?php esc_html_e('Media On Top Video','craftsandarts-core');?> </label>
		</div>
		<div class="column five-sixth last">

            <?php $mediaontop_video = array_key_exists ( 'mediaontop-video', $portfolio_settings ) ? $portfolio_settings ['mediaontop-video'] : ''; ?>
            <input name="mediaontop-video" type="text" class="medium" value="<?php echo esc_attr($mediaontop_video);?>" style="width:100%" />
            <p class="note"> <?php esc_html_e("Please enter the video url in following format mp4, webm,... If video URL field is empty featured image will be used.",'craftsandarts-core');?> </p>

		</div>	
	</div>

</div>
<!-- Media On Top Options End -->

<!-- Gallery List Options Options -->
<div class="dt-sc-gallery-list-holder" <?php echo $gallerylist_cls; ?>>

	<div class="custom-box">
		<div class="column one-sixth">
			<label><?php esc_html_e('Gallery Position','craftsandarts-core');?> </label>
		</div>
		<div class="column five-sixth last">
			<?php 
			$gallerylist_position = array_key_exists("gallerylist-position",$portfolio_settings) ? $portfolio_settings['gallerylist-position'] : ''; 
			?>
			<select name="gallerylist-position" class="dt-chosen-select">
				<?php
				$array = array('' => 'Left', 'right' => 'Right');
				foreach( $array as $k => $v): 
					?>
					<option value="<?php echo esc_attr($k);?>" <?php selected($k,$gallerylist_position);?>><?php echo esc_attr($v);?></option>
					<?php 
				endforeach;
				?>
			</select>
	        <p class="note"> <?php esc_html_e("Choose gallery list position.",'craftsandarts-core');?> </p>
		</div>
	</div>

</div><!-- Gallery List Options End -->

<!-- Masonry Size -->
<div class="custom-box">
	<div class="column one-sixth">
		<label><?php esc_html_e('Masonry Size','craftsandarts-core');?> </label>
	</div>
	<div class="column five-sixth last">
		<?php $masonry = array_key_exists("masonry-size",$portfolio_settings) ? $portfolio_settings['masonry-size'] : ''; ?>
		<select name="masonry-size" class="dt-chosen-select">
			<?php  $array = array(
				'' => esc_html__('Default','craftsandarts-core'),
				'grid-sizer-1' => esc_html__('Grid Size 1','craftsandarts-core'),
				'grid-sizer-2' => esc_html__('Grid Size 2','craftsandarts-core'),
				'grid-sizer-3' => esc_html__('Grid Size 3','craftsandarts-core'));

			foreach( $array as $k => $v): ?>
				<option value="<?php echo esc_attr($k);?>" <?php selected($k,$masonry);?>><?php echo esc_attr($v);?></option>
			<?php endforeach;?>
		</select>
        <p class="note"> <?php esc_html_e("It will be used in portfolio template to change the size of the portfolio.",'craftsandarts-core');?> </p>
	</div>	
</div><!-- Masonry Size -->

<!-- Medias -->
<div class="custom-box">
	<div class="column one-sixth">
		<label><?php esc_html_e('Featured Video','craftsandarts-core');?> </label>
	</div>
	<div class="column five-sixth last">

        <?php $featured_video = array_key_exists ( 'featured-video', $portfolio_settings ) ? $portfolio_settings ['featured-video'] : ''; ?>
        <input name="featured-video" type="text" class="medium" value="<?php echo esc_attr($featured_video);?>" style="width:100%" />
        <p class="note"> <?php esc_html_e("Please enter the video url in following format mp4, webm,... If video URL field is empty featured image will be used. It will be used to display in template page or shorcodes.",'craftsandarts-core');?> </p>

	</div>	
</div>

<div class="custom-box">
	<div class="column one-sixth">
		<label><?php esc_html_e('Images','craftsandarts-core');?> </label>
	</div>
	<div class="column five-sixth last">
		<div class="dt-media-btns-container">
			<a href="#" class="dt-open-media button button-primary"><?php esc_html_e( 'Click Here to Add Images', 'craftsandarts-core' );?> </a>
			<a href="#" class="dt-add-video button button-primary"><?php esc_html_e( 'Click Here to Add Video', 'craftsandarts-core' );?> </a>
		</div>
		<div class="clear"></div>

		<div class="dt-media-container">
			<ul class="dt-items-holder"><?php
			if (array_key_exists ( "items", $portfolio_settings )) {
				foreach ( $portfolio_settings ["items_thumbnail"] as $key => $thumbnail ) {
					$item = $portfolio_settings ['items'] [$key];
					$item_id = isset($portfolio_settings ['items_id'] [$key]) ? $portfolio_settings ['items_id'] [$key] : '';
					$out = "";
					$name = "";
					$foramts = array (
							'jpg',
							'jpeg',
							'gif',
							'png' 
					);
					$parts = explode ( '.', $item );
					$ext = strtolower ( $parts [count ( $parts ) - 1] );
					if (in_array ( $ext, $foramts )) {
						$name = $portfolio_settings ['items_name'] [$key];
						$out .= "<li>";
						$out .= "<img src='{$thumbnail}' alt='' />";
						$out .= "<span class='dt-image-name'>{$name}</span>";
						$out .= "<span class='dt-image-id'>{$item_id}</span>";
						$out .= "<input type='hidden' name='items[]' value='{$item}' />";
					} else {
						$name = "video";
						$out .= "<li>";
						$out .= "<span class='dt-video'></span>";
						$out .= "<input type='text' name='items[]' value='{$item}' />";
					}
					
					$out .= "<input class='dt-image-name' type='hidden' name='items_name[]' value='{$name}' />";
					$out .= "<input type='hidden' name='items_thumbnail[]' value='{$thumbnail}' />";
					$out .= "<input type='hidden' name='items_id[]' value='{$item_id}' />";
					$out .= "<span class='my_delete'></span>";
					$out .= "</li>";
					echo $out;
				}
			}
			?></ul>
		</div>
	</div>
</div><!-- Medias End -->

<!-- Additional Fields --><?php
// checking meta files from back-end
$fields = craftsandarts_opts_get( 'portfolio-custom-fields', array() );
$fields = array_unique(array_filter($fields));

if(!empty($fields)) : ?>
    <div class="custom-box">
        <div class="column one-sixth">
            <label><?php esc_html_e('Additional Fields','craftsandarts-core');?></label>
        </div>
        <div class="column five-sixth last">
            <div class="meta-fields">
				<div class="column one-fourth" style="text-align:center;">
                	<strong><?php esc_html_e('Title','craftsandarts-core');?></strong>
                </div>
                <div class="column three-fourth last">
                	<strong><?php esc_html_e('Value','craftsandarts-core');?></strong>
                </div>
				<div class="hr_invisible"></div><?php
                // getting filed values
                foreach($fields as $field):
                    $metaslug = strtolower(str_replace(' ', '-', $field)); ?>
                    <div class="column one-fourth"><?php
                        if(isset($portfolio_settings['meta_title'])):
                            $t = array_key_exists($metaslug, $portfolio_settings['meta_title']) ? 
                                        (!empty($portfolio_settings['meta_title'][$metaslug]) ? $portfolio_settings['meta_title'][$metaslug] : $field) : $field;
                        else:
                            $t = $field;				
                        endif;?>
                        <input type="text" name="dttheme-meta-title[<?php echo $metaslug; ?>]" class="medium" style="width:auto; box-shadow:none; background-color:whitesmoke;" value="<?php echo esc_attr($t); ?>">
                    </div>
                    <div class="column three-fourth last"><?php
                        $v = '';
                        if(isset($portfolio_settings['meta_value'])):
                            $v = array_key_exists($metaslug, $portfolio_settings['meta_value']) ?  $portfolio_settings['meta_value'][$metaslug] : '';
                        endif;?>
                        <input name="dttheme-meta-value[<?php echo $metaslug; ?>]" class="large" type="text" value="<?php echo esc_attr($v);?>" />
                    </div>
                    <div class="hr_invisible"></div><?php
                endforeach; ?>
            </div>
            <p class="note"> <?php esc_html_e("Here you can change Additional field title & values for this item.",'craftsandarts-core');?> </p>
        </div>
    </div><?php
endif; 
?>

<div class="hr"></div>

<div class="custom-box">
  <div class="column one-sixth"> 
      <label><?php esc_html_e('Available Header Types','craftsandarts-core');?></label>
  </div>
  <div class="column one-third last"> 
      <select name="header-types" id="header-types" class="dt-chosen-select">
        <?php 
        $selected = array_key_exists("header-types",$portfolio_settings) ?  $portfolio_settings['header-types'] : ''; 

        $htypes = array("" => "Default", "fullwidth-header" => "Fullwidth Header", "fullwidth-header stretched-header" => "Fullwidth Header Streched", "boxed-header" => "Boxed Header", "split-header fullwidth-header" => "Splitted Fullwidth Header", "split-header boxed-header" => "Splitted Boxed Header", "fullwidth-header header-align-center fullwidth-menu-header" => "Fullwidth Menu Center", "two-color-header" => "Two Color Header", "fullwidth-header header-align-left fullwidth-menu-header" => "Fullwidth Menu Left", "left-header" => "Left Header", "left-header-boxed" => "Left Header Boxed", "creative-header" => "Creative Header", "left-header animated-right-header" => "Right Header", "overlay-header" => "Overlay Header", "fullwidth-header fallin-header" => "Fullwidth Fallin Header", "left-header left-stretched-header" => "left-stretched-header");

        foreach( $htypes as $bs => $bv ):
            echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
        endforeach;
        ?>
      </select>
      <p class="note"> <?php esc_html_e("Please choose any of the available header types.",'craftsandarts-core');?> </p>
  </div>

  <div class="column one-sixth"> 
      <label><?php esc_html_e('Hover Styles','craftsandarts-core');?></label>
  </div>
  <div class="column one-third last"> 
      <select name="hover-styles" id="hover-styles" class="dt-chosen-select">
        <?php 
        $selected = array_key_exists('hover-styles', $portfolio_settings) ?  $portfolio_settings['hover-styles'] : ''; 
		$hover_styles =  array( '' => esc_html__('Default','craftsandarts-core'), 'modern-title' => esc_html__('Modern Title','craftsandarts-core'), 'title-icons-overlay' => esc_html__('Title & Icons Overlay','craftsandarts-core'), 'title-overlay' => esc_html__('Title Overlay','craftsandarts-core'),
                                    'icons-only' => esc_html__('Icons Only','craftsandarts-core'), 'classic' => esc_html__('Classic','craftsandarts-core'), 'minimal-icons' => esc_html__('Minimal Icons','craftsandarts-core'),
                                    'presentation' => esc_html__('Presentation','craftsandarts-core'), 'girly' => esc_html__('Girly','craftsandarts-core'), 'art' => esc_html__('Art','craftsandarts-core'), 'extended' => esc_html__('Extended','craftsandarts-core'), 'boxed' => esc_html__('Boxed','craftsandarts-core'), 'centered-box' => esc_html__('Centered Box','craftsandarts-core'), 'with-gallery-thumb' => esc_html__('With Gallery Thumb','craftsandarts-core'), 'with-gallery-list' => esc_html__('With Gallery List','craftsandarts-core'), 'grayscale' => esc_html__('Grayscale','craftsandarts-core'), 'highlighter' => esc_html__('Highlighter','craftsandarts-core'), 'with-details' => esc_html__('With Details','craftsandarts-core'), esc_html__('Bottom Border','craftsandarts-core') => 'bottom-border', 'with-intro' => esc_html__('With Intro','craftsandarts-core'));        

        foreach( $hover_styles as $bs => $bv ):
            echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
        endforeach;
        ?>
      </select>
      <p class="note"> <?php esc_html_e("Please choose unique hover style for your portfolio if you wish.",'craftsandarts-core');?> </p>
  </div>  
</div>

<div class="custom-box">
	<div class="column one-sixth">
		<label><?php esc_html_e('Transparent Header','craftsandarts-core');?> </label>
	</div>
	<div class="column one-third last">
      <?php $switchclass = array_key_exists("transparent-header",$portfolio_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
            $checked = array_key_exists("transparent-header",$portfolio_settings) ? ' checked="checked"' : '';?>
      <div data-for="transparent-header" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
      <input id="transparent-header" class="hidden" type="checkbox" name="transparent-header" value="true" <?php echo ($checked);?>/>
      <p class="note"> <?php esc_html_e('YES! to enable transparent header. This option will be applicable by default for "Media On Top", "Fullpage Portfolio" and "Fullscreen Slider" options','craftsandarts-core');?> </p>
	</div>
	<div class="column one-sixth">
		<label><?php esc_html_e('Dark Header','craftsandarts-core');?> </label>
	</div>
	<div class="column one-third last">
      <?php $switchclass = array_key_exists("dark-header",$portfolio_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
            $checked = array_key_exists("dark-header",$portfolio_settings) ? ' checked="checked"' : '';?>
      <div data-for="dark-header" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
      <input id="dark-header" class="hidden" type="checkbox" name="dark-header" value="true" <?php echo ($checked);?>/>
      <p class="note"> <?php esc_html_e('YES! to enable dark header.','craftsandarts-core');?> </p>
	</div>
</div>

<div class="custom-box">
  <div class="column one-sixth">                
      <label><?php esc_html_e('Disable Top Spaces','craftsandarts-core');?></label>
  </div>
  <div class="column five-sixth last">                       
      <?php $switchclass = array_key_exists("disable-top-spaces",$portfolio_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
            $checked = array_key_exists("disable-top-spaces",$portfolio_settings) ? ' checked="checked"' : '';?>
      <div data-for="disable-top-spaces" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
      <input id="disable-top-spaces" class="hidden" type="checkbox" name="disable-top-spaces" value="true" <?php echo ($checked);?>/>
      <p class="note"> <?php esc_html_e('YES! to disable breadcrumb bottom margin.','craftsandarts-core');?> </p>
  </div>
</div>

<div class="custom-box">
  <div class="column one-sixth">                
      <label><?php esc_html_e('Disable Bottom Spaces','craftsandarts-core');?></label>
  </div>
  <div class="column five-sixth last">                       
      <?php $switchclass = array_key_exists("disable-bottom-spaces",$portfolio_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
            $checked = array_key_exists("disable-bottom-spaces",$portfolio_settings) ? ' checked="checked"' : '';?>
      <div data-for="disable-bottom-spaces" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
      <input id="disable-bottom-spaces" class="hidden" type="checkbox" name="disable-bottom-spaces" value="true" <?php echo ($checked);?>/>
      <p class="note"> <?php esc_html_e('YES! to disable footer top margin.','craftsandarts-core');?> </p>
  </div>
</div>

<div class="custom-box">
	<div class="column one-sixth">
		<label><?php esc_html_e('Different Parallax Speed Values','craftsandarts-core');?> </label>
	</div>
	<div class="column one-third last">
		<?php 
		$different_parallax_speed_values = array_key_exists("different-parallax-speed-values",$portfolio_settings) ? $portfolio_settings['different-parallax-speed-values'] : ''; 
		?>
        <input name="different-parallax-speed-values" class="large" type="text" value="<?php echo esc_attr($different_parallax_speed_values); ?>" />
        <p class="note"> <?php esc_html_e("Add different parallax speed value here.",'craftsandarts-core');?> </p>
	</div>
	<div class="column one-sixth">
		<label><?php esc_html_e('Random Parallax Speed Values','craftsandarts-core');?> </label>
	</div>
	<div class="column one-third last">
		<?php 
		$random_parallax_speed_values = array_key_exists("random-parallax-speed-values",$portfolio_settings) ? $portfolio_settings['random-parallax-speed-values'] : ''; 
		?>
        <input name="random-parallax-speed-values" class="large" type="text" value="<?php echo esc_attr($random_parallax_speed_values); ?>" />
        <p class="note"> <?php esc_html_e("Add random parallax speed value here.",'craftsandarts-core');?> </p>
	</div>
</div>

<div class="custom-box">
	<div class="column one-sixth">
		<label><?php esc_html_e('Animation Effect','craftsandarts-core');?> </label>
	</div>
	<div class="column one-third last">
		<?php 
		$animationeffect = array_key_exists("animationeffect",$portfolio_settings) ? $portfolio_settings['animationeffect'] : ''; 
		?>
		<select name="animationeffect" class="dt-chosen-select">
			<?php
			$array = $GLOBALS['dt_animationtypes'];
			foreach( $array as $k => $v): 
				?>
				<option value="<?php echo esc_attr($k);?>" <?php selected($k,$animationeffect);?>><?php echo esc_attr($v);?></option>
				<?php 
			endforeach;
			?>
		</select>
        <p class="note"> <?php esc_html_e("Choose any one of the available animation types.",'craftsandarts-core');?> </p>
	</div>
	<div class="column one-sixth">
		<label><?php esc_html_e('Animation Delay','craftsandarts-core');?> </label>
	</div>
	<div class="column one-third last">
		<?php 
		$animationdelay = array_key_exists("animationdelay",$portfolio_settings) ? $portfolio_settings['animationdelay'] : ''; 
		?>
        <input name="animationdelay" class="large" type="text" value="<?php echo esc_attr($animationdelay); ?>" />
        <p class="note"> <?php esc_html_e("Add animation delays.",'craftsandarts-core');?> </p>
	</div>
</div>

<!-- Hover Bg Color & Content Color -->
<div class="custom-box">
	<div class="column one-sixth">
		<label><?php esc_html_e('Hover Background Color','craftsandarts-core');?> </label>
		<label><?php esc_html_e('(First Color For Gradient Background)','craftsandarts-core');?> </label>
	</div>
	<div class="column one-third last">
        <?php 
        $name = 'hover-background-color';
        $value = array_key_exists ( 'hover-background-color', $portfolio_settings ) ? $portfolio_settings ['hover-background-color'] : '';
        $tooltip = 	esc_html__('Select background color for hover. This will act as first color for gradient background.','craftsandarts-core'); 
        ?>
		<div class="clear"></div>
		<?php craftsandarts_admin_color_picker_alpha("",$name,$value,'');?>
		<p class="note"><?php echo $tooltip;?></p>
	</div>
	<div class="column one-sixth">
		<label><?php esc_html_e('Hover Content Color','craftsandarts-core');?> </label>
	</div>
	<div class="column one-third last">
		<?php 
		$hover_content_color = array_key_exists("hover-content-color",$portfolio_settings) ? $portfolio_settings['hover-content-color'] : ''; 
		?>
		<select name="hover-content-color" class="dt-chosen-select">
			<?php
			$array = array('' => 'Default', 'hover-content-color-dark' => 'Hover Content Color Dark', 'hover-content-color-light' => 'Hover Content Color Light');
			foreach( $array as $k => $v): 
				?>
				<option value="<?php echo esc_attr($k);?>" <?php selected($k,$hover_content_color);?>><?php echo esc_attr($v);?></option>
				<?php 
			endforeach;
			?>
		</select>
        <p class="note"> <?php esc_html_e("Choose any one of the available content color.",'craftsandarts-core');?> </p>
	</div>
</div>

<div class="custom-box">
	<div class="column one-sixth">
		<label><?php esc_html_e('Gradient Second Color','craftsandarts-core');?> </label>
	</div>
	<div class="column one-third last">
        <?php 
        $name = 'hover-gradient-color';
        $value = array_key_exists ( 'hover-gradient-color', $portfolio_settings ) ? $portfolio_settings ['hover-gradient-color'] : '';
        $tooltip = 	esc_html__('Select second color for gradient background. Its necessary to choose first gradient color in order to achieve the gradient effect.','craftsandarts-core'); 
        ?>
		<div class="clear"></div>
		<?php craftsandarts_admin_color_picker_alpha("",$name,$value,'');?>
		<p class="note"><?php echo $tooltip;?></p>
	</div>
	<div class="column one-sixth">
		<label><?php esc_html_e('Gradient Direction','craftsandarts-core');?> </label>
	</div>
	<div class="column one-third last">
		<?php 
		$hover_gradient_direction = array_key_exists("hover-gradient-direction",$portfolio_settings) ? $portfolio_settings['hover-gradient-direction'] : ''; 
		?>
		<select name="hover-gradient-direction" class="dt-chosen-select">
			<?php
			$array = array('lefttoright' => 'Left to Right', 'toptobottom' => 'Top to Bottom', 'diagonal' => 'Diagonal');
			foreach( $array as $k => $v): 
				?>
				<option value="<?php echo esc_attr($k);?>" <?php selected($k,$hover_gradient_direction);?>><?php echo esc_attr($v);?></option>
				<?php 
			endforeach;
			?>
		</select>
        <p class="note"> <?php esc_html_e("Choose gradient direction here.",'craftsandarts-core');?> </p>
	</div>
</div>
<!-- Hover Bg Color & Content Color -->

<!-- Highlight Item -->
<div class="custom-box">
	<div class="column one-sixth">
		<label><?php esc_html_e('Hover State','craftsandarts-core');?> </label>
	</div>
	<div class="column five-sixth last">
        <?php 
        $switchclass = array_key_exists("hover-state",$portfolio_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
        $checked = array_key_exists("hover-state",$portfolio_settings) ? ' checked="checked"' : '';
        ?>
        <div data-for="dttheme-hover-state" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
        <input id="dttheme-hover-state" class="hidden" type="checkbox" name="hover-state" value="true" <?php echo ($checked);?>/>
        <p class="note"> <?php esc_html_e('YES! to keep item in hover state.','craftsandarts-core');?> </p>
	</div>	
</div><!-- Highlight Item -->

<div class="hr"></div>

<div class="custom-box">

	<div class="column one-sixth">
		<label><?php esc_html_e('Disable Footer','craftsandarts-core');?></label>
	</div>
	<div class="column one-third last">
      <?php $switchclass = array_key_exists("disable-footer",$portfolio_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
            $checked = array_key_exists("disable-footer",$portfolio_settings) ? ' checked="checked"' : '';?>
      <div data-for="disable-footer" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
      <input id="disable-footer" class="hidden" type="checkbox" name="disable-footer" value="true" <?php echo ($checked);?>/>
      <p class="note"> <?php esc_html_e('YES! to disable footer for this portfolio.','craftsandarts-core');?> </p>
	</div>

	<div class="column one-sixth">
		<label><?php esc_html_e('Footer Page','craftsandarts-core');?> </label>
	</div>
	<div class="column one-third last">
		<?php 
		$footer_page = array_key_exists("footer-page",$portfolio_settings) ? $portfolio_settings['footer-page'] : ''; 
		?>
		<select name="footer-page" id="footer-page" class="dt-chosen-select">
            <option value=""><?php esc_html_e('Choose the footer page', 'craftsandarts-core'); ?></option><?php
            $pages = get_pages ( 'title_li=&orderby=name' );
            foreach ( $pages as $page ) :
                $id = esc_attr ( $page->ID );
                $title = esc_html ( $page->post_title );
                echo "<option value='{$id}' " . selected ( $footer_page, $id, false ) . ">{$title}</option>";
            endforeach ?>
		</select>
        <p class="note"> <?php esc_html_e("Choose footer page here. Leave empty to use footer page in buddha panel option.",'craftsandarts-core');?> </p>
	</div>

</div>

<div class="custom-box">

	<div class="column one-sixth">
		<label><?php esc_html_e('Footer Dark BG','craftsandarts-core');?></label>
	</div>
	<div class="column one-third last">
      <?php $switchclass = array_key_exists("footer-darkbg",$portfolio_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
            $checked = array_key_exists("footer-darkbg",$portfolio_settings) ? ' checked="checked"' : '';?>
      <div data-for="footer-darkbg" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
      <input id="footer-darkbg" class="hidden" type="checkbox" name="footer-darkbg" value="true" <?php echo ($checked);?>/>
      <p class="note"> <?php esc_html_e('YES! to dark bg footer for this portfolio.','craftsandarts-core');?> </p>
	</div>

</div>