<?php 
get_header();

$portfolio_settings = get_post_meta ( $post->ID, '_portfolio_settings', TRUE );
$portfolio_settings = is_array ( $portfolio_settings ) ? $portfolio_settings : array ();

$portfolio_layout = array_key_exists("portfolio-layout", $portfolio_settings) ? $portfolio_settings['portfolio-layout'] : '';
$mediaontop_mediatype = array_key_exists("mediaontop-mediatype",$portfolio_settings) ? $portfolio_settings['mediaontop-mediatype'] : '';

$page_layout  = array_key_exists( "layout", $portfolio_settings ) ? $portfolio_settings['layout'] : "content-full-width";
if($portfolio_layout == 'media-on-top' || $portfolio_layout == 'fixed-gallery' || $portfolio_layout == 'fixed-feature-image' || $portfolio_layout == 'fullpage-portfolio' || $portfolio_layout == 'fullscreen-slider' || $portfolio_layout == 'gallery-list') {
	$page_layout = "content-full-width";
}
$show_sidebar = $show_left_sidebar = $show_right_sidebar = false;
$sidebar_class = '';

switch ( $page_layout ) {
	case 'with-left-sidebar':
		$page_layout = "page-with-sidebar with-left-sidebar";
		$show_sidebar = $show_left_sidebar = true;
		$sidebar_class = "secondary-has-left-sidebar";
	break;

	case 'with-right-sidebar':
		$page_layout = "page-with-sidebar with-right-sidebar";
		$show_sidebar = $show_right_sidebar	= true;
		$sidebar_class = "secondary-has-right-sidebar";
	break;
	
	case 'with-both-sidebar':
		$page_layout = "page-with-sidebar with-both-sidebar";
		$show_sidebar = $show_left_sidebar = $show_right_sidebar	= true;
		$sidebar_class = "secondary-has-both-sidebar";
	break;

	case 'content-full-width':
	default:
		$page_layout = "content-full-width";
	break;
}
?>

<section id="primary" class="<?php echo esc_attr( $page_layout );?>"><?php

	if( have_posts() ):
		while( have_posts() ):
			the_post();
			$portfolio_id = get_the_ID();
			?>			

			<article id="post-<?php the_ID();?>" <?php post_class(array('dt-portfolio-single'));?>>
                
                <?php
               if($portfolio_layout == 'media-on-top') {

               		echo do_shortcode(get_the_content());

				} else if($portfolio_layout == 'fixed-gallery') {

					if ( ! post_password_required() ) {

						echo '<div class="column dt-sc-one-half no-space first">';
							echo '<div class="dt-sc-fixed-content">';
									$slider_settings['fixed_slider'] = 'true';
									$slider_settings['show_arrow'] = 'true';
									echo dt_sc_get_portfolio_slider($slider_settings);
							echo '</div>';
						echo '</div>';
						echo '<div class="column dt-sc-one-half no-space">';
							echo '<div class="dt-sc-portfolio-details">'; 
									echo do_shortcode(get_the_content());
								    echo craftsandarts_generate_footer();
							echo '</div>';
						echo '</div>';

					} else {

						echo '<div class="dt-sc-portfolio-details">'; 
								echo do_shortcode(get_the_content());
							    echo craftsandarts_generate_footer();
						echo '</div>';	
												
					}

				} else if($portfolio_layout == 'fixed-feature-image') {

					if ( ! post_password_required() ) {

						$image_src = wp_get_attachment_image_src(get_post_thumbnail_id( $portfolio_id ), 'full', false);
						$image_src = $image_src[0];

						echo '<div class="column dt-sc-one-third no-space first">';
							echo '<div class="dt-sc-fixed-content" style="background-image:url('.$image_src.');"></div>';
						echo '</div>';
						echo '<div class="column dt-sc-two-third no-space">';
							echo '<div class="dt-sc-portfolio-details">'; 
									echo do_shortcode(get_the_content());
								    echo craftsandarts_generate_footer();
							echo '</div>';
						echo '</div>';

					} else {

						echo '<div class="dt-sc-portfolio-details">'; 
								echo do_shortcode(get_the_content());
							    echo craftsandarts_generate_footer();
						echo '</div>';	
												
					}						

				} else if($portfolio_layout == 'fullpage-portfolio') {

					if ( ! post_password_required() ) {

						echo dt_sc_get_portfolio_fullpage_carousel($portfolio_id, true);
						echo '<div class="dt-portfolio-single-details">';
								echo dt_sc_get_portfolio_title($portfolio_id);
				        		echo do_shortcode(get_the_content());
						echo '</div>';
						echo dt_sc_get_portfolio_navigation_links('type2');

					} else {

						echo '<div class="dt-sc-portfolio-details">'; 
								echo do_shortcode(get_the_content());
							    echo craftsandarts_generate_footer();
						echo '</div>';	
												
					}						

				} else if($portfolio_layout == 'fullscreen-slider') {

					if ( ! post_password_required() ) {

						echo dt_sc_get_portfolio_fullscreen_slider($portfolio_id, true);
						echo '<div class="dt-portfolio-single-details">';
								echo dt_sc_get_portfolio_title($portfolio_id);
				        		echo dt_sc_get_portfolio_terms($portfolio_id, true, '');
						echo '</div>';
						echo dt_sc_get_portfolio_navigation_links('type2');

					} else {

						echo '<div class="dt-sc-portfolio-details">'; 
								echo do_shortcode(get_the_content());
							    echo craftsandarts_generate_footer();
						echo '</div>';	
												
					}						

				} else if($portfolio_layout == 'gallery-list') {

					if ( ! post_password_required() ) {

						$gallerylist_position = array_key_exists("gallerylist-position", $portfolio_settings) ? $portfolio_settings['gallerylist-position'] : '';

						if($gallerylist_position == 'right') {

							echo '<div class="column dt-sc-one-half no-space first with-content-left">';
								echo '<div class="dt-sc-portfolio-details dt-sc-fixed-content">'; 

										echo do_shortcode(get_the_content());
									    echo craftsandarts_generate_footer();

								echo '</div>';
							echo '</div>';
							echo '<div class="column dt-sc-one-half no-space">';

									$gallery_settings['portfolio-post-layout'] = 'one-column';
									$gallery_settings['portfolio-grid-space'] = '';
									$gallery_settings['animationeffect'] = 'fadeInUp';
									$gallery_settings['animationdelay'] = '400';
									$gallery_settings['gallerytype'] = 'gallery-list';	

									echo dt_sc_get_portfolio_gallery_listing($gallery_settings);

							echo '</div>';

						} else {

							echo '<div class="column dt-sc-one-half no-space first">';

									$gallery_settings['portfolio-post-layout'] = 'one-column';
									$gallery_settings['portfolio-grid-space'] = '';
									$gallery_settings['animationeffect'] = 'fadeInUp';
									$gallery_settings['animationdelay'] = '400';
									$gallery_settings['gallerytype'] = 'gallery-list';	

									echo dt_sc_get_portfolio_gallery_listing($gallery_settings);						
							echo '</div>';
							echo '<div class="column dt-sc-one-half no-space with-content-right">';
								echo '<div class="dt-sc-portfolio-details dt-sc-fixed-content">'; 

										echo do_shortcode(get_the_content());
									    echo craftsandarts_generate_footer();

								echo '</div>';
							echo '</div>';

						}

					} else {

						echo '<div class="dt-sc-portfolio-details">'; 
								echo do_shortcode(get_the_content());
							    echo craftsandarts_generate_footer();
						echo '</div>';	
												
					}						

                } else {

					echo do_shortcode(get_the_content());

                }
                ?>

			</article>

			<?php				
		endwhile;
	endif;?>
        
</section><!-- **Primary - End** --><?php

if ( $show_sidebar ):
	if ( $show_left_sidebar ): ?>
		<!-- Secondary Left -->
		<section id="secondary-left" class="secondary-sidebar <?php echo esc_attr( $sidebar_class );?>"><?php get_sidebar('left');?></section><?php
	endif;
endif;

if ( $show_sidebar ):
	if ( $show_right_sidebar ): ?>
		<!-- Secondary Right -->
		<section id="secondary-right" class="secondary-sidebar <?php echo esc_attr( $sidebar_class );?>"><?php get_sidebar('right');?></section><?php
	endif;
endif;
get_footer();?>	