<?php
	#Page Meta Box
	add_action("add_meta_boxes", "craftsandarts_page_metabox");
	add_action('save_post','craftsandarts_page_meta_save', 10, 2);
	function craftsandarts_page_metabox(){
		add_meta_box("page-template-slider-meta-container", esc_html__('Slider Options', 'crafts-and-arts'), "craftsandarts_page_slider_settings", "page", "normal", "default");
		add_meta_box("page-template-meta-container", esc_html__('Default page Options', 'crafts-and-arts'), "craftsandarts_page_settings", "page", "normal", "default");
	}

	#Slider Meta Box
	function craftsandarts_page_slider_settings($args){
		global $post;
		$tpl_default_settings = get_post_meta($post->ID,'_tpl_default_settings',TRUE);
		$tpl_default_settings = is_array($tpl_default_settings) ? $tpl_default_settings  : array();
		echo '<input type="hidden" name="dt_theme_page_meta_nonce" value="'.wp_create_nonce(basename(__FILE__)).'" />';?>

		<!-- Show Slider -->
        <div class="custom-box">
        	<div class="column one-sixth">
                <label><?php esc_html_e('Show Slider','crafts-and-arts');?> </label>
            </div>
            <div class="column four-sixth last">
				<?php $switchclass = array_key_exists("show_slider",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                      $checked = array_key_exists("show_slider",$tpl_default_settings) ? ' checked="checked"' : '';?>
                <div data-for="dttheme-show-slider" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                <input id="dttheme-show-slider" class="hidden" type="checkbox" name="dttheme-show-slider" value="true" <?php echo ($checked);?>/>
                <p class="note"> <?php esc_html_e('YES! to show slider on this page.','crafts-and-arts');?> </p>
            </div>
        </div><!-- Show Slider End-->

        <!-- Slider Types -->
        <div class="custom-box">
        	<div class="column one-sixth">
                <label><?php esc_html_e('Choose Slider','crafts-and-arts');?></label>
            </div>
            <div class="column four-sixth last">
	            <?php $slider_types = array( '' => esc_html__('Select','crafts-and-arts'),
											 'layerslider' => esc_html__('Layer Slider','crafts-and-arts'),
											 'revolutionslider' => esc_html__('Revolution Responsive','crafts-and-arts'),
											 'customslider' => esc_html__('Custom Slider Shortcode', 'crafts-and-arts'));
											 
	 				  $v =  array_key_exists("slider_type",$tpl_default_settings) ?  $tpl_default_settings['slider_type'] : '';
					  echo "<select class='slider-type dt-chosen-select' name='dttheme-slider-type'>";
					  foreach($slider_types as $key => $value):
					  	$rs = selected($key,$v,false);
						echo "<option value='{$key}' {$rs}>{$value}</option>";
					  endforeach;
	 				 echo "</select>";?>
            <p class="note"> <?php esc_html_e("Select a slider for your page",'crafts-and-arts');?> </p>
            </div>
        </div><!-- Slider Types End-->

        <!-- slier-container starts-->
    	<div id="slider-conainer"><?php

    		$layerslider = $revolutionslider = $customslider = 'style="display:none"';

        	if(isset($tpl_default_settings['slider_type'])&& $tpl_default_settings['slider_type'] == "layerslider"):
        		$layerslider = 'style="display:block"';
        	elseif(isset($tpl_default_settings['slider_type'])&& $tpl_default_settings['slider_type'] == "revolutionslider"):
        		$revolutionslider = 'style="display:block"';
        	elseif(isset($tpl_default_settings['slider_type'])&& $tpl_default_settings['slider_type'] == "customslider"):
        		$customslider = 'style="display:block"';
        	endif;?>

        	<!-- Layered Slider -->
        	<div id="layerslider" class="custom-box" <?php echo ($layerslider);?>>
        		<h3><?php esc_html_e('Layer Slider','crafts-and-arts');?></h3><?php
    			# Check layer slider active
    			if( class_exists( 'LS_Sliders' ) ):
    				$sliders = LS_Sliders::find(array('limit' => 50));

    				if(!empty($sliders)):
    					echo '<div class="one-half-content">';
    					echo '	<div class="bpanel-option-set">';
    					echo '		<div class="column one-sixth">';
    					echo '			<label>'.esc_html__('Select LayerSlider','crafts-and-arts').'</label>';
    					echo '		</div>';
    					echo ' 		<div class="column two-sixth">';
    					echo '			<select name="layerslider_id" class="dt-chosen-select">';
    					echo '				<option value="0">'.esc_html__("Select Slider",'crafts-and-arts').'</option>';
    										foreach($sliders as $key => $item):
    											$id = $item['id'];
    											$name = $item['name'];
    											$rs = isset($tpl_default_settings['layerslider_id']) ? $tpl_default_settings['layerslider_id']:'';
    											$rs = selected($id,$rs,false);
    											echo "	<option value='{$id}' {$rs}>{$name}</option>";
    										endforeach;
    					echo '			</select>';
    					echo '			<p class="note">'.esc_html__("Choose Which LayerSlider you would like to use..",'crafts-and-arts').'</p>';
    					echo '		</div>';
    					echo '	</div>';
						echo '</div>';
					else:
						echo '<p id="j-no-images-container">'.esc_html__('Please add at leat one layer slider','crafts-and-arts').'</p>';
					endif;
				else:
					echo '<p id="j-no-images-container">'.esc_html__('Please activate Layered Slider','crafts-and-arts').'</p>';
				endif; ?>
            </div><!-- Layered Slider End-->

            <!-- Revolution Slider -->
            <div id="revolutionslider" class="custom-box" <?php echo ($revolutionslider);?>>
            	<h3><?php esc_html_e('Revolution Slider','crafts-and-arts');?></h3><?php
            	# Check revolution slider active
				if( class_exists( 'RevSlider' ) ):
					$sld = new RevSlider();
					$sliders = $sld->getArrSliders();
					if(!empty($sliders)):
						echo '<div class="one-half-content">';
						echo '	<div class="bpanel-option-set">';
						echo ' <div class="column one-sixth">';
						echo '	<label>'.esc_html__('Select Slider','crafts-and-arts').'</label>';
						echo ' 	</div>';
						echo ' <div class="column three-sixth">';
						echo '	<select name="revolutionslider_id" class="dt-chosen-select">';
							echo '		<option value="0">'.esc_html__("Select Slider",'crafts-and-arts').'</option>';
							foreach($sliders as $key => $item):
								$alias = $item->getAlias();
								$title = $item->getTitle();
								$rs = isset($tpl_default_settings['revolutionslider_id']) ? $tpl_default_settings['revolutionslider_id']:'';
								$rs = selected($alias,$rs,false);
								echo "	<option value='{$alias}' {$rs}>{$title}</option>";
							endforeach;
						echo '	</select>';
						echo '<p class="note">'.esc_html__("Choose which Revolution slider would you like to use!",'crafts-and-arts').'</p>';
						echo ' 	</div>';
						echo '	</div>';
						echo '</div>';
					else:
						echo '<p id="j-no-images-container">'.esc_html__('Please add at leat one revolution slider','crafts-and-arts').'</p>';
					endif;
				else:
					echo '<p id="j-no-images-container">'.esc_html__('Please activate Revolution Slider , and add at least one slider.','crafts-and-arts').'</p>';
				endif; ?>
            </div><!-- Revolution Slider End-->

            <!-- Custom Slider Shortcode -->
            <div id="customslider" class="custom-box" <?php echo ($customslider);?>>
            	<h3><?php esc_html_e('Custom Slider','crafts-and-arts');?></h3>
                <div class="one-half-content">
                	<div class="bpanel-option-set">
                        <div class="column one-sixth">
                            <label><?php esc_html_e('Shortcode', 'crafts-and-arts'); ?></label>
                        </div>
                        <div class="column three-sixth">
                            <?php $v = array_key_exists("customslider_sc",$tpl_default_settings) ?  $tpl_default_settings['customslider_sc'] : '';?>
                            <textarea rows="3" cols="30" id="dttheme-custom-slider" name="dttheme-custom-slider"><?php echo esc_attr($v);?></textarea>
                            <p class="note"> <?php esc_html_e('Enter your custom slider shortcode.','crafts-and-arts');?> </p>
                        </div>
                    </div>
                </div>
            </div><!-- Custom Slider Shortcode-->
        </div><!-- slier-container ends--><?php
        wp_reset_postdata();
	}

	#Page Meta Box	
	function craftsandarts_page_settings($args){
		 
		global $post;
		$tpl_default_settings = get_post_meta($post->ID,'_tpl_default_settings',TRUE);
		$tpl_default_settings = is_array($tpl_default_settings) ? $tpl_default_settings  : array();?>
        
        <div class="j-pagetemplate-container">

            	<div id="tpl-common-settings">

					<!-- 0. Sub Title -->
					<div class="sub-title custom-box">
                        <div class="column one-sixth"><label><?php esc_html_e('Subtitle Section','crafts-and-arts');?></label></div>
                        <div class="column five-sixth last">
                            <div class="one-fifth column">
                            	<label for="dttheme-enable-sub-title"><?php esc_html_e( 'Enable Section','crafts-and-arts');?></label>
                                <div class="clear"></div>
                                <?php $switchclass = array_key_exists("enable-sub-title",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("enable-sub-title",$tpl_default_settings) ? ' checked="checked"' : '';
								if(empty($tpl_default_settings)) {
								  $switchclass = 'checkbox-switch-on'; $checked = ' checked="checked"';
								} ?>
                                <div data-for="dttheme-enable-sub-title" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                                <input id="dttheme-enable-sub-title" class="hidden" type="checkbox" name="dttheme-enable-sub-title" value="true" <?php echo ($checked);?>/>
                                <p class="note"> <?php esc_html_e('YES! to enable subtitle section','crafts-and-arts');?> </p>
                            </div>
                            
                            <div class="one-half column image-preview-container dt-custom-subtitle" style="width:57%;">
                                <label for="sub-title-bg"><?php esc_html_e( 'Title Background','crafts-and-arts');?></label>
                                <div class="clear"></div>
                                <?php $subtitlebg = array_key_exists ( 'sub-title-bg', $tpl_default_settings ) ? $tpl_default_settings ['sub-title-bg'] : '';?>
                                <input name="sub-title-bg" type="text" class="uploadfield medium" readonly="readonly" value="<?php echo esc_attr($subtitlebg);?>"/>
                                <input type="button" value="<?php esc_attr_e('Upload','crafts-and-arts');?>" class="upload_image_button show_preview" />
                                <input type="button" value="<?php esc_attr_e('Remove','crafts-and-arts');?>" class="upload_image_reset" />
                                <?php if( !empty($subtitlebg) ) craftsandarts_adminpanel_image_preview($subtitlebg );?>
                                <p class="note"><?php esc_html_e('Upload an image for the sub title background','crafts-and-arts');?></p>
                            </div>
                            
                            <div class="one-fifth column last">
								<?php $label = 	esc_html__('Background Color','crafts-and-arts');
                                $name  =	'sub-title-bg-color';
                                $value =  	array_key_exists ( 'sub-title-bg-color', $tpl_default_settings ) ? $tpl_default_settings ['sub-title-bg-color'] : '';
                                $tooltip = 	esc_html__('Select background color for sub title section','crafts-and-arts'); ?>
                                <label><?php echo esc_html($label);?></label>
	                            <div class="clear"></div>
                                <?php craftsandarts_admin_color_picker("",$name,$value,'');?>
                                <p class="note"><?php echo esc_html($tooltip);?></p>
                            </div>    
                        </div>
                    </div>
    
                    <div class="sub-title custom-box">
                        <div class="column one-sixth"></div>
                        <div class="column five-sixth last">
                            <div class="column one-third">
                                <label><?php esc_html_e('Background Repeat','crafts-and-arts');?></label>
                                <?php $bgrepeat =  array_key_exists ( "sub-title-bg-repeat", $tpl_default_settings ) ? $tpl_default_settings ['sub-title-bg-repeat'] : ''; ?>
                                <div class="clear"></div>
                                <select class="dt-chosen-select" name="sub-title-bg-repeat">
                                    <option value=""><?php esc_html_e("Select",'crafts-and-arts');?></option>
                                    <?php foreach( array('repeat','repeat-x','repeat-y','no-repeat') as $option): ?>
                                           <option value="<?php echo esc_attr($option);?>" <?php selected($option,$bgrepeat);?>><?php echo esc_attr($option);?></option>
                                    <?php endforeach;?>
                                </select>
                                <p class="note"><?php esc_html_e('Select background image repeat style','crafts-and-arts');?></p>
                            </div>
    
                            <div class="column one-third">
                                <label><?php esc_html_e('Background Position','crafts-and-arts');?></label>
                                <?php $bgposition =  array_key_exists ( "sub-title-bg-position", $tpl_default_settings ) ? $tpl_default_settings ['sub-title-bg-position'] : ''; ?>
                                <div class="clear"></div>
                                <select class="dt-chosen-select" name="sub-title-bg-position">
                                    <option value=""><?php esc_html_e('Select','crafts-and-arts');?></option>
                                    <?php foreach( array('top left','top center','top right','center left','center center','center right','bottom left','bottom center','bottom right') as $option): ?>
                                        <option value="<?php echo esc_attr($option);?>" <?php selected($option,$bgposition);?>> <?php echo esc_attr($option);?></option>
                                    <?php endforeach;?>
                                </select>
                                <p class="note"><?php esc_html_e('Select background image position','crafts-and-arts');?></p>
                            </div>
    
                            <div class="column one-third last">
                                <label><?php esc_html_e('Opacity','crafts-and-arts');?></label>
                                <?php $opacity =  array_key_exists ( "sub-title-opacity", $tpl_default_settings ) ? $tpl_default_settings ['sub-title-opacity'] : ''; ?>
                                <select class="dt-chosen-select" name="sub-title-opacity">
                                    <option value=""><?php esc_html_e("Select",'crafts-and-arts');?></option>
                                    <?php foreach( array('1','0.1','0.2','0.3','0.4','0.5','0.6','0.7','0.8','0.9') as $option): ?>
                                           <option value="<?php echo esc_attr($option);?>" <?php selected($option,$opacity);?>><?php echo esc_attr($option);?></option>
                                    <?php endforeach;?>
                                </select>
                                <p class="note"><?php esc_html_e('Select background color opacity','crafts-and-arts');?></p>
                            </div>
                        </div>
                    </div><!-- 0. Sub title End-->
                </div><!-- .tpl-common-settings end -->

                <?php
                $portfolio_poststyle = array_key_exists("portfolio-post-style",$tpl_default_settings) ?  $tpl_default_settings['portfolio-post-style'] : ''; 
                $portfolio_poststyle_cls = 'style="display:block;"';


                if($portfolio_poststyle == 'portfolio-fullpage' || $portfolio_poststyle == 'portfolio-fullpage-carousel' || $portfolio_poststyle == 'portfolio-multiscroll') {
                    $portfolio_poststyle_cls = 'style="display:none;"'; 
                }
                ?>

                <div id="tpl-page-layout-settings" class="custom-box" <?php echo ($portfolio_poststyle_cls); ?>>
                    
                    <!-- 1. Layout -->
                    <div id="page-layout" class="custom-box">
                        <div class="column one-sixth"><label><?php esc_html_e('Layout','crafts-and-arts');?> </label></div>
                        <div class="column five-sixth last">
                            <ul class="bpanel-layout-set"><?php
                                $page_layouts = array( 'content-full-width'=>'without-sidebar', 'with-left-sidebar'=>'left-sidebar',
														  'with-right-sidebar'=>'right-sidebar', 'with-both-sidebar'=>'both-sidebar',
														  'fullwidth'=>'fullwidth');
                                $v =  array_key_exists("layout",$tpl_default_settings) ?  $tpl_default_settings['layout'] : 'content-full-width';
                                foreach($page_layouts as $key => $value):
                                    $class = ($key == $v) ? " class='selected' " : "";
                                    echo "<li><a href='#' rel='{$key}' {$class}><img src='" . CRAFTSANDARTS_THEME_URI . "/framework/theme-options/images/columns/{$value}.png' /></a></li>";
                                endforeach;?>
                            </ul>
                            <input id="dttheme-page-layout" name="layout" type="hidden" value="<?php echo esc_attr($v);?>"/>
                            <p class="note"> <?php esc_html_e("You can choose a perfect layout for your page",'crafts-and-arts');?> </p>
                        </div>
                    </div> <!-- Layout End-->

					<?php
                    $sb_layout = array_key_exists("layout",$tpl_default_settings) ? $tpl_default_settings['layout'] : 'content-full-width';
                    $sidebar_both = $sidebar_left = $sidebar_right = '';

					if($sb_layout == 'content-full-width' || $sb_layout == 'fullwidth') {
						$sidebar_both = 'style="display:none;"'; 
					} elseif($sb_layout == 'with-left-sidebar') {
						$sidebar_right = 'style="display:none;"'; 
					} elseif($sb_layout == 'with-right-sidebar') {
						$sidebar_left = 'style="display:none;"'; 
					}?>
                    <div id="widget-area-options" <?php echo ($sidebar_both);?>>
                        <div id="left-sidebar-container" class="page-left-sidebar" <?php echo ($sidebar_left); ?>>
                            <!-- 2. Standard Sidebar Left Start -->
                            <div id="page-commom-sidebar" class="sidebar-section custom-box">
                                <div class="column one-sixth"><label><?php esc_html_e('Show Standard Left Sidebar','crafts-and-arts');?></label></div>
                                <div class="column five-sixth last"><?php 
                                    $switchclass = array_key_exists("show-standard-sidebar-left",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                    $checked = array_key_exists("show-standard-sidebar-left",$tpl_default_settings) ? ' checked="checked"' : '';
									if(empty($tpl_default_settings) || array_key_exists("show-standard-sidebar-left",$tpl_default_settings)) {
									  $switchclass = 'checkbox-switch-on'; $checked = ' checked="checked"';
									}?>
                                    <div data-for="dttheme-show-standard-sidebar-left" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                                    <input id="dttheme-show-standard-sidebar-left" class="hidden" type="checkbox" name="show-standard-sidebar-left" value="true" <?php echo ($checked);?>/>
                                    <p class="note"> <?php esc_html_e('Yes! to show Standard Left Sidebar','crafts-and-arts');?> </p>
                                 </div>
                            </div><!-- Standard Sidebar Left End-->

                            <!-- 3. Choose Widget Areas Start -->
                            <div id="page-sidebars" class="sidebar-section custom-box page-widgetareas">
                                <div class="column one-sixth"><label><?php esc_html_e('Choose Widget Area - Left Sidebar','crafts-and-arts');?></label></div>
                                <div class="column five-sixth last"><?php
									$widgetareas = array_key_exists("widget-area-left",$tpl_default_settings) ? array_unique($tpl_default_settings["widget-area-left"]) : array();
                                    $widgets = craftsandarts_option('widgetarea','custom');
                                    $widgets = !empty($widgets) ? $widgets : array();?>
									<select class="dt-chosen-select" name="dttheme[widgetareas-left][]" multiple="multiple" data-placeholder="<?php esc_attr_e('Select Widget Area', 'crafts-and-arts');?>"><?php
										echo "<option value=''></option>";
										if( isset( $widgets ) ):
											foreach ( $widgets as $widget ) :
												$id = mb_convert_case($widget, MB_CASE_LOWER, "UTF-8");
												$id = str_replace(" ", "-", $id);
												$selected = in_array( $id , $widgetareas ) ? " selected='selected' " : "";
												echo "<option value='{$id}' {$selected}>{$widget}</option>";
											endforeach;
										endif;?>
									</select>
                                </div>
                            </div><!-- Choose Widget Areas End -->
                        </div>
                        <div id="right-sidebar-container" class="page-right-sidebar" <?php echo ($sidebar_right); ?>>
                            <!-- 3. Standard Sidebar Right Start -->
                            <div id="page-commom-sidebar" class="sidebar-section custom-box page-right-sidebar">
                                <div class="column one-sixth"><label><?php esc_html_e('Show Standard Right Sidebar','crafts-and-arts');?></label></div>
                                <div class="column five-sixth last"><?php 
                                    $switchclass = array_key_exists("show-standard-sidebar-right",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                    $checked = array_key_exists("show-standard-sidebar-right",$tpl_default_settings) ? ' checked="checked"' : '';
									if(empty($tpl_default_settings) || array_key_exists("show-standard-sidebar-right",$tpl_default_settings)) {
									  $switchclass = 'checkbox-switch-on'; $checked = ' checked="checked"';
									}?>
                                    <div data-for="dttheme-show-standard-sidebar-right" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                                    <input id="dttheme-show-standard-sidebar-right" class="hidden" type="checkbox" name="show-standard-sidebar-right" value="true" <?php echo ($checked);?>/>
                                    <p class="note"> <?php esc_html_e('Yes! to show Standard Right Sidebar','crafts-and-arts');?> </p>
                                 </div>
                            </div><!-- Standard Sidebar Right End-->

                            <!-- 3. Choose Widget Areas Start -->
                            <div id="page-sidebars" class="sidebar-section custom-box page-widgetareas">
                                <div class="column one-sixth"><label><?php esc_html_e('Choose Widget Area - Right Sidebar','crafts-and-arts');?></label></div>
                                <div class="column five-sixth last"><?php
									$widgetareas = array_key_exists("widget-area-right",$tpl_default_settings) ? array_unique($tpl_default_settings["widget-area-right"]) : array();
                                    $widgets = craftsandarts_option('widgetarea','custom');
                                    $widgets = !empty($widgets) ? $widgets : array();?>
									<select class="dt-chosen-select" name="dttheme[widgetareas-right][]" multiple="multiple" data-placeholder="<?php esc_attr_e('Select Widget Area', 'crafts-and-arts');?>"><?php
										echo "<option value=''></option>";
										if( isset( $widgets ) ):
											foreach ( $widgets as $widget ) :
												$id = mb_convert_case($widget, MB_CASE_LOWER, "UTF-8");
												$id = str_replace(" ", "-", $id);
												$selected = in_array( $id , $widgetareas ) ? " selected='selected' " : "";
												echo "<option value='{$id}' {$selected}>{$widget}</option>";
											endforeach;
										endif;?>
									</select>
                                </div>
                            </div><!-- Choose Widget Areas End -->
                        </div>
                    </div>

                </div><!-- .tpl-page-layout-settings end -->

				<div id="tpl-onepage-settings">
                    <div class="custom-box">
                    	<div class="column one-sixth">
                            <label><?php esc_html_e('Choose Menu','crafts-and-arts');?></label>
                        </div>
                        <div class="column five-sixth last">
                        	<select name="dttheme-onepage-menu" class="dt-chosen-select"><?php
								//GETTING ONEPAGE MENUS...
								$v =  array_key_exists("onepage_menu",$tpl_default_settings) ?  $tpl_default_settings['onepage_menu'] : '';
								$menus = get_terms( 'nav_menu', array( 'hide_empty' => true ) );
								foreach($menus as $m):
									$rs = selected($m->term_id,$v,false);
									echo "<option value='".$m->term_id."' {$rs}>".$m->name."</option>";
								endforeach; ?>
                            </select>
                            <p class="note"> <?php esc_html_e("Select a menu items work as one page. Note: It doesn't work for split menu.",'crafts-and-arts');?> </p>
                        </div>
                    </div>
               </div><!-- tpl-onepage-settings end-->
               
               <!-- Blog Template Settings -->
               <div id="tpl-blog">
                  <!-- Post Playout -->
                  <div class="custom-box">
                      <div class="column one-sixth">                
                          <label><?php esc_html_e('Posts Layout','crafts-and-arts');?> </label>
                      </div>
                      <div class="column five-sixth last">
                          <ul class="dt-bpanel-layout-set">
                          <?php $posts_layout = array(	'one-column'=>	esc_html__("Single post per row.",'crafts-and-arts'),
                                                        'one-half-column'=>	esc_html__("Two posts per row.",'crafts-and-arts'),
														'one-third-column'=>	esc_html__("Three posts per row.",'crafts-and-arts'));
                                  $v = array_key_exists("blog-post-layout",$tpl_default_settings) ?  $tpl_default_settings['blog-post-layout'] : 'one-column';
                                  foreach($posts_layout as $key => $value):
                                      $class = ($key == $v) ? " class='selected' " : "";
                                      echo "<li><a href='#' rel='{$key}' {$class} title='{$value}'><img src='" . CRAFTSANDARTS_THEME_URI . "/framework/theme-options/images/columns/{$key}.png' /></a></li>";
                                  endforeach;?>
                          </ul>
                          <input id="dttheme-blog-post-layout" name="dttheme-blog-post-layout" type="hidden" value="<?php echo esc_attr($v);?>"/>
                          <p class="note"> <?php esc_html_e("You can choose perfect column style for your blog posts",'crafts-and-arts');?> </p>
                      </div>
                  </div><!-- Post Playout End-->

                  <!-- Post Style-->
                  <div class="custom-box">
                      <div class="column one-sixth"> 
                          <label><?php esc_html_e('Post Style','crafts-and-arts');?></label>
                      </div>
                      <div class="column five-sixth last"> 
                          <select name="dttheme-blog-post-style" class="dt-chosen-select">
                              <?php $selected = 	array_key_exists("blog-post-style",$tpl_default_settings) ?  $tpl_default_settings['blog-post-style'] : ''; ?>
                              <?php	$blog_styles =  array( 
                                        '' => esc_html__('Default','crafts-and-arts'),
                                        'entry-date-left' => esc_html__('Date Left','crafts-and-arts'),
                                        'entry-date-author-left' => esc_html__('Date and Author Left','crafts-and-arts'),
                                        'blog-medium-style'=>esc_html__('Medium','crafts-and-arts'),
                                        'blog-medium-style dt-blog-medium-highlight'=>esc_html__('Medium Highlight','crafts-and-arts'),
                                        'blog-medium-style dt-blog-medium-highlight dt-sc-skin-highlight' => esc_html__('Medium Skin Highlight','crafts-and-arts')
                                    );
									foreach( $blog_styles as $bs => $bv ):
										echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
									endforeach;?>
                          </select>
                          <p class="note"> <?php esc_html_e("Select a style to show blog post",'crafts-and-arts');?> </p>
                      </div>
                  </div><!-- Post Style End-->


                  <!-- Enable Readmore button -->
                  <div class="custom-box">
                      <div class="column one-sixth">
                          <label><?php esc_html_e('Enable Readmore','crafts-and-arts');?></label>
                      </div>
                      <div class="column five-sixth last">                     
                          <?php $switchclass = array_key_exists("enable-blog-readmore",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("enable-blog-readmore",$tpl_default_settings) ? ' checked="checked"' : '';?>
                          <div data-for="dttheme-enable-blog-readmore" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                          <input id="dttheme-enable-blog-readmore" class="hidden" type="checkbox" name="dttheme-enable-blog-readmore" value="true" <?php echo ($checked);?>/>
                          <p class="note"> <?php esc_html_e('YES! to enable read more button','crafts-and-arts');?> </p>
                      </div>
                  </div><!-- Enable Readmore button End-->
                  

                  <!-- Readmore Style-->
                  <div class="custom-box">
                      <div class="column one-sixth"> 
                          <label><?php esc_html_e('Read More Button','crafts-and-arts');?></label>
                      </div>
                      <div class="column five-sixth last">
							<?php $v = array_key_exists("blog-readmore",$tpl_default_settings) ?  $tpl_default_settings['blog-readmore'] : '[dt_sc_button title="Read More" style="filled" icon_type="fontawesome" iconalign="icon-right with-icon" iconclass="fa fa-long-arrow-right" class="type1" /]';?>
                            <textarea rows="1" cols="100%" id="dttheme-blog-readmore" name="dttheme-blog-readmore"><?php echo esc_attr($v);?></textarea>
                          <p class="note"> <?php esc_html_e("Enter button shortcode",'crafts-and-arts');?> </p>
                      </div>
                  </div><!-- Readmore Style End-->

                  <!-- Allow Excerpt -->
                  <div class="custom-box">
                      <div class="column one-sixth">
                          <label><?php esc_html_e('Allow Excerpt','crafts-and-arts');?></label>
                      </div>
                      <div class="column five-sixth last">                     
                          <?php $switchclass = array_key_exists("blog-post-excerpt",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("blog-post-excerpt",$tpl_default_settings) ? ' checked="checked"' : '';?>
                          <div data-for="dttheme-blog-post-excerpt" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                          <input id="dttheme-blog-post-excerpt" class="hidden" type="checkbox" name="dttheme-blog-post-excerpt" value="true" <?php echo ($checked);?>/>
                          <p class="note"> <?php esc_html_e('YES! to enable excerpt','crafts-and-arts');?> </p>
                      </div>
                  </div><!-- Allow Excerpt End-->
  
                  <!-- Excerpt Length-->
                  <div class="custom-box">
                      <div class="column one-sixth">
                          <label><?php esc_html_e('Excerpt Length','crafts-and-arts');?></label>
                      </div>
                      <div class="column five-sixth last">
                          <?php $v = array_key_exists("blog-post-excerpt-length",$tpl_default_settings) ?  $tpl_default_settings['blog-post-excerpt-length'] : '45';?>
                          <input id="dttheme-blog-post-excerpt-length" name="dttheme-blog-post-excerpt-length" type="text" value="<?php echo esc_attr($v);?>" />
                          <p class="note"> <?php esc_html_e("Limit! Number of characters from the content to appear on each blog post (Number Only)",'crafts-and-arts');?> </p>
                      </div>
                  </div><!-- Excerpt Length End-->
  
                  <!-- Post Count-->
                  <div class="custom-box">
                      <div class="column one-sixth"> 
                          <label><?php esc_html_e('Post per page','crafts-and-arts');?></label>
                      </div>
                      <div class="column five-sixth last"> 
                          <select name="dttheme-blog-post-per-page" class="dt-chosen-select">
                              <option value="-1"><?php esc_html_e("All",'crafts-and-arts');?></option>
                              <?php $selected = 	array_key_exists("blog-post-per-page",$tpl_default_settings) ?  $tpl_default_settings['blog-post-per-page'] : ''; ?>
                              <?php for($i=1;$i<=30;$i++):
                                  echo "<option value='{$i}'".selected($selected,$i,false).">{$i}</option>";
                                  endfor;?>
                          </select>
                          <p class="note"> <?php esc_html_e("Select number of posts per page.",'crafts-and-arts');?> </p>
                      </div>
                  </div><!-- Post Count End-->
                  
                  <!-- Categories -->
                  <div class="custom-box">
                      <div class="column one-sixth">
                          <label><?php esc_html_e('Choose Categories','crafts-and-arts');?></label>
                      </div>
                      <div class="column five-sixth last"><?php
						  $blog_post_cats = array_key_exists("blog-post-cats",$tpl_default_settings) ? array_unique($tpl_default_settings["blog-post-cats"]) : array();
						  $cats = get_categories ( 'orderby=name&hide_empty=0' );?>
						  <select class="dt-chosen-select" name="dttheme[blog][cats][]" multiple="multiple" data-placeholder="<?php esc_attr_e('Select Categories', 'crafts-and-arts');?>"><?php
							  echo "<option value=''></option>";
							  foreach ( $cats as $cat ) :
								  $id = esc_attr ( $cat->term_id );
								  $title = esc_html ( $cat->name );
								  $selected = in_array( $id , $blog_post_cats ) ? " selected='selected' " : "";
								  echo "<option value='{$id}' {$selected}>{$title}</option>";
							  endforeach;?>                        	
						  </select>
						  <p class="note"> <?php esc_html_e("Select categories to exclude from your blog page.",'crafts-and-arts');?> </p>
                      </div>
                  </div><!-- Categories End-->

                <!-- Post Meta-->
                <div class="custom-box">
	                <h3><?php esc_html_e('Post Meta Options','crafts-and-arts');?></h3>
                	<?php $post_meta = array(
							array(
								"id"=>		"show-postformat-info",
								"label"=>	esc_html__("Show the post format info.",'crafts-and-arts'),
								"tooltip"=>	esc_html__("By default the post format info will display when viewing your posts. You can easily disable it here.",'crafts-and-arts')
							), array(
								"id"=>		"show-author-info",
								"label"=>	esc_html__("Show the Author info.",'crafts-and-arts'),
								"tooltip"=>	esc_html__("By default the author info will display when viewing your posts. You can easily disable it here.",'crafts-and-arts')
							), array(
								"id"=>		"show-date-info",
								"label"=>	esc_html__("Show the date info.",'crafts-and-arts'),
								"tooltip"=>	esc_html__("By default the date info will display when viewing your posts. You can easily disable it here.",'crafts-and-arts')
							),
							array(
								"id"=>		"show-comment-info",
								"label"=>	esc_html__("Show the comment",'crafts-and-arts'),
								"tooltip"=>	esc_html__("By default the comment will display when viewing your posts. You can easily disable it here.",'crafts-and-arts')
							),
							array(
								"id"=>		"show-category-info",
								"label"=>	esc_html__("Show the category",'crafts-and-arts'),
								"tooltip"=>	esc_html__("By default the category will display when viewing your posts. You can easily disable it here.",'crafts-and-arts')
							),
							array(
								"id"=>		"show-tag-info",
								"label"=>	esc_html__("Show the tag",'crafts-and-arts'),
								"tooltip"=>	esc_html__("By default the tag will display when viewing your posts. You can easily disable it here.",'crafts-and-arts')
							));
						$count = 1;
						foreach($post_meta as $p_meta):
							$last = ($count%3 == 0)?"last":'';
							$id = 		$p_meta['id'];
							$label =	$p_meta['label'];
							$tooltip =  $p_meta['tooltip'];
							$v =  array_key_exists($id,$tpl_default_settings) ?  $tpl_default_settings[$id] : '';
							$rs =		checked($id,$v,false);
						 	$switchclass = ($v <> '') ? 'checkbox-switch-on' :'checkbox-switch-off';
							if(empty($tpl_default_settings)) {
								$switchclass = 'checkbox-switch-on'; $rs = ' checked="checked"';
							}

							echo "<div class='one-third-content {$last}'>";
							echo '<div class="bpanel-option-set">';
							echo "<label>{$label}</label>";							
							echo "<div data-for='{$id}' class='checkbox-switch {$switchclass}'></div>";
							echo "<input class='hidden' id='{$id}' type='checkbox' name='dttheme-blog-{$id}' value='{$id}' {$rs} />";
							echo '<p class="note">';
							echo ($tooltip);
							echo '</p>';
							echo '</div>';
							echo '</div>';
							
						$count++;	
						endforeach;?>
                </div><!-- Post Meta End-->
                  
               </div><!-- Blog Template Settings End-->
  
               <!-- Portfolio Template Settings -->
               <div id="tpl-portfolio">
               
                  <!-- Post Style-->
                  <div class="custom-box">
                      <div class="column one-sixth"> 
                          <label><?php esc_html_e('Post Style','crafts-and-arts');?></label>
                      </div>
                      <div class="column five-sixth last"> 
                          <select name="dttheme-portfolio-post-style" id="dttheme-portfolio-post-style" class="dt-chosen-select">
                            <?php 
                            $selected = array_key_exists("portfolio-post-style",$tpl_default_settings) ?  $tpl_default_settings['portfolio-post-style'] : ''; 

                            $portfoliooptions_cls = 'style="display:block;"';
                            $portfolioaddoptions_cls = 'style="display:block;"';
                            $fullpageoptions_cls = 'style="display:none;"';
                            $stripedoptions_cls = 'style="display:none;"';
                            $parallaxoptions_cls = 'style="display:none;"';
                            $carousel_cls = 'style="display:block;"';
                            $multiscrolloptions_cls = 'style="display:none;"';
                            if($selected == 'portfolio-fullpage') {
                                $portfoliooptions_cls = 'style="display:none;"';
                                $portfolioaddoptions_cls = 'style="display:block;"';
                                $fullpageoptions_cls = 'style="display:block;"';
                                $stripedoptions_cls = 'style="display:none;"';
                                $parallaxoptions_cls = 'style="display:none;"';
                                $carousel_cls = 'style="display:block;"';
                                $multiscrolloptions_cls = 'style="display:none;"';
                            }
                            if($selected == 'portfolio-parallax') {
                                $portfoliooptions_cls = 'style="display:none;"';
                                $portfolioaddoptions_cls = 'style="display:block;"';
                                $fullpageoptions_cls = 'style="display:none;"';
                                $stripedoptions_cls = 'style="display:none;"';
                                $parallaxoptions_cls = 'style="display:block;"';
                                $carousel_cls = 'style="display:block;"';
                                $multiscrolloptions_cls = 'style="display:none;"';
                            }
                            if($selected == 'portfolio-striped') {
                                $portfoliooptions_cls = 'style="display:none;"';
                                $portfolioaddoptions_cls = 'style="display:block;"';
                                $fullpageoptions_cls = 'style="display:none;"';
                                $stripedoptions_cls = 'style="display:block;"';
                                $parallaxoptions_cls = 'style="display:none;"';
                                $carousel_cls = 'style="display:block;"';
                                $multiscrolloptions_cls = 'style="display:none;"';
                            }
                            if($selected == 'portfolio-fullpage-carousel') {
                                $portfoliooptions_cls = 'style="display:none;"';
                                $portfolioaddoptions_cls = 'style="display:none;"';
                                $fullpageoptions_cls = 'style="display:none;"';
                                $stripedoptions_cls = 'style="display:none;"';
                                $parallaxoptions_cls = 'style="display:none;"';
                                $carousel_cls = 'style="display:none;"';
                                $multiscrolloptions_cls = 'style="display:none;"';
                            }
                            if($selected == 'portfolio-multiscroll') {
                                $portfoliooptions_cls = 'style="display:none;"';
                                $portfolioaddoptions_cls = 'style="display:block;"';
                                $fullpageoptions_cls = 'style="display:none;"';
                                $stripedoptions_cls = 'style="display:none;"';
                                $parallaxoptions_cls = 'style="display:none;"';
                                $carousel_cls = 'style="display:block;"';
                                $multiscrolloptions_cls = 'style="display:block;"';
                            }                           
                              ?>
                              <?php $portfolio_styles =  array( '' => esc_html__('Default','crafts-and-arts'), 'portfolio-fullpage' => esc_html__('Full Page','crafts-and-arts'), 'portfolio-parallax' => esc_html__('Parallax','crafts-and-arts'), 'portfolio-striped' => esc_html__('Striped','crafts-and-arts'), 'portfolio-fixed' => esc_html__('Fixed','crafts-and-arts'), 'portfolio-framed' => esc_html__('Framed','crafts-and-arts'), 'portfolio-fullpage-carousel' => esc_html__('Full Page Carousel','crafts-and-arts'), 'portfolio-multiscroll' => esc_html__('Multi Scroll','crafts-and-arts'));

                                    foreach( $portfolio_styles as $bs => $bv ):
                                        echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                    endforeach;?>
                          </select>
                          <p class="note"> <?php esc_html_e("Select a style to show portfolio item",'crafts-and-arts');?> </p>
                      </div>
                  </div><!-- Post Style End-->

                  <!-- Details Below Image -->
                  <div class="dt-sc-portfoliooptions-holder" <?php echo $portfoliooptions_cls; ?>>
                      <div class="custom-box">
                          <div class="column one-sixth"> 
                              <label><?php esc_html_e('Show Details Below Image','crafts-and-arts');?></label>
                          </div>
                          <div class="column five-sixth last"> 
                              <select name="dttheme-portfolio-details-below-image" id="dttheme-portfolio-details-below-image" class="dt-chosen-select">
                                <?php 
                                $selected = array_key_exists("portfolio-details-below-image",$tpl_default_settings) ?  $tpl_default_settings['portfolio-details-below-image'] : ''; 
                                ?>
                                <?php 
                                $portfolio_details_style =  array( '' => esc_html__('None','crafts-and-arts'), 'details-below-image' => esc_html__('Details Below Image','crafts-and-arts'));
                                foreach( $portfolio_details_style as $bs => $bv ):
                                    echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                endforeach;
                                ?>
                              </select>
                              <p class="note"> <?php esc_html_e("If you wish you can show your details below image.", 'crafts-and-arts');?> </p>
                          </div>
                      </div>
                  </div><!-- Details Below Image End-->  

                  <div class="dt-sc-portfolioadditional-options-holder"  <?php echo $portfolioaddoptions_cls; ?>>
                      <!-- Hover Style-->
                      <div class="custom-box">
                          <div class="column one-sixth"> 
                              <label><?php esc_html_e('Hover Style','crafts-and-arts');?></label>
                          </div>
                          <div class="column five-sixth last"> 
                              <select name="dttheme-portfolio-hover-style" id="dttheme-portfolio-hover-style" class="dt-chosen-select">
                                <?php 
                                $selected = array_key_exists("portfolio-hover-style",$tpl_default_settings) ?  $tpl_default_settings['portfolio-hover-style'] : ''; 
                                ?>
                                <?php $portfolio_styles =  array( '' => esc_html__('None','crafts-and-arts'),'modern-title' => esc_html__('Modern Title','crafts-and-arts'), 'title-icons-overlay' => esc_html__('Title & Icons Overlay','crafts-and-arts'), 'title-overlay' => esc_html__('Title Overlay','crafts-and-arts'),
                                    'icons-only' => esc_html__('Icons Only','crafts-and-arts'), 'classic' => esc_html__('Classic','crafts-and-arts'), 'minimal-icons' => esc_html__('Minimal Icons','crafts-and-arts'),
                                    'presentation' => esc_html__('Presentation','crafts-and-arts'), 'girly' => esc_html__('Girly','crafts-and-arts'), 'art' => esc_html__('Art','crafts-and-arts'), 'extended' => esc_html__('Extended','crafts-and-arts'), 'boxed' => esc_html__('Boxed','crafts-and-arts'), 'centered-box' => esc_html__('Centered Box','crafts-and-arts'), 'with-gallery-thumb' => esc_html__('With Gallery Thumb','crafts-and-arts'), 'with-gallery-list' => esc_html__('With Gallery List','crafts-and-arts'), 'grayscale' => esc_html__('Grayscale','crafts-and-arts'), 'highlighter' => esc_html__('Highlighter','crafts-and-arts'), 'with-details' => esc_html__('With Details','crafts-and-arts'), 'bottom-border' => esc_html__('Bottom Border','crafts-and-arts'), 'with-intro' => esc_html__('With Intro','crafts-and-arts'));

                                    foreach( $portfolio_styles as $bs => $bv ):
                                        echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                    endforeach;?>
                              </select>
                              <p class="note"> <?php esc_html_e("Select hover style for this portfolio item.",'crafts-and-arts');?> </p>
                          </div>
                      </div><!-- Hover Style End-->                

                      <!-- Cursor Hover Style-->
                      <div class="custom-box">
                          <div class="column one-sixth"> 
                              <label><?php esc_html_e('Cursor Hover Style','crafts-and-arts');?></label>
                          </div>
                          <div class="column five-sixth last"> 
                              <select name="dttheme-portfolio-cursor-hover-style" id="dttheme-portfolio-cursor-hover-style" class="dt-chosen-select">
                                <?php 
                                $selected = array_key_exists("portfolio-cursor-hover-style",$tpl_default_settings) ?  $tpl_default_settings['portfolio-cursor-hover-style'] : ''; 
                                ?>
                                <?php $cursor_hover_styles =  array( '' => esc_html__('Default', 'crafts-and-arts'), 'cursor-hover-style1' => esc_html__('Style 1','crafts-and-arts'), 'cursor-hover-style2' => esc_html__('Style 2','crafts-and-arts'), 'cursor-hover-style3' => esc_html__('Style 3','crafts-and-arts'), 'cursor-hover-style4' => esc_html__('Style 4','crafts-and-arts'), 'cursor-hover-style5' => esc_html__('Style 5','crafts-and-arts'), 'cursor-hover-style6' => esc_html__('Style 6','crafts-and-arts'));

                                    foreach( $cursor_hover_styles as $bs => $bv ):
                                        echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                    endforeach;?>
                              </select>
                              <p class="note"> <?php esc_html_e("Select cursor hover style for this portfolio item.",'crafts-and-arts');?> </p>
                          </div>
                      </div><!-- Cursor Hover Style End-->
                  </div>

                  <div class="dt-sc-multiscroll-holder"  <?php echo $multiscrolloptions_cls; ?>>

                      <div class="custom-box">
                          <div class="column one-sixth"> 
                              <label><?php esc_html_e('Enable Arrows','crafts-and-arts');?></label>
                          </div>
                          <div class="column five-sixth last"> 
                              <?php $switchclass = array_key_exists("portfolio-multiscroll-enable-arrows",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                    $checked = array_key_exists("portfolio-multiscroll-enable-arrows",$tpl_default_settings) ? ' checked="checked"' : '';?>
                              <div data-for="dttheme-portfolio-multiscroll-enable-arrows" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                              <input id="dttheme-portfolio-multiscroll-enable-arrows" class="hidden" type="checkbox" name="dttheme-portfolio-multiscroll-enable-arrows" value="true" <?php echo ($checked);?>/>
                              <p class="note"> <?php esc_html_e("If you wish you can enable arrows for multiscroll.",'crafts-and-arts');?> </p>
                          </div>
                      </div>

                  </div>    

                  <div class="dt-sc-fullpageoptions-holder" <?php echo $fullpageoptions_cls; ?>>

                      <div class="custom-box">
                          <div class="column one-sixth"> 
                              <label><?php esc_html_e('Dotted Navigation Position','crafts-and-arts');?></label>
                          </div>
                          <div class="column five-sixth last"> 
                              <select name="dttheme-portfolio-fullpage-navigation" id="dttheme-portfolio-fullpage-navigation" class="dt-chosen-select">
                                <?php 
                                $selected = array_key_exists("portfolio-fullpage-navigation",$tpl_default_settings) ?  $tpl_default_settings['portfolio-fullpage-navigation'] : 'right'; 
                                  ?>
                                  <?php 
                                  $fullpage_navigation_types =  array( 'left' => esc_html__('Left','crafts-and-arts'), 'right' => esc_html__('Right','crafts-and-arts'));

                                foreach( $fullpage_navigation_types as $bs => $bv ):
                                    echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                endforeach;
                                ?>
                              </select>
                              <p class="note"> <?php esc_html_e("Select dotted navigation position. This option won't be applicable for Type 2.",'crafts-and-arts');?> </p>
                          </div>
                      </div>

                      <div class="custom-box">
                          <div class="column one-sixth"> 
                              <label><?php esc_html_e('Types','crafts-and-arts');?></label>
                          </div>
                          <div class="column five-sixth last"> 
                              <select name="dttheme-portfolio-fullpage-type" id="dttheme-portfolio-fullpage-type" class="dt-chosen-select">
                                <?php 
                                $selected = array_key_exists("portfolio-fullpage-type",$tpl_default_settings) ?  $tpl_default_settings['portfolio-fullpage-type'] : ''; 
                                  ?>
                                  <?php 
                                  $fullpage_types =  array( '' => esc_html__('Default','crafts-and-arts'), 'splitted-section' => esc_html__('Splitted Section','crafts-and-arts'));

                                foreach( $fullpage_types as $bs => $bv ):
                                    echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                endforeach;
                                ?>
                              </select>
                              <p class="note"> <?php esc_html_e("Select available fullpage style.",'crafts-and-arts');?> </p>
                          </div>
                      </div>

                      <div class="custom-box">
                          <div class="column one-sixth"> 
                              <label><?php esc_html_e('Disable Auto Scrolling','crafts-and-arts');?></label>
                          </div>
                          <div class="column five-sixth last"> 
                              <?php $switchclass = array_key_exists("portfolio-disable-auto-scrolling",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                    $checked = array_key_exists("portfolio-disable-auto-scrolling",$tpl_default_settings) ? ' checked="checked"' : '';?>
                              <div data-for="dttheme-portfolio-disable-auto-scrolling" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                              <input id="dttheme-portfolio-disable-auto-scrolling" class="hidden" type="checkbox" name="dttheme-portfolio-disable-auto-scrolling" value="true" <?php echo ($checked);?>/>
                              <p class="note"> <?php esc_html_e("If you wish you can disable auto scrolling.",'crafts-and-arts');?> </p>
                          </div>
                      </div>

                      <div class="custom-box">
                          <div class="column one-sixth"> 
                              <label><?php esc_html_e('Disable Fullpage JS','crafts-and-arts');?></label>
                          </div>
                          <div class="column five-sixth last"> 
                              <?php $switchclass = array_key_exists("portfolio-disable-fullpage-js",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                    $checked = array_key_exists("portfolio-disable-fullpage-js",$tpl_default_settings) ? ' checked="checked"' : '';?>
                              <div data-for="dttheme-portfolio-disable-fullpage-js" class="fullpage-js-switch checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                              <input id="dttheme-portfolio-disable-fullpage-js" class="hidden" type="checkbox" name="dttheme-portfolio-disable-fullpage-js" value="true" <?php echo ($checked);?>/>
                              <p class="note"> <?php esc_html_e("If you wish you can disable fullpage jquery.",'crafts-and-arts');?> </p>
                          </div>
                      </div>

                      <div class="custom-box">
                          <div class="column one-sixth"> 
                              <label><?php esc_html_e('Splitted Section Options','crafts-and-arts');?></label>
                          </div>
                          <div class="column five-sixth last"> 
                              <select name="dttheme-portfolio-fullpage-splittedsections" id="dttheme-portfolio-fullpage-splittedsections" class="dt-chosen-select">
                                <?php 
                                $selected = array_key_exists("portfolio-fullpage-splittedsections",$tpl_default_settings) ?  $tpl_default_settings['portfolio-fullpage-splittedsections'] : 'leftside-image'; 
                                  ?>
                                  <?php 
                                  $splited_opts =  array( 'leftside-image' => esc_html__('Leftside Image','crafts-and-arts'), 'rightside-image' => esc_html__('Rightside Image','crafts-and-arts'), 'alternate-content' => esc_html__('Alternate Content','crafts-and-arts'));

                                foreach( $splited_opts as $bs => $bv ):
                                    echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                endforeach;
                                ?>
                              </select>
                              <p class="note"> <?php esc_html_e("Select any of the options available for splited section.",'crafts-and-arts');?> </p>
                          </div>
                      </div>

                  </div>

                  <div class="dt-sc-parallaxoptions-holder" <?php echo $parallaxoptions_cls; ?>>

                      <div class="custom-box">
                          <div class="column one-sixth"> 
                              <label><?php esc_html_e('Types','crafts-and-arts');?></label>
                          </div>
                          <div class="column five-sixth last"> 
                              <select name="dttheme-portfolio-parallax-type" id="dttheme-portfolio-parallax-type" class="dt-chosen-select">
                                <?php 
                                $selected = array_key_exists("portfolio-parallax-type",$tpl_default_settings) ?  $tpl_default_settings['portfolio-parallax-type'] : ''; 
                                  ?>
                                  <?php 
                                  $parallax_types =  array( '' => esc_html__('Default','crafts-and-arts'), 'type2' => esc_html__('Type 2','crafts-and-arts'));

                                foreach( $parallax_types as $bs => $bv ):
                                    echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                endforeach;
                                ?>
                              </select>
                              <p class="note"> <?php esc_html_e("Select available parallax style.",'crafts-and-arts');?> </p>
                          </div>
                      </div>

                      <div class="custom-box">
                          <div class="column one-sixth"> 
                              <label><?php esc_html_e('Parallax Effects','crafts-and-arts');?></label>
                          </div>
                          <div class="column five-sixth last"> 
                              <select name="dttheme-portfolio-parallax-effects" id="dttheme-portfolio-parallax-effects" class="dt-chosen-select">
                                <?php 
                                $selected = array_key_exists("portfolio-parallax-effects",$tpl_default_settings) ?  $tpl_default_settings['portfolio-parallax-effects'] : ''; 
                                  ?>
                                  <?php 
                                  $parllax_effects =  array( '' => esc_html__('Default','crafts-and-arts'), 'different-parallax-speed' => esc_html__('Different Parallax Speed','crafts-and-arts'), 'random-parallax-effect' => esc_html__('Random Parallax Effect','crafts-and-arts'));

                                foreach( $parllax_effects as $bs => $bv ):
                                    echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                endforeach;
                                ?>
                              </select>
                              <p class="note"> <?php esc_html_e("Select any of the portfolio parallax effects.",'crafts-and-arts');?> </p>
                          </div>
                      </div>

                      <div class="custom-box">
                          <div class="column one-sixth">                 
                              <label><?php esc_html_e('Posts Layout','crafts-and-arts');?> </label>
                          </div>
                          <div class="column five-sixth last">
                              <ul class="dt-bpanel-layout-set">
                              <?php $posts_layout = array(
                                        'one-column'=>    esc_html__("One posts per row.",'crafts-and-arts'),
                                        'one-half-column'=>    esc_html__("Two posts per row.",'crafts-and-arts'),  
                                        'one-third-column'=>    esc_html__("Three posts per row.",'crafts-and-arts'),
                                        'one-fourth-column' => esc_html__("Four Posts per row",'crafts-and-arts'));
                                    $v = array_key_exists("parallax-portfolio-post-layout",$tpl_default_settings) ?  $tpl_default_settings['parallax-portfolio-post-layout'] : 'one-fourth-column';
                                    foreach($posts_layout as $key => $value):
                                        $class = ($key == $v) ? " class='selected' " : "";
                                        echo "<li><a href='#' rel='{$key}' {$class} title='{$value}'><img src='" . CRAFTSANDARTS_THEME_URI . "/framework/theme-options/images/columns/{$key}.png' /></a></li>";
                                    endforeach;?>
                              </ul>
                              <input id="dttheme-parallax-portfolio-post-layout" name="dttheme-parallax-portfolio-post-layout" type="hidden" value="<?php echo esc_attr($v);?>"/>
                              <p class="note"> <?php esc_html_e("You can choose perfect column style for your parallax portfolio items",'crafts-and-arts');?> </p>
                          </div>      
      
                      </div>

                  </div>

                  <div class="dt-sc-stripedoptions-holder" <?php echo $stripedoptions_cls; ?>>

                      <!-- Post Playout -->
                      <div class="custom-box">
                          <div class="column one-sixth">                 
                              <label><?php esc_html_e('Posts Layout','crafts-and-arts');?> </label>
                          </div>
                          <div class="column five-sixth last">
                              <ul class="dt-bpanel-layout-set">
                              <?php $posts_layout = array(  'one-third-column'=>    esc_html__("Three posts per row.",'crafts-and-arts'),
                                        'one-fourth-column' => esc_html__("Four Posts per row",'crafts-and-arts'),
                                        'one-fifth-column' => esc_html__("Five Posts per row",'crafts-and-arts'),
                                        'one-sixth-column' => esc_html__("Six Posts per row",'crafts-and-arts'));
                                    $v = array_key_exists("striped-portfolio-post-layout",$tpl_default_settings) ?  $tpl_default_settings['striped-portfolio-post-layout'] : 'one-fourth-column';
                                    foreach($posts_layout as $key => $value):
                                        $class = ($key == $v) ? " class='selected' " : "";
                                        echo "<li><a href='#' rel='{$key}' {$class} title='{$value}'><img src='" . CRAFTSANDARTS_THEME_URI . "/framework/theme-options/images/columns/{$key}.png' /></a></li>";
                                    endforeach;?>
                              </ul>
                              <input id="dttheme-striped-portfolio-post-layout" name="dttheme-striped-portfolio-post-layout" type="hidden" value="<?php echo esc_attr($v);?>"/>
                              <p class="note"> <?php esc_html_e("You can choose perfect column style for your striped portfolio items",'crafts-and-arts');?> </p>
                          </div>      
      
                      </div><!-- Post Playout End-->

                  </div>

                  <div class="dt-sc-portfoliooptions-holder" <?php echo $portfoliooptions_cls; ?>>

                      <!-- Post Playout -->
                      <div class="custom-box">
                          <div class="column one-sixth">                 
                              <label><?php esc_html_e('Posts Layout','crafts-and-arts');?> </label>
                          </div>
                          <div class="column five-sixth last">
                              <ul class="dt-bpanel-layout-set">
                              <?php $posts_layout = array(  
                                        'one-column'=> esc_html__("One post per row.",'crafts-and-arts'),
                                        'one-half-column'=> esc_html__("Two posts per row.",'crafts-and-arts'),
                                        'one-third-column'=>    esc_html__("Three posts per row.",'crafts-and-arts'),
                                        'one-fourth-column' => esc_html__("Four Posts per row",'crafts-and-arts'),
                                        'one-fifth-column' => esc_html__("Five Posts per row",'crafts-and-arts'),
                                        'one-sixth-column' => esc_html__("Six Posts per row",'crafts-and-arts'),
                                        'one-seventh-column' => esc_html__("Seven Posts per row",'crafts-and-arts'),
                                        'one-eight-column' => esc_html__("eight Posts per row",'crafts-and-arts'),
                                        'one-nineth-column' => esc_html__("Nine Posts per row",'crafts-and-arts'),
                                        'one-tenth-column' => esc_html__("Ten Posts per row",'crafts-and-arts'));
                                    $v = array_key_exists("portfolio-post-layout",$tpl_default_settings) ?  $tpl_default_settings['portfolio-post-layout'] : 'one-fourth-column';
                                    foreach($posts_layout as $key => $value):
                                        $class = ($key == $v) ? " class='selected' " : "";
                                        echo "<li><a href='#' rel='{$key}' {$class} title='{$value}'><img src='" . CRAFTSANDARTS_THEME_URI . "/framework/theme-options/images/columns/{$key}.png' /></a></li>";
                                    endforeach;?>
                              </ul>
                              <input id="dttheme-portfolio-post-layout" name="dttheme-portfolio-post-layout" type="hidden" value="<?php echo esc_attr($v);?>"/>
                              <p class="note"> <?php esc_html_e("You can choose perfect column style for your portfolio items",'crafts-and-arts');?> </p>
                          </div>      
      
                      </div><!-- Post Playout End-->
                      
                      <!-- Allow Grid Space -->
                      <div class="custom-box">
                          <div class="column one-sixth">                
                              <label><?php esc_html_e('Allow Grid Space','crafts-and-arts');?></label>
                          </div>
                          <div class="column five-sixth last">
                              <?php $switchclass = array_key_exists("portfolio-grid-space",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                    $checked = array_key_exists("portfolio-grid-space",$tpl_default_settings) ? ' checked="checked"' : '';?>
                              <div data-for="dttheme-portfolio-grid-space" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                              <input id="dttheme-portfolio-grid-space" class="hidden" type="checkbox" name="dttheme-portfolio-grid-space" value="true" <?php echo ($checked);?>/>
                              <p class="note"> <?php esc_html_e('YES! to allow grid space in between portfolio item','crafts-and-arts');?> </p>
                          </div>
                      </div><!-- Allow Grid Space -->
                      
                      <!-- Allow Filters -->  
                      <div class="custom-box">
                          <div class="column one-sixth">                
                              <label><?php esc_html_e('Allow Filters','crafts-and-arts');?></label>
                          </div>
                          <div class="column five-sixth last">                       
                              <?php $switchclass = array_key_exists("filter",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                    $checked = array_key_exists("filter",$tpl_default_settings) ? ' checked="checked"' : '';?>
                              <div data-for="dttheme-portfolio-filter" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                              <input id="dttheme-portfolio-filter" class="hidden" type="checkbox" name="dttheme-portfolio-filter" value="true" <?php echo ($checked);?>/>
                              <p class="note"> <?php esc_html_e('YES! to allow filter options for portfolio items','crafts-and-arts');?> </p>
                          </div>
                      </div><!-- Allow Filters -->

                      <div class="custom-box">
                          <div class="column one-sixth"> 
                              <label><?php esc_html_e('Filter Design Type','crafts-and-arts');?></label>
                          </div>
                          <div class="column five-sixth last"> 
                              <select name="dttheme-portfolio-filterdesign-type" id="dttheme-portfolio-filterdesign-type" class="dt-chosen-select">
                                <?php 
                                $selected = array_key_exists("portfolio-filterdesign-type",$tpl_default_settings) ?  $tpl_default_settings['portfolio-filterdesign-type'] : ''; 
                                  ?>
                                  <?php 
                                  $pagination_types =  array( '' => esc_html__('Default','crafts-and-arts'), 'type2' => esc_html__('Type 2','crafts-and-arts'), 'type3' => esc_html__('Type 3','crafts-and-arts'));

                                foreach( $pagination_types as $bs => $bv ):
                                    echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                endforeach;
                                ?>
                              </select>
                              <p class="note"> <?php esc_html_e("Select any of the filter design type.",'crafts-and-arts');?> </p>
                          </div>
                      </div>
                  
                  </div>

                  <!-- Post Count-->
                  <div class="custom-box">
                      <div class="column one-sixth">
                          <label><?php esc_html_e('Post per page','crafts-and-arts');?></label>
                      </div>
                      <div class="column five-sixth last">   
                          <select name="dttheme-portfolio-post-per-page" class="dt-chosen-select">
                              <option value="-1"><?php esc_html_e("All",'crafts-and-arts');?></option>
                              <?php $selected =     array_key_exists("portfolio-post-per-page",$tpl_default_settings) ?  $tpl_default_settings['portfolio-post-per-page'] : ''; ?>
                              <?php for($i=1;$i<=30;$i++):
                                  echo "<option value='{$i}'".selected($selected,$i,false).">{$i}</option>";
                                  endfor;?>
                          </select>
                          <p class="note"> <?php esc_html_e("Select number of posts per page.",'crafts-and-arts');?> </p>
                      </div>
                  </div><!-- Post Count End-->

                  <!-- Categories -->
                  <div class="custom-box">
                      <div class="column one-sixth">
                          <label><?php esc_html_e('Choose Categories','crafts-and-arts');?></label>
                      </div>
                      <div class="column five-sixth last"><?php
                          $portfolio_cats = array_key_exists("portfolio-categories",$tpl_default_settings) ? array_unique($tpl_default_settings["portfolio-categories"]) : array();
                          $cats = get_categories ( 'taxonomy=portfolio_entries&hide_empty=0' );?>
                          <select class="dt-chosen-select" name="dttheme[portfolio][cats][]" multiple="multiple" data-placeholder="<?php esc_attr_e('Select Categories', 'crafts-and-arts');?>"><?php
                              echo "<option value=''></option>";
                              foreach ( $cats as $cat ) :
                                  $id = esc_attr ( $cat->term_id );
                                  $title = esc_html ( $cat->name );
                                  $selected = in_array( $id , $portfolio_cats ) ? " selected='selected' " : "";
                                  echo "<option value='{$id}' {$selected}>{$title}</option>";
                              endforeach;?>                         
                          </select>
                          <p class="note"> <?php esc_html_e("Select categories to show in portfolio items.",'crafts-and-arts');?> </p>
                      </div>
                  </div><!-- Categories End-->   

                  <div class="custom-box">
                      <div class="column one-sixth"> 
                          <label><?php esc_html_e('Pagination Type','crafts-and-arts');?></label>
                      </div>
                      <div class="column five-sixth last"> 
                          <select name="dttheme-portfolio-pagination-type" id="dttheme-portfolio-pagination-type" class="dt-chosen-select">
                            <?php 
                            $selected = array_key_exists("portfolio-pagination-type",$tpl_default_settings) ?  $tpl_default_settings['portfolio-pagination-type'] : ''; 
                              ?>
                              <?php 
                              $pagination_types =  array( '' => esc_html__('None','crafts-and-arts'), 'numbered-pagination' => esc_html__('Numbered Pagination','crafts-and-arts'), 'load-more' => esc_html__('Load More','crafts-and-arts'), 'lazy-load' => esc_html__('Lazy Load','crafts-and-arts'));

                            foreach( $pagination_types as $bs => $bv ):
                                echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                            endforeach;
                            ?>
                          </select>
                          <p class="note"> <?php esc_html_e("Select any of the pagination type.",'crafts-and-arts');?> </p>
                      </div>
                  </div>

                  <div class="dt-sc-carousel-holder" <?php echo $carousel_cls; ?>>

                      <div class="custom-box">
                          <div class="column one-sixth"> 
                              <label><?php esc_html_e('Display Style','crafts-and-arts');?></label>
                          </div>
                          <div class="column five-sixth last"> 
                              <select name="dttheme-portfolio-displaystyle" id="dttheme-portfolio-displaystyle" class="dt-chosen-select">
                                <?php 
                                $selected = array_key_exists("portfolio-displaystyle",$tpl_default_settings) ?  $tpl_default_settings['portfolio-displaystyle'] : ''; 
                                $portfolio_display_styles =  array( '' => esc_html__('List','crafts-and-arts'), 'carousel' => esc_html__('Carousel','crafts-and-arts'));

                                foreach( $portfolio_display_styles as $bs => $bv ):
                                    echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                endforeach;
                                ?>
                              </select>
                              <p class="note"> <?php esc_html_e("Select display style for your portfolio.",'crafts-and-arts');?> </p>
                          </div>
                      </div>

                      <?php
                        $carouseloptions_cls = 'style="display:none;"';
                        $portfoliooptions_cls = 'style="display:block;"';
                        if($selected == 'carousel') {
                            $carouseloptions_cls = 'style="display:block;"';
                            $portfoliooptions_cls = 'style="display:none;"';
                        }
                      ?>                                    

                    <div class="dt-sc-carouseloptions-holder" <?php echo $carouseloptions_cls; ?>>

                        <div class="hr"></div>

                        <div class="custom-box">
                            <p class="note"> <strong><?php echo esc_html__('Note:', 'crafts-and-arts'); ?></strong> <?php esc_html_e("Carousel options won't work with all combination of fullpage and multiscroll options.",'crafts-and-arts');?> </p>
                        </div>

                        <div class="custom-box">

                            <div class="column one-sixth"> 
                                <label><?php esc_html_e('Choose Effect','crafts-and-arts');?></label>
                            </div>
                            <div class="column one-third"> 
                                <select name="dttheme-portfolio-carousel-effect" id="dttheme-portfolio-carousel-effect" class="dt-chosen-select">
                                    <?php 
                                    $selected = array_key_exists("portfolio-carousel-effect",$tpl_default_settings) ?  $tpl_default_settings['portfolio-carousel-effect'] : ''; 
                                    $effects =  array( '' => esc_html__('Default','crafts-and-arts'), 'coverflow' => esc_html__('Cover Flow','crafts-and-arts'), 'cube' => esc_html__('Cube','crafts-and-arts'), 'fade' => esc_html__('Fade','crafts-and-arts')/*, 'multirows' => esc_html__('Multi Rows','crafts-and-arts')*/);

                                    foreach( $effects as $bs => $bv ):
                                        echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                    endforeach;
                                    ?>
                                </select>
                                <p class="note"> <?php esc_html_e("Choose effect for your carousel. Slides Per View has to be 1 for Cube and Fade effect",'crafts-and-arts');?> </p>
                            </div> 

                            <?php /*<div class="column one-sixth">
                                <label><?php esc_html_e('Number of Rows','crafts-and-arts');?> </label>
                            </div>
                            <div class="column one-third last">
                                <select name="dttheme-portfolio-carousel-numberofrows" class="dt-chosen-select">
                                    <?php 
                                    $selected = array_key_exists("portfolio-carousel-numberofrows",$tpl_default_settings) ?  $tpl_default_settings['portfolio-carousel-numberofrows'] : ''; 
                                    ?>
                                    <?php for($i=1;$i<=5;$i++):
                                    echo "<option value='{$i}'".selected($selected,$i,false).">{$i}</option>";
                                    endfor;?>
                                </select>
                                <p class="note"> <?php esc_html_e("Number rows to show, it will work along with multi row effect only.",'crafts-and-arts');?> </p>
                            </div>  */ ?>                          

                        </div>     

                        <div class="custom-box">                    

                            <div class="column one-sixth">
                                <label><?php esc_html_e('Auto Play','crafts-and-arts');?> </label>
                            </div>
                            <div class="column one-third">
                                <?php 
                                $autoplay = array_key_exists("portfolio-carousel-autoplay",$tpl_default_settings) ? $tpl_default_settings['portfolio-carousel-autoplay'] : ''; 
                                ?>
                                <input name="dttheme-portfolio-carousel-autoplay" class="large" type="number" value="<?php echo esc_attr($autoplay); ?>" />
                                <p class="note"> <?php esc_html_e("Delay between transitions ( in ms ). Leave empty if you don't want to auto play.",'crafts-and-arts');?> </p>
                            </div>  
                            <div class="column one-sixth">
                                <label><?php esc_html_e('Slides Per View','crafts-and-arts');?> </label>
                            </div>
                            <div class="column one-third last">
                                <select name="dttheme-portfolio-carousel-slidesperview" class="dt-chosen-select">
                                    <?php 
                                    $selected = array_key_exists("portfolio-carousel-slidesperview",$tpl_default_settings) ?  $tpl_default_settings['portfolio-carousel-slidesperview'] : ''; 
                                    ?>
                                    <?php for($i=1;$i<=10;$i++):
                                    echo "<option value='{$i}'".selected($selected,$i,false).">{$i}</option>";
                                    endfor;?>
                                </select>
                                <p class="note"> <?php esc_html_e("Number slides of to show in view port.",'crafts-and-arts');?> </p>
                            </div>  

                        </div> 
                        
                        <div class="custom-box">        

                            <div class="column one-sixth"> 
                                <label><?php esc_html_e('Enable loop mode','crafts-and-arts');?></label>
                            </div>
                            <div class="column one-third"> 
                                <?php 
                                $switchclass = array_key_exists("portfolio-carousel-loopmode",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("portfolio-carousel-loopmode",$tpl_default_settings) ? ' checked="checked"' : '';?>
                                <div data-for="dttheme-portfolio-carousel-loopmode" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                                <input id="dttheme-portfolio-carousel-loopmode" class="hidden" type="checkbox" name="dttheme-portfolio-carousel-loopmode" value="true" <?php echo ($checked);?>/>
                                <p class="note"> <?php esc_html_e("If you wish you can enable continous loop mode for your carousel.",'crafts-and-arts');?> </p>
                            </div>  
                            <div class="column one-sixth"> 
                                <label><?php esc_html_e('Enable mousewheel control','crafts-and-arts');?></label>
                            </div>
                            <div class="column one-third last"> 
                                <?php 
                                $switchclass = array_key_exists("portfolio-carousel-mousewheelcontrol",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("portfolio-carousel-mousewheelcontrol",$tpl_default_settings) ? ' checked="checked"' : '';?>
                                <div data-for="dttheme-portfolio-carousel-mousewheelcontrol" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                                <input id="dttheme-portfolio-carousel-mousewheelcontrol" class="hidden" type="checkbox" name="dttheme-portfolio-carousel-mousewheelcontrol" value="true" <?php echo ($checked);?>/>
                                <p class="note"> <?php esc_html_e("If you wish you can enable mouse wheel control for your carousel.",'crafts-and-arts');?> </p>
                            </div>  

                        </div>

                        <div class="custom-box">        

                            <div class="column one-sixth"> 
                                <label><?php esc_html_e('Enable centered mode','crafts-and-arts');?></label>
                            </div>
                            <div class="column one-third"> 
                                <?php 
                                $switchclass = array_key_exists("portfolio-carousel-centermode",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("portfolio-carousel-centermode",$tpl_default_settings) ? ' checked="checked"' : '';?>
                                <div data-for="dttheme-portfolio-carousel-centermode" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                                <input id="dttheme-portfolio-carousel-centermode" class="hidden" type="checkbox" name="dttheme-portfolio-carousel-centermode" value="true" <?php echo ($checked);?>/>
                                <p class="note"> <?php esc_html_e("If you wish you can enable centered mode for your carousel.",'crafts-and-arts');?> </p>
                            </div> 

                            <?php /*<div class="column one-sixth"> 
                                <label><?php esc_html_e('Enable vertical direction','crafts-and-arts');?></label>
                            </div>
                            <div class="column one-third last"> 
                                <?php 
                                $switchclass = array_key_exists("portfolio-carousel-verticaldirection",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("portfolio-carousel-verticaldirection",$tpl_default_settings) ? ' checked="checked"' : '';?>
                                <div data-for="dttheme-portfolio-carousel-verticaldirection" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                                <input id="dttheme-portfolio-carousel-verticaldirection" class="hidden" type="checkbox" name="dttheme-portfolio-carousel-verticaldirection" value="true" <?php echo ($checked);?>/>
                                <p class="note"> <?php esc_html_e("To make your slides to navigate vertically.",'crafts-and-arts');?> </p>
                            </div>  */ ?>                          

                        </div>                                                                                             

                        <div class="custom-box"> 

                            <div class="column one-sixth">
                                <label><?php esc_html_e('Enable Bullet Pagination','crafts-and-arts');?> </label>
                            </div>
                            <div class="column one-third">
                                <?php 
                                $switchclass = array_key_exists("portfolio-carousel-bulletpagination",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("portfolio-carousel-bulletpagination",$tpl_default_settings) ? ' checked="checked"' : '';?>
                                <div data-for="dttheme-portfolio-carousel-bulletpagination" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                                <input id="dttheme-portfolio-carousel-bulletpagination" class="hidden" type="checkbox" name="dttheme-portfolio-carousel-bulletpagination" value="true" <?php echo ($checked);?>/>
                                <p class="note"> <?php esc_html_e("To enable bullet pagination.",'crafts-and-arts');?> </p>
                            </div>

                            <div class="column one-sixth">
                                <label><?php esc_html_e('Enable Fraction Pagination','crafts-and-arts');?> </label>
                            </div>
                            <div class="column one-third last">
                                <?php 
                                $switchclass = array_key_exists("portfolio-carousel-fractionpagination",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("portfolio-carousel-fractionpagination",$tpl_default_settings) ? ' checked="checked"' : '';?>
                                <div data-for="dttheme-portfolio-carousel-fractionpagination" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                                <input id="dttheme-portfolio-carousel-fractionpagination" class="hidden" type="checkbox" name="dttheme-portfolio-carousel-fractionpagination" value="true" <?php echo ($checked);?>/>
                                <p class="note"> <?php esc_html_e("To enable fraction pagination.",'crafts-and-arts');?> </p>
                            </div>                            

                        </div>  

                        <div class="custom-box"> 

                            <div class="column one-sixth">
                                <label><?php esc_html_e('Enable Progress Pagination','crafts-and-arts');?> </label>
                            </div>
                            <div class="column one-third">
                                <?php 
                                $switchclass = array_key_exists("portfolio-carousel-progresspagination",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("portfolio-carousel-progresspagination",$tpl_default_settings) ? ' checked="checked"' : '';?>
                                <div data-for="dttheme-portfolio-carousel-progresspagination" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                                <input id="dttheme-portfolio-carousel-progresspagination" class="hidden" type="checkbox" name="dttheme-portfolio-carousel-progresspagination" value="true" <?php echo ($checked);?>/>
                                <p class="note"> <?php esc_html_e("To enable progress pagination.",'crafts-and-arts');?> </p>
                            </div>

                            <div class="column one-sixth">
                                <label><?php esc_html_e('Enable Arrow Pagination','crafts-and-arts');?> </label>
                            </div>
                            <div class="column one-third last">
                                <?php 
                                $switchclass = array_key_exists("portfolio-carousel-arrowpagination",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("portfolio-carousel-arrowpagination",$tpl_default_settings) ? ' checked="checked"' : '';?>
                                <div data-for="dttheme-portfolio-carousel-arrowpagination" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                                <input id="dttheme-portfolio-carousel-arrowpagination" class="hidden" type="checkbox" name="dttheme-portfolio-carousel-arrowpagination" value="true" <?php echo ($checked);?>/>
                                <p class="note"> <?php esc_html_e("To enable arrow pagination.",'crafts-and-arts');?> </p>
                            </div>                            

                        </div> 

                        <div class="custom-box"> 

                            <div class="column one-sixth">
                                <label><?php esc_html_e('Arrow Type','crafts-and-arts');?> </label>
                            </div>
                            <div class="column one-third last">
                                <select name="dttheme-portfolio-carousel-arrowpagination-type" id="dttheme-portfolio-carousel-arrowpagination-type" class="dt-chosen-select">
                                    <?php 
                                    $selected = array_key_exists("portfolio-carousel-arrowpagination-type",$tpl_default_settings) ?  $tpl_default_settings['portfolio-carousel-arrowpagination-type'] : ''; 
                                    $arrowtypes =  array( '' => esc_html__('Default','crafts-and-arts'), 'type2' => esc_html__('Type 2','crafts-and-arts'));

                                    foreach( $arrowtypes as $bs => $bv ):
                                        echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                    endforeach;
                                    ?>
                                </select>
                                <p class="note"> <?php esc_html_e("Choose arrow pagination type for your carousel.",'crafts-and-arts');?> </p>
                            </div>                         

                            <div class="column one-sixth">
                                <label><?php esc_html_e('Pagination Color Scheme','crafts-and-arts');?> </label>
                            </div>
                            <div class="column one-third last">
                                <select name="dttheme-portfolio-carousel-paginationcolorscheme" id="dttheme-portfolio-carousel-paginationcolorscheme" class="dt-chosen-select">
                                    <?php 
                                    $selected = array_key_exists("portfolio-carousel-paginationcolorscheme",$tpl_default_settings) ?  $tpl_default_settings['portfolio-carousel-paginationcolorscheme'] : ''; 
                                    $paginationcolorscheme = array( '' => esc_html__('Light','crafts-and-arts'), 'dark' => esc_html__('Dark','crafts-and-arts'));

                                    foreach( $paginationcolorscheme as $bs => $bv ):
                                        echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                    endforeach;
                                    ?>
                                </select>
                                <p class="note"> <?php esc_html_e("Choose pagination color scheme for your carousel.",'crafts-and-arts');?> </p>
                            </div>                           

                        </div> 

                        <div class="custom-box">                        

                            <div class="column one-sixth">
                                <label><?php esc_html_e('Enable Play/Pause Button','crafts-and-arts');?> </label>
                            </div>
                            <div class="column one-third">
                                <?php 
                                $switchclass = array_key_exists("portfolio-carousel-playpausebutton",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("portfolio-carousel-playpausebutton",$tpl_default_settings) ? ' checked="checked"' : '';?>
                                <div data-for="dttheme-portfolio-carousel-playpausebutton" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                                <input id="dttheme-portfolio-carousel-playpausebutton" class="hidden" type="checkbox" name="dttheme-portfolio-carousel-playpausebutton" value="true" <?php echo ($checked);?>/>
                                <p class="note"> <?php esc_html_e("To enable play pause button for your carousel.",'crafts-and-arts');?> </p>
                            </div>  

                            <div class="column one-sixth">
                                <label><?php esc_html_e('Hover Arrows','crafts-and-arts');?> </label>
                            </div>
                            <div class="column one-third last">
                                <select name="dttheme-portfolio-carousel-hoverarrows" id="dttheme-portfolio-carousel-hoverarrows" class="dt-chosen-select">
                                    <?php 
                                    $selected = array_key_exists("portfolio-carousel-hoverarrows",$tpl_default_settings) ?  $tpl_default_settings['portfolio-carousel-hoverarrows'] : ''; 
                                    $hoverarrows = array( 'grabcursor-mousepointer' => esc_html__('Default','crafts-and-arts'), 'horizontal-mousepointer' => esc_html__('Horizontal Navigation','crafts-and-arts'), 'vertical-mousepointer' => esc_html__('Vertical Navigation','crafts-and-arts'), 'detailed-mousepointer' => esc_html__('Detailed Navigation','crafts-and-arts'));

                                    foreach( $hoverarrows as $bs => $bv ):
                                        echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                    endforeach;
                                    ?>
                                </select>
                                <p class="note"> <?php esc_html_e('Choose carousel hover arrows as your wish.','crafts-and-arts');?> </p>
                            </div>                                                      

                        </div> 

                        <div class="custom-box">  

                            <div class="column one-sixth">
                                <label><?php esc_html_e('Enable Click Functionality For Detailed Navigation','crafts-and-arts');?> </label>
                            </div>
                            <div class="column one-third">
                                <?php 
                                $switchclass = array_key_exists("portfolio-carousel-detailednav-click",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("portfolio-carousel-detailednav-click",$tpl_default_settings) ? ' checked="checked"' : '';?>
                                <div data-for="dttheme-portfolio-carousel-detailednav-click" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                                <input id="dttheme-portfolio-carousel-detailednav-click" class="hidden" type="checkbox" name="dttheme-portfolio-carousel-detailednav-click" value="true" <?php echo ($checked);?>/>
                                <p class="note"> <?php esc_html_e('To enable click functionality for detailed navigation arrows. This option will take "Slides Per View" as 1.','crafts-and-arts');?> </p>
                            </div>                                           

                            <div class="column one-sixth">
                                <label><?php esc_html_e('Space Between Sliders','crafts-and-arts');?> </label>
                            </div>
                            <div class="column one-third last">
                                <?php 
                                $spacebetween = array_key_exists("portfolio-carousel-spacebetween",$tpl_default_settings) ? $tpl_default_settings['portfolio-carousel-spacebetween'] : ''; 
                                ?>
                                <input name="dttheme-portfolio-carousel-spacebetween" class="large" type="number" value="<?php echo esc_attr($spacebetween); ?>" />
                                <p class="note"> <?php esc_html_e("Space between sliders can be given here.",'crafts-and-arts');?> </p>
                            </div>  

                        </div>     

                        <div class="custom-box"> 

                            <div class="column one-sixth">
                                <label><?php esc_html_e('Overall Pagination Design Types','crafts-and-arts');?> </label>
                            </div>
                            <div class="column one-third last">
                                <select name="dttheme-portfolio-carousel-pagination-designtype" id="dttheme-portfolio-carousel-pagination-designtype" class="dt-chosen-select">
                                    <?php 
                                    $selected = array_key_exists("portfolio-carousel-pagination-designtype",$tpl_default_settings) ?  $tpl_default_settings['portfolio-carousel-pagination-designtype'] : ''; 
                                    $arrowtypes =  array( '' => esc_html__('Default','crafts-and-arts'), 'type2' => esc_html__('Type 2','crafts-and-arts'),  'type3' => esc_html__('Type 3','crafts-and-arts'));

                                    foreach( $arrowtypes as $bs => $bv ):
                                        echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                                    endforeach;
                                    ?>
                                </select>
                                <p class="note"> <?php esc_html_e("Choose overall pagination design type for your carousel.",'crafts-and-arts');?> </p>
                            </div>                                                   

                        </div>                                                                   

                    </div>

                  </div>


                  <div class="hr"></div>

                  <div class="custom-box">
                      <div class="column one-sixth"> 
                          <label><?php esc_html_e('Available Header Types','crafts-and-arts');?></label>
                      </div>
                      <div class="column one-third last"> 
                          <select name="dttheme-portfolio-header-types" id="dttheme-portfolio-header-types" class="dt-chosen-select">
                            <?php 
                            $selected = array_key_exists("portfolio-header-types",$tpl_default_settings) ?  $tpl_default_settings['portfolio-header-types'] : ''; 

                            $htypes = array("" => "Default", "fullwidth-header fullwidth-default-header" => "Fullwidth Header", "fullwidth-header stretched-header" => "Fullwidth Header Streched", "boxed-header" => "Boxed Header", "split-header fullwidth-header" => "Splitted Fullwidth Header", "split-header boxed-header" => "Splitted Boxed Header", "fullwidth-header header-align-center fullwidth-menu-header" => "Fullwidth Menu Center", "two-color-header" => "Two Color Header", "fullwidth-header header-align-left fullwidth-menu-header" => "Fullwidth Menu Left", "left-header" => "Left Header", "left-header-boxed" => "Left Header Boxed", "creative-header" => "Creative Header", "left-header animated-right-header" => "Right Header", "overlay-header" => "Overlay Header", "fullwidth-header fallin-header" => "Fullwidth Fallin Header", "left-header left-stretched-header" => "Left Stretched Header");

                            foreach( $htypes as $bs => $bv ):
                                echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                            endforeach;
                            ?>
                          </select>
                          <p class="note"> <?php esc_html_e("Please choose any of the available header types.",'crafts-and-arts');?> </p>
                      </div>

                      <div class="column one-sixth">                
                          <label><?php esc_html_e('Enable Header On Slider','crafts-and-arts');?></label>
                      </div>
                      <div class="column one-third last">                       
                          <?php $switchclass = array_key_exists("portfolio-enable-header-on-slider",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("portfolio-enable-header-on-slider",$tpl_default_settings) ? ' checked="checked"' : '';?>
                          <div data-for="dttheme-portfolio-enable-header-on-slider" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                          <input id="dttheme-portfolio-enable-header-on-slider" class="hidden" type="checkbox" name="dttheme-portfolio-enable-header-on-slider" value="true" <?php echo ($checked);?>/>
                          <p class="note"> <?php esc_html_e('YES! to enable header on slider option for this page.','crafts-and-arts');?> </p>
                      </div>                      
                  </div>

                  <div class="custom-box">
                      <div class="column one-sixth"> 
                          <label><?php esc_html_e('Header Transparency','crafts-and-arts');?></label>
                      </div>
                      <div class="column one-third last"> 
                          <select name="dttheme-portfolio-header-transparency" id="dttheme-portfolio-header-transparency" class="dt-chosen-select">
                            <?php 
                            $selected = array_key_exists("portfolio-header-transparency",$tpl_default_settings) ?  $tpl_default_settings['portfolio-header-transparency'] : ''; 

                           $htrans = array('' =>'Choose any one', 'semi-transparent-header' => 'Semi Transparent', 'transparent-header' => 'Transparent');
                            foreach( $htrans as $bs => $bv ):
                                echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                            endforeach;
                            ?>
                          </select>
                          <p class="note"> <?php esc_html_e("Please choose any of the available header transparency.",'crafts-and-arts');?> </p>
                      </div>
                     
                  </div>                  

                  <div class="custom-box">
                      <div class="column one-sixth">                
                          <label><?php esc_html_e('Disable Top Spaces','crafts-and-arts');?></label>
                      </div>
                      <div class="column five-sixth last">                       
                          <?php $switchclass = array_key_exists("portfolio-disable-top-spaces",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("portfolio-disable-top-spaces",$tpl_default_settings) ? ' checked="checked"' : '';?>
                          <div data-for="dttheme-portfolio-disable-top-spaces" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                          <input id="dttheme-portfolio-disable-top-spaces" class="hidden" type="checkbox" name="dttheme-portfolio-disable-top-spaces" value="true" <?php echo ($checked);?>/>
                          <p class="note"> <?php esc_html_e('YES! to disable breadcrumb bottom margin.','crafts-and-arts');?> </p>
                      </div>
                  </div>

                  <div class="custom-box">
                      <div class="column one-sixth">                
                          <label><?php esc_html_e('Disable Bottom Spaces','crafts-and-arts');?></label>
                      </div>
                      <div class="column five-sixth last">                       
                          <?php $switchclass = array_key_exists("portfolio-disable-bottom-spaces",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("portfolio-disable-bottom-spaces",$tpl_default_settings) ? ' checked="checked"' : '';?>
                          <div data-for="dttheme-portfolio-disable-bottom-spaces" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                          <input id="dttheme-portfolio-disable-bottom-spaces" class="hidden" type="checkbox" name="dttheme-portfolio-disable-bottom-spaces" value="true" <?php echo ($checked);?>/>
                          <p class="note"> <?php esc_html_e('YES! to disable footer top margin.','crafts-and-arts');?> </p>
                      </div>
                  </div>                  

                  <div class="custom-box">
                      <div class="column one-sixth"> 
                          <label><?php esc_html_e('Editor Content Position','crafts-and-arts');?></label>
                      </div>
                      <div class="column five-sixth last"> 
                          <select name="dttheme-portfolio-editor-content-position" id="dttheme-portfolio-editor-content-position" class="dt-chosen-select">
                            <?php 
                            $selected = array_key_exists("portfolio-editor-content-position",$tpl_default_settings) ?  $tpl_default_settings['portfolio-editor-content-position'] : ''; 

                            $ptypes = array("" => "Top", "bottom" => "Bottom");

                            foreach( $ptypes as $bs => $bv ):
                                echo "<option value='{$bs}'".selected($selected,$bs,false).">{$bv}</option>";
                            endforeach;
                            ?>
                          </select>
                          <p class="note"> <?php esc_html_e("Please choose where to show the text editor content in this page. This option won't work for Full Page and Full Page Carousel",'crafts-and-arts');?> </p>
                      </div>
                  </div>

                  <div class="hr"></div>

                    <div class="custom-box">
                        <div class="column one-sixth">
                            <label><?php esc_html_e('Disable Portfolio Item Options','crafts-and-arts');?> </label>
                        </div>
                        <div class="column one-third last">
                          <?php $switchclass = array_key_exists("portfolio-disable-item-options",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                $checked = array_key_exists("portfolio-disable-item-options",$tpl_default_settings) ? ' checked="checked"' : '';?>
                          <div data-for="dttheme-portfolio-disable-item-options" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                          <input id="dttheme-portfolio-disable-item-options" class="hidden" type="checkbox" name="dttheme-portfolio-disable-item-options" value="true" <?php echo ($checked);?>/>
                          <p class="note"> <?php esc_html_e('YES will override individual portfolio item options with below options.','crafts-and-arts');?> </p>
                        </div>
                    </div>

                    <div class="custom-box">
                        <div class="column one-sixth">
                            <label><?php esc_html_e('Animation Effect','crafts-and-arts');?> </label>
                        </div>
                        <div class="column one-third last">
                            <?php 
                            $animationeffect = array_key_exists("animationeffect",$tpl_default_settings) ? $tpl_default_settings['animationeffect'] : ''; 
                            ?>
                            <select name="dttheme-animationeffect" class="dt-chosen-select">
                                <?php
                                $array = $GLOBALS['dt_animationtypes'];
                                foreach( $array as $k => $v): 
                                    ?>
                                    <option value="<?php echo esc_attr($k);?>" <?php selected($k,$animationeffect);?>><?php echo esc_attr($v);?></option>
                                    <?php 
                                endforeach;
                                ?>
                            </select>
                            <p class="note"> <?php esc_html_e("Choose any one of the available animation types. This option won't be applicable for Fullpage Carousel and Striped Carousel.",'crafts-and-arts');?> </p>
                        </div>
                        <div class="column one-sixth">
                            <label><?php esc_html_e('Animation Delay','crafts-and-arts');?> </label>
                        </div>
                        <div class="column one-third last">
                            <?php 
                            $animationdelay = array_key_exists("animationdelay",$tpl_default_settings) ? $tpl_default_settings['animationdelay'] : ''; 
                            ?>
                            <input name="dttheme-animationdelay" class="large" type="text" value="<?php echo esc_attr($animationdelay); ?>" />
                            <p class="note"> <?php esc_html_e("Add animation delays. This option won't be applicable for Fullpage Carousel and Striped Carousel.",'crafts-and-arts');?> </p>
                        </div>
                    </div>

                    <div class="custom-box">
                        <div class="column one-sixth">
                            <label><?php esc_html_e('Repeat Animation','crafts-and-arts');?> </label>
                        </div>
                        <div class="column five-sixth last">
                            <?php 
                            $switchclass = array_key_exists('repeat-animation',$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                            $checked = array_key_exists('repeat-animation',$tpl_default_settings) ? ' checked="checked"' : '';
                            ?>
                            <div data-for="dttheme-repeat-animation" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                            <input id="dttheme-repeat-animation" class="hidden" type="checkbox" name="dttheme-repeat-animation" value="true" <?php echo ($checked);?>/>
                            <p class="note"> <?php esc_html_e('YES! to repeat portfolio items animations randomly.','crafts-and-arts');?> </p>
                        </div>  
                    </div>
                    

                    <div class="custom-box">
                        <div class="column one-sixth">
                            <label><?php esc_html_e('Hover Background Color','crafts-and-arts');?> </label>
                            <label><?php esc_html_e('(First Color For Gradient Background)','crafts-and-arts');?> </label>
                        </div>
                        <div class="column one-third last">
                            <?php 
                            $name = 'dttheme-hover-background-color';
                            $value = array_key_exists ( 'hover-background-color', $tpl_default_settings ) ? $tpl_default_settings ['hover-background-color'] : '';
                            $tooltip =  esc_html__('Select background color for hover. This will act as first color for gradient background.','crafts-and-arts'); 
                            ?>
                            <div class="clear"></div>
                            <?php craftsandarts_admin_color_picker_alpha("",$name,$value,'');?>
                            <p class="note"><?php echo $tooltip;?></p>
                        </div>
                        <div class="column one-sixth">
                            <label><?php esc_html_e('Hover Content Color','crafts-and-arts');?> </label>
                        </div>
                        <div class="column one-third last">
                            <?php 
                            $hover_content_color = array_key_exists("hover-content-color",$tpl_default_settings) ? $tpl_default_settings['hover-content-color'] : ''; 
                            ?>
                            <select name="dttheme-hover-content-color" class="dt-chosen-select">
                                <?php
                                $array = array('' => 'Default', 'hover-content-color-dark' => 'Hover Content Color Dark', 'hover-content-color-light' => 'Hover Content Color Light');
                                foreach( $array as $k => $v): 
                                    ?>
                                    <option value="<?php echo esc_attr($k);?>" <?php selected($k,$hover_content_color);?>><?php echo esc_attr($v);?></option>
                                    <?php 
                                endforeach;
                                ?>
                            </select>
                            <p class="note"> <?php esc_html_e("Choose any one of the available content color.",'crafts-and-arts');?> </p>
                        </div>
                    </div>

                    <div class="custom-box">
                        <div class="column one-sixth">
                            <label><?php esc_html_e('Gradient Second Color','crafts-and-arts');?> </label>
                        </div>
                        <div class="column one-third last">
                            <?php 
                            $name = 'dttheme-hover-gradient-color';
                            $value = array_key_exists ( 'hover-gradient-color', $tpl_default_settings ) ? $tpl_default_settings ['hover-gradient-color'] : '';
                            $tooltip =  esc_html__('Select second color for gradient background. Its necessary to choose first gradient color in order to achieve the gradient effect.','crafts-and-arts'); 
                            ?>
                            <div class="clear"></div>
                            <?php craftsandarts_admin_color_picker_alpha("",$name,$value,'');?>
                            <p class="note"><?php echo $tooltip;?></p>
                        </div>
                        <div class="column one-sixth">
                            <label><?php esc_html_e('Gradient Direction','crafts-and-arts');?> </label>
                        </div>
                        <div class="column one-third last">
                            <?php 
                            $hover_gradient_direction = array_key_exists("hover-gradient-direction",$tpl_default_settings) ? $tpl_default_settings['hover-gradient-direction'] : ''; 
                            ?>
                            <select name="dttheme-hover-gradient-direction" class="dt-chosen-select">
                                <?php
                                $array = array('lefttoright' => 'Left to Right', 'toptobottom' => 'Top to Bottom', 'diagonal' => 'Diagonal');
                                foreach( $array as $k => $v): 
                                    ?>
                                    <option value="<?php echo esc_attr($k);?>" <?php selected($k,$hover_gradient_direction);?>><?php echo esc_attr($v);?></option>
                                    <?php 
                                endforeach;
                                ?>
                            </select>
                            <p class="note"> <?php esc_html_e("Choose gradient direction here.",'crafts-and-arts');?> </p>
                        </div>
                    </div>

                    <div class="custom-box">
                        <div class="column one-sixth">
                            <label><?php esc_html_e('Hover State','crafts-and-arts');?> </label>
                        </div>
                        <div class="column five-sixth last">
                            <?php 
                            $switchclass = array_key_exists("hover-state",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                            $checked = array_key_exists("hover-state",$tpl_default_settings) ? ' checked="checked"' : '';
                            ?>
                            <div data-for="dttheme-hover-state" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                            <input id="dttheme-hover-state" class="hidden" type="checkbox" name="dttheme-hover-state" value="true" <?php echo ($checked);?>/>
                            <p class="note"> <?php esc_html_e('YES! to keep all portfolio items in hover state.','crafts-and-arts');?> </p>
                        </div>  
                    </div>
                    
                    <div class="hr"></div>

                      <div class="custom-box">

                          <div class="column one-sixth">                
                              <label><?php esc_html_e('Disable Footer','crafts-and-arts');?></label>
                          </div>
                          <div class="column one-third last">                       
                              <?php $switchclass = array_key_exists("portfolio-disable-footer",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                    $checked = array_key_exists("portfolio-disable-footer",$tpl_default_settings) ? ' checked="checked"' : '';?>
                              <div data-for="dttheme-portfolio-disable-footer" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                              <input id="dttheme-portfolio-disable-footer" class="hidden" type="checkbox" name="dttheme-portfolio-disable-footer" value="true" <?php echo ($checked);?>/>
                              <p class="note"> <?php esc_html_e('YES! to disable footer for this page.','crafts-and-arts');?> </p>
                          </div>

                            <div class="column one-sixth">
                                <label><?php esc_html_e('Footer Page','crafts-and-arts');?> </label>
                            </div>
                            <div class="column one-third last">
                                <?php 
                                $footer_page = array_key_exists("footer-page",$tpl_default_settings) ? $tpl_default_settings['footer-page'] : ''; 
                                ?>
                                <select name="dttheme-footer-page" class="dt-chosen-select">
                                    <option value=""><?php esc_html_e('Choose the footer page', 'crafts-and-arts'); ?></option><?php
                                    $pages = get_pages ( 'title_li=&orderby=name' );
                                    foreach ( $pages as $page ) :
                                        $id = esc_attr ( $page->ID );
                                        $title = esc_html ( $page->post_title );
                                        echo "<option value='{$id}' " . selected ( $footer_page, $id, false ) . ">{$title}</option>";
                                    endforeach ?>
                                </select>
                                <p class="note"> <?php esc_html_e("Choose footer page here. Leave empty to use footer page in buddha panel option.",'crafts-and-arts');?> </p>
                            </div> 

                      </div>

                        <div class="custom-box">

                            <div class="column one-sixth">
                                <label><?php esc_html_e('Footer Dark BG','crafts-and-arts');?></label>
                            </div>
                            <div class="column one-third last">
                              <?php $switchclass = array_key_exists("footer-darkbg",$tpl_default_settings) ? 'checkbox-switch-on' :'checkbox-switch-off';
                                    $checked = array_key_exists("footer-darkbg",$tpl_default_settings) ? ' checked="checked"' : '';?>
                              <div data-for="dttheme-footer-darkbg" class="checkbox-switch <?php echo esc_attr($switchclass);?>"></div>
                              <input id="dttheme-footer-darkbg" class="hidden" type="checkbox" name="dttheme-footer-darkbg" value="true" <?php echo ($checked);?>/>
                              <p class="note"> <?php esc_html_e('YES! to dark bg footer for this portfolio.','crafts-and-arts');?> </p>
                            </div>

                        </div>                      


             </div><!-- Portfolio Template Settings End-->
        </div><?php
        wp_reset_postdata();
   } 
   
	function craftsandarts_page_meta_save($post_id, $post){

		if( key_exists ( '_inline_edit',$_POST )) :
			if ( wp_verify_nonce($_POST['_inline_edit'], 'inlineeditnonce')) return;
		endif;

		if( key_exists( 'dt_theme_page_meta_nonce',$_POST ) ) :
			if ( ! wp_verify_nonce( $_POST['dt_theme_page_meta_nonce'], basename(__FILE__) ) ) return;
		endif;
	 
		if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) return;

		if (!current_user_can('edit_page', $post_id)) :
			return;
		endif;

		if ( (key_exists('post_type', $_POST)) && ('page' == $_POST['post_type']) ) :

			$layout 	  = isset($_POST['layout'])		   ? 	$_POST['layout'] 		:	 "";
			$pagetemplate = isset($post->page_template) ? 	$post->page_template : 	 "";

			$settings = array();
			$settings['layout'] = $layout;

			$settings['enable-sub-title'] = isset( $_POST['dttheme-enable-sub-title'] ) ? $_POST['dttheme-enable-sub-title'] : '';
			$settings['sub-title-bg'] = isset ( $_POST['sub-title-bg'] ) ? $_POST['sub-title-bg'] : "";
			$settings['sub-title-bg-repeat'] = isset ( $_POST['sub-title-bg-repeat'] ) ? $_POST['sub-title-bg-repeat'] : "";
			$settings['sub-title-opacity'] = isset ( $_POST['sub-title-opacity'] ) ? $_POST['sub-title-opacity'] : "";
			$settings['sub-title-bg-position'] = isset ( $_POST['sub-title-bg-position'] ) ? $_POST['sub-title-bg-position'] : "";
			$settings['sub-title-bg-color'] = isset ( $_POST['sub-title-bg-color'] ) ? $_POST['sub-title-bg-color'] : "";

			if( $layout == 'with-both-sidebar') {
				$settings['show-standard-sidebar-left'] = isset ( $_POST['show-standard-sidebar-left'] ) ? $_POST['show-standard-sidebar-left'] : "";
				$settings['show-standard-sidebar-right'] = isset ($_POST['show-standard-sidebar-right'] ) ? $_POST['show-standard-sidebar-right']: "";

				$settings['widget-area-left'] =  isset($_POST['dttheme']['widgetareas-left'] ) ? array_unique(array_filter($_POST['dttheme']['widgetareas-left'])) :'';
				$settings['widget-area-right'] = isset( $_POST['dttheme']['widgetareas-right'] ) ? array_unique(array_filter($_POST['dttheme']['widgetareas-right'])) : '';
			} elseif( $layout == 'with-left-sidebar') {
				$settings['show-standard-sidebar-left'] = isset ( $_POST['show-standard-sidebar-left'] ) ? $_POST['show-standard-sidebar-left'] : "";
				$settings['widget-area-left'] =  isset($_POST['dttheme']['widgetareas-left']) ? array_unique(array_filter($_POST['dttheme']['widgetareas-left'])) : "";
			} elseif( $layout == 'with-right-sidebar') {
				$settings['show-standard-sidebar-right'] = isset ( $_POST['show-standard-sidebar-right'] ) ? $_POST['show-standard-sidebar-right'] : "";
				$settings['widget-area-right'] = isset($_POST['dttheme']['widgetareas-right']) ? array_unique(array_filter($_POST['dttheme']['widgetareas-right'])) : "";
			} 

			if( "tpl-blog.php" == $pagetemplate ):
				$settings['blog-post-layout'] = isset ( $_POST['dttheme-blog-post-layout'] ) ? $_POST['dttheme-blog-post-layout'] : "";
				$settings['blog-post-per-page'] = isset ( $_POST['dttheme-blog-post-per-page'] ) ? $_POST['dttheme-blog-post-per-page'] : "";
				$settings['blog-post-style'] = isset ( $_POST['dttheme-blog-post-style'] ) ? $_POST['dttheme-blog-post-style'] : "";
				$settings['enable-blog-readmore'] = isset ( $_POST['dttheme-enable-blog-readmore'] ) ? $_POST['dttheme-enable-blog-readmore'] : "";			
				$settings['blog-readmore'] = isset( $_POST['dttheme-blog-readmore'] ) ? $_POST['dttheme-blog-readmore'] : '';
				$settings['blog-post-excerpt'] = isset ( $_POST['dttheme-blog-post-excerpt'] ) ? $_POST['dttheme-blog-post-excerpt'] : "";
				$settings['blog-post-excerpt-length'] = isset ( $_POST['dttheme-blog-post-excerpt-length'] ) ? $_POST['dttheme-blog-post-excerpt-length'] : "";
				$settings['blog-post-cats'] = isset ( $_POST['dttheme']['blog']['cats'] ) ? $_POST['dttheme']['blog']['cats'] : "";
				
				$settings['show-date-info'] = isset( $_POST['dttheme-blog-show-date-info'] ) ? $_POST['dttheme-blog-show-date-info'] : "";
				$settings['show-author-info'] = isset( $_POST['dttheme-blog-show-author-info'] ) ? $_POST['dttheme-blog-show-author-info'] : "";
				$settings['show-comment-info'] = isset( $_POST['dttheme-blog-show-comment-info'] ) ? $_POST['dttheme-blog-show-comment-info'] : "";
				$settings['show-category-info'] = isset($_POST['dttheme-blog-show-category-info']  ) ? $_POST['dttheme-blog-show-category-info'] : "";
				$settings['show-tag-info'] = isset( $_POST['dttheme-blog-show-tag-info'] ) ? $_POST['dttheme-blog-show-tag-info'] : "";
				$settings['show-postformat-info'] = isset( $_POST['dttheme-blog-show-postformat-info'] ) ? $_POST['dttheme-blog-show-postformat-info'] : '';

			elseif( "tpl-portfolio.php" == $pagetemplate ):

                $settings['portfolio-post-layout'] = isset ( $_POST['dttheme-portfolio-post-layout'] ) ? $_POST['dttheme-portfolio-post-layout'] : "";

                $settings['portfolio-post-style'] = isset ( $_POST['dttheme-portfolio-post-style'] ) ? $_POST['dttheme-portfolio-post-style'] : "";

                $settings['portfolio-details-below-image'] = isset ( $_POST['dttheme-portfolio-details-below-image'] ) ? $_POST['dttheme-portfolio-details-below-image'] : "";

                $settings['portfolio-hover-style'] = isset ( $_POST['dttheme-portfolio-hover-style'] ) ? $_POST['dttheme-portfolio-hover-style'] : "";
                $settings['portfolio-cursor-hover-style'] = isset ( $_POST['dttheme-portfolio-cursor-hover-style'] ) ? $_POST['dttheme-portfolio-cursor-hover-style'] : "";
                $settings['portfolio-displaystyle'] = isset ( $_POST['dttheme-portfolio-displaystyle'] ) ? $_POST['dttheme-portfolio-displaystyle'] : "";

                $settings['portfolio-carousel-effect'] = isset ( $_POST['dttheme-portfolio-carousel-effect'] ) ? $_POST['dttheme-portfolio-carousel-effect'] : "";
                $settings['portfolio-carousel-autoplay'] = isset ( $_POST['dttheme-portfolio-carousel-autoplay'] ) ? $_POST['dttheme-portfolio-carousel-autoplay'] : "";
                $settings['portfolio-carousel-slidesperview'] = isset ( $_POST['dttheme-portfolio-carousel-slidesperview'] ) ? $_POST['dttheme-portfolio-carousel-slidesperview'] : "";
                $settings['portfolio-carousel-loopmode'] = isset ( $_POST['dttheme-portfolio-carousel-loopmode'] ) ? $_POST['dttheme-portfolio-carousel-loopmode'] : "";
                $settings['portfolio-carousel-mousewheelcontrol'] = isset ( $_POST['dttheme-portfolio-carousel-mousewheelcontrol'] ) ? $_POST['dttheme-portfolio-carousel-mousewheelcontrol'] : "";
                $settings['portfolio-carousel-centermode'] = isset ( $_POST['dttheme-portfolio-carousel-centermode'] ) ? $_POST['dttheme-portfolio-carousel-centermode'] : "";
                $settings['portfolio-carousel-verticaldirection'] = isset ( $_POST['dttheme-portfolio-carousel-verticaldirection'] ) ? $_POST['dttheme-portfolio-carousel-verticaldirection'] : "";
                $settings['portfolio-carousel-numberofrows'] = isset ( $_POST['dttheme-portfolio-carousel-numberofrows'] ) ? $_POST['dttheme-portfolio-carousel-numberofrows'] : "";
                $settings['portfolio-carousel-bulletpagination'] = isset ( $_POST['dttheme-portfolio-carousel-bulletpagination'] ) ? $_POST['dttheme-portfolio-carousel-bulletpagination'] : "";
                $settings['portfolio-carousel-fractionpagination'] = isset ( $_POST['dttheme-portfolio-carousel-fractionpagination'] ) ? $_POST['dttheme-portfolio-carousel-fractionpagination'] : "";
                $settings['portfolio-carousel-progresspagination'] = isset ( $_POST['dttheme-portfolio-carousel-progresspagination'] ) ? $_POST['dttheme-portfolio-carousel-progresspagination'] : "";
                $settings['portfolio-carousel-arrowpagination'] = isset ( $_POST['dttheme-portfolio-carousel-arrowpagination'] ) ? $_POST['dttheme-portfolio-carousel-arrowpagination'] : "";
                $settings['portfolio-carousel-arrowpagination-type'] = isset ( $_POST['dttheme-portfolio-carousel-arrowpagination-type'] ) ? $_POST['dttheme-portfolio-carousel-arrowpagination-type'] : "";
                $settings['portfolio-carousel-paginationcolorscheme'] = isset ( $_POST['dttheme-portfolio-carousel-paginationcolorscheme'] ) ? $_POST['dttheme-portfolio-carousel-paginationcolorscheme'] : "";                
                $settings['portfolio-carousel-playpausebutton'] = isset ( $_POST['dttheme-portfolio-carousel-playpausebutton'] ) ? $_POST['dttheme-portfolio-carousel-playpausebutton'] : "";
                $settings['portfolio-carousel-hoverarrows'] = isset ( $_POST['dttheme-portfolio-carousel-hoverarrows'] ) ? $_POST['dttheme-portfolio-carousel-hoverarrows'] : "";
                $settings['portfolio-carousel-spacebetween'] = isset ( $_POST['dttheme-portfolio-carousel-spacebetween'] ) ? $_POST['dttheme-portfolio-carousel-spacebetween'] : "";
                $settings['portfolio-carousel-detailednav-click'] = isset ( $_POST['dttheme-portfolio-carousel-detailednav-click'] ) ? $_POST['dttheme-portfolio-carousel-detailednav-click'] : "";  
                $settings['portfolio-carousel-pagination-designtype'] = isset ( $_POST['dttheme-portfolio-carousel-pagination-designtype'] ) ? $_POST['dttheme-portfolio-carousel-pagination-designtype'] : "";             


                $settings['portfolio-multiscroll-enable-arrows'] = isset ( $_POST['dttheme-portfolio-multiscroll-enable-arrows'] ) ? $_POST['dttheme-portfolio-multiscroll-enable-arrows'] : "";              

                $settings['portfolio-fullpage-navigation'] = isset ( $_POST['dttheme-portfolio-fullpage-navigation'] ) ? $_POST['dttheme-portfolio-fullpage-navigation'] : "";
                $settings['portfolio-fullpage-type'] = isset ( $_POST['dttheme-portfolio-fullpage-type'] ) ? $_POST['dttheme-portfolio-fullpage-type'] : "";
                $settings['portfolio-disable-auto-scrolling'] = isset ( $_POST['dttheme-portfolio-disable-auto-scrolling'] ) ? $_POST['dttheme-portfolio-disable-auto-scrolling'] : "";
                $settings['portfolio-disable-fullpage-js'] = isset ( $_POST['dttheme-portfolio-disable-fullpage-js'] ) ? $_POST['dttheme-portfolio-disable-fullpage-js'] : "";           
                $settings['portfolio-fullpage-splittedsections'] = isset ( $_POST['dttheme-portfolio-fullpage-splittedsections'] ) ? $_POST['dttheme-portfolio-fullpage-splittedsections'] : 'leftside-image';

                $settings['portfolio-parallax-type'] = isset ( $_POST['dttheme-portfolio-parallax-type'] ) ? $_POST['dttheme-portfolio-parallax-type'] : "";
                $settings['portfolio-parallax-effects'] = isset ( $_POST['dttheme-portfolio-parallax-effects'] ) ? $_POST['dttheme-portfolio-parallax-effects'] : "";
                $settings['parallax-portfolio-post-layout'] = isset ( $_POST['dttheme-parallax-portfolio-post-layout'] ) ? $_POST['dttheme-parallax-portfolio-post-layout'] : "";


                $settings['striped-portfolio-post-layout'] = isset ( $_POST['dttheme-striped-portfolio-post-layout'] ) ? $_POST['dttheme-striped-portfolio-post-layout'] : "";

                $settings['portfolio-post-per-page'] = isset ( $_POST['dttheme-portfolio-post-per-page'] ) ? $_POST['dttheme-portfolio-post-per-page'] : "";
                $settings['filter'] = isset ( $_POST['dttheme-portfolio-filter'] ) ? $_POST['dttheme-portfolio-filter'] : "";
                $settings['portfolio-filterdesign-type'] = isset ( $_POST['dttheme-portfolio-filterdesign-type'] ) ? $_POST['dttheme-portfolio-filterdesign-type'] : "";
                $settings['portfolio-categories'] = isset ( $_POST['dttheme']['portfolio']['cats'] ) ? $_POST['dttheme']['portfolio']['cats'] : "";
                $settings['portfolio-grid-space'] = isset ( $_POST['dttheme-portfolio-grid-space'] ) ? $_POST['dttheme-portfolio-grid-space'] : "";
                $settings['portfolio-pagination-type'] = isset ( $_POST['dttheme-portfolio-pagination-type'] ) ? $_POST['dttheme-portfolio-pagination-type'] : "";

                $settings['portfolio-header-types'] = isset ( $_POST['dttheme-portfolio-header-types'] ) ? $_POST['dttheme-portfolio-header-types'] : "";
                $settings['portfolio-enable-header-on-slider'] = isset ( $_POST['dttheme-portfolio-enable-header-on-slider'] ) ? $_POST['dttheme-portfolio-enable-header-on-slider'] : "";
                $settings['portfolio-header-transparency'] = isset ( $_POST['dttheme-portfolio-header-transparency'] ) ? $_POST['dttheme-portfolio-header-transparency'] : "";
     
                
                $settings['portfolio-disable-top-spaces'] = isset ( $_POST['dttheme-portfolio-disable-top-spaces'] ) ? $_POST['dttheme-portfolio-disable-top-spaces'] : "";
                $settings['portfolio-disable-bottom-spaces'] = isset ( $_POST['dttheme-portfolio-disable-bottom-spaces'] ) ? $_POST['dttheme-portfolio-disable-bottom-spaces'] : "";                
                $settings['portfolio-editor-content-position'] = isset ( $_POST['dttheme-portfolio-editor-content-position'] ) ? $_POST['dttheme-portfolio-editor-content-position'] : "";
                
                $settings ['portfolio-disable-item-options'] = isset ( $_POST ['dttheme-portfolio-disable-item-options'] ) ? $_POST ['dttheme-portfolio-disable-item-options'] : "";
                $settings ['animationeffect'] = isset ( $_POST ['dttheme-animationeffect'] ) ? $_POST ['dttheme-animationeffect'] : "";
                $settings ['animationdelay'] = isset ( $_POST ['dttheme-animationdelay'] ) ? $_POST ['dttheme-animationdelay'] : "";
                $settings ['repeat-animation'] = isset ( $_POST ['dttheme-repeat-animation'] ) ? $_POST ['dttheme-repeat-animation'] : '';

                $settings ['hover-background-color'] = isset ( $_POST ['dttheme-hover-background-color'] ) ? $_POST ['dttheme-hover-background-color'] : "";
                $settings ['hover-content-color'] = isset ( $_POST ['dttheme-hover-content-color'] ) ? $_POST ['dttheme-hover-content-color'] : "";
                $settings ['hover-gradient-color'] = isset ( $_POST ['dttheme-hover-gradient-color'] ) ? $_POST ['dttheme-hover-gradient-color'] : "";
                $settings ['hover-gradient-direction'] = isset ( $_POST ['dttheme-hover-gradient-direction'] ) ? $_POST ['dttheme-hover-gradient-direction'] : 'lefttoright';
                $settings ['hover-state'] = isset ( $_POST ['dttheme-hover-state'] ) ? $_POST ['dttheme-hover-state'] : '';

                $settings ['portfolio-disable-footer'] = isset ( $_POST['dttheme-portfolio-disable-footer'] ) ? $_POST['dttheme-portfolio-disable-footer'] : "";
                $settings ['footer-page'] = isset ( $_POST['dttheme-footer-page'] ) ? $_POST['dttheme-footer-page'] : "";
                $settings ['footer-darkbg'] = isset ( $_POST['dttheme-footer-darkbg'] ) ? $_POST['dttheme-footer-darkbg'] : "";


                if($settings['portfolio-post-style'] == 'portfolio-fullpage' || $settings['portfolio-post-style'] ==  'portfolio-fullpage-carousel' || $settings['portfolio-post-style'] ==  'portfolio-multiscroll'):
                    $settings['layout'] = 'fullwidth';
                    $settings['enable-sub-title'] = '';
                endif;

			else:
				$settings['onepage_menu'] = isset ( $_POST['dttheme-onepage-menu'] ) ? $_POST['dttheme-onepage-menu'] : "";			
				$settings['show_slider'] =  isset ( $_POST['dttheme-show-slider'] ) ? $_POST['dttheme-show-slider'] : "";
				$settings['slider_type'] = isset ( $_POST['dttheme-slider-type'] ) ? $_POST['dttheme-slider-type'] : "";
				$settings['layerslider_id'] = isset ( $_POST['layerslider_id'] ) ? $_POST['layerslider_id'] : "";
				$settings['revolutionslider_id'] = isset ( $_POST['revolutionslider_id'] ) ? $_POST['revolutionslider_id'] : "";
				$settings['customslider_sc'] = isset ( $_POST['dttheme-custom-slider'] ) ? $_POST['dttheme-custom-slider'] : "";

			endif;

			update_post_meta($post_id, "_tpl_default_settings", array_filter($settings));
		endif;			
	}?>