<?php add_action( 'vc_before_init', 'dt_sc_portfolio_gallery_listing_vc_map' );
function dt_sc_portfolio_gallery_listing_vc_map() {

	global $dt_animation_types;

	vc_map( array(
		"name" => esc_html__( "Portfolio Gallery Listings", 'craftsandarts-core' ),
		"base" => "dt_sc_portfolio_gallery_listing",
		"icon" => "dt_sc_portfolio_gallery_listing",
		"category" => DT_VC_CATEGORY .' ( '.esc_html__('Single Portfolio','craftsandarts-core').')',
		"params" => array(

			// Portfolio ID
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Portfolio ID', 'craftsandarts-core' ),
				'param_name' => 'portfolio_id',
				'description' => esc_html__( 'Enter portfolio id here. If you are going to use this shortcode in portfolio single page no need to give portfolio id.', 'craftsandarts-core' ),
				'admin_label' => true
			),

			// Gallery ID(s)
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Gallery ID', 'craftsandarts-core' ),
				'param_name' => 'gallery_ids',
				'description' => esc_html__( 'Comma separated gallery item ids to display particular gallery items only.', 'craftsandarts-core' ),
				'admin_label' => true
			),			

			// Display Style
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Display Style','craftsandarts-core'),
				'param_name' => 'portfolio-displaystyle',
				'value' => array( 
							esc_html__('List','craftsandarts-core') => '', 
							esc_html__('Carousel','craftsandarts-core') => 'carousel', 
						),
				'std' => ''
			),

			// Carousel Options
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Carousel Options','craftsandarts-core'),
				'param_name' => 'portfolio-carouseloptions',
				'value' => array( 
							esc_html__('Auto','craftsandarts-core') => 'auto', 
							esc_html__('Auto With Arrow','craftsandarts-core') => 'autowitharrow', 
							esc_html__('Arrow','craftsandarts-core') => 'arrow', 
						),
				'std' => 'auto',
				'dependency' => array(
					'element' => 'portfolio-displaystyle',
					'value' => array('carousel'),
				),				
			),	
			
			// Post Layout
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Post Layout','craftsandarts-core'),
				'param_name' => 'portfolio-post-layout',
				'value' => array( 
							esc_html__('I Column','craftsandarts-core') => 'one-column' ,
							esc_html__('II Columns','craftsandarts-core') => 'one-half-column' ,
							esc_html__('III Columns','craftsandarts-core') => 'one-third-column',
							esc_html__('IV Columns','craftsandarts-core') => 'one-fourth-column',
							esc_html__('V Columns','craftsandarts-core') => 'one-fifth-column',
							esc_html__('VI Columns','craftsandarts-core') => 'one-sixth-column',
							esc_html__('VII Columns','craftsandarts-core') => 'one-seventh-column',
							esc_html__('VIII Columns','craftsandarts-core') => 'one-eight-column',
							esc_html__('IX Columns','craftsandarts-core') => 'one-nineth-column',
							esc_html__('X Columns','craftsandarts-core') => 'one-tenth-column',
						),
				'std' => 'one-half-column'
			),	

			// Grid Space
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Grid Space','craftsandarts-core'),
				'param_name' => 'portfolio-grid-space',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
			),

			// Hover Design
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Hover Design','craftsandarts-core'),
				'param_name' => 'portfolio-hover-design',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
			),			

			// Animation Effect
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Animation Effect', 'craftsandarts-core' ),
				'param_name' => 'animationeffect',
				'value' => $dt_animation_types
				),

			// Animation Delay
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Animation Delay', 'craftsandarts-core' ),
				'param_name' => 'animationdelay',
				),

			// Repeat Animation
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Repeat Animation','craftsandarts-core'),
				'param_name' => 'repeat-animation',
				'value' => array( 
							esc_html__('False','craftsandarts-core') => '',
							esc_html__('True','craftsandarts-core') => 'true',
						),
			),													

		)
	) );

}
?>