<?php add_action( 'vc_before_init', 'dt_sc_portfolio_related_portfolios_vc_map' );
function dt_sc_portfolio_related_portfolios_vc_map() {

	global $dt_animation_types;

	vc_map( array(
		"name" => esc_html__( "Related Portfolios", 'craftsandarts-core' ),
		"base" => "dt_sc_portfolio_related_portfolios",
		"icon" => "dt_sc_portfolio_related_portfolios",
		"category" => DT_VC_CATEGORY .' ( '.esc_html__('Single Portfolio','craftsandarts-core').')',
		"params" => array(

			// Portfolio ID
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Portfolio ID', 'craftsandarts-core' ),
				'param_name' => 'related-portfolio-id',
				'description' => esc_html__( 'Enter portfolio id to display the related portfolio items.', 'craftsandarts-core' ),
			),

			// Number Of Posts
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Number Of Posts', 'craftsandarts-core' ),
				'param_name' => 'portfolio-post-per-page',
				'description' => esc_html__( 'Number of posts to show.', 'craftsandarts-core' ),
			),

			// Post Style
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Post Style','craftsandarts-core'),
				'param_name' => 'portfolio-post-style',
				'value' => array( 
							esc_html__('Default','craftsandarts-core') => 'default', 
							esc_html__('Parallax','craftsandarts-core') => 'portfolio-parallax', 
							esc_html__('Striped','craftsandarts-core') => 'portfolio-striped', 
							esc_html__('Fixed','craftsandarts-core') => 'portfolio-fixed', 
							esc_html__('Framed','craftsandarts-core') => 'portfolio-framed', 
						),
			),

			// Details Below Image
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Details Below Image','craftsandarts-core'),
				'param_name' => 'portfolio-details-below-image',
				'value' => array( 
								esc_html__('None','craftsandarts-core') => '', 
								esc_html__('Details Below Image','craftsandarts-core') => 'details-below-image', 
                            ),
			),

			// Hover Style
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Hover Style','craftsandarts-core'),
				'param_name' => 'portfolio-hover-style',
				'value' => array( 
								esc_html__('Default','craftsandarts-core') => '', 
								esc_html__('Modern Title','craftsandarts-core') => 'modern-title', 
								esc_html__('Title & Icons Overlay','craftsandarts-core') => 'title-icons-overlay', 
								esc_html__('Title Overlay','craftsandarts-core') => 'title-overlay',
	                            esc_html__('Icons Only','craftsandarts-core') => 'icons-only', 
	                            esc_html__('Classic','craftsandarts-core') => 'classic', 
	                            esc_html__('Minimal Icons','craftsandarts-core') => 'minimal-icons',
	                            esc_html__('Presentation','craftsandarts-core') => 'presentation', 
	                            esc_html__('Girly','craftsandarts-core') => 'girly', 
	                            esc_html__('Art','craftsandarts-core') => 'art', 
	                            esc_html__('Extended','craftsandarts-core') => 'extended', 
	                            esc_html__('Boxed','craftsandarts-core') => 'boxed', 
	                            esc_html__('Centered Box','craftsandarts-core') => 'centered-box',
	                            esc_html__('With Gallery Thumb','craftsandarts-core') => 'with-gallery-thumb', 
	                            esc_html__('With Gallery List','craftsandarts-core') => 'with-gallery-list', 
	                            esc_html__('Grayscale','craftsandarts-core') => 'grayscale', 
	                            esc_html__('Highlighter','craftsandarts-core') => 'highlighter', 
	                            esc_html__('With Details','craftsandarts-core') => 'with-details', 
	                            esc_html__('Bottom Border','craftsandarts-core') => 'bottom-border',
	                            esc_html__('With Intro','craftsandarts-core') => 'with-intro'
                            ),
			),

			// Cursor Hover Style
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Cursor Hover Style','craftsandarts-core'),
				'param_name' => 'portfolio-cursor-hover-style',
				'value' => array( 
								esc_html__('Default','craftsandarts-core') => '', 
								esc_html__('Style 1','craftsandarts-core') => 'cursor-hover-style1', 
								esc_html__('Style 2','craftsandarts-core') => 'cursor-hover-style2',
								esc_html__('Style 3','craftsandarts-core') => 'cursor-hover-style3',
								esc_html__('Style 4','craftsandarts-core') => 'cursor-hover-style4',
								esc_html__('Style 5','craftsandarts-core') => 'cursor-hover-style5',
								esc_html__('Style 6','craftsandarts-core') => 'cursor-hover-style6', 
                            ),
			),

			// Enable Arrows
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Arrows','craftsandarts-core'),
				'param_name' => 'portfolio-multiscroll-enable-arrows',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-multiscroll',
				),
			),				

			// Fullpage navigation position
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Fullpage Navigation Direction','craftsandarts-core'),
				'param_name' => 'portfolio-fullpage-navigation',
				'value' => array( 
							esc_html__('Left','craftsandarts-core') => 'left', 
							esc_html__('Right','craftsandarts-core') => 'right', 
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-fullpage',
				),
				'std' => 'left'
			),

			// Fullpage type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Fullpage Type','craftsandarts-core'),
				'param_name' => 'portfolio-fullpage-type',
				'value' => array( 
							esc_html__('Default','craftsandarts-core') => '', 
							esc_html__('Splitted Section','craftsandarts-core') => 'splitted-section', 
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-fullpage',
				),
				'std' => ''
			),

			// Disable Auto Scrolling
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Disable Auto Scrolling','craftsandarts-core'),
				'param_name' => 'portfolio-disable-auto-scrolling',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-fullpage',
				),
			),

			// Disable Fullpage Js
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Disable Fullpage JS','craftsandarts-core'),
				'param_name' => 'portfolio-disable-fullpage-js',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-fullpage',
				),
			),

			// Fullpage splitted sections
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Fullpage Splitted Sections','craftsandarts-core'),
				'param_name' => 'portfolio-fullpage-splittedsections',
				'value' => array( 
							esc_html__('Leftside Image','craftsandarts-core') => 'leftside-image', 
							esc_html__('Rightside Image','craftsandarts-core') => 'rightside-image', 
							esc_html__('Alternate Content','craftsandarts-core') => 'alternate-content', 
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-fullpage',
				),
				'std' => 'leftside-image'
			),

			// Parallax Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Parallax Type','craftsandarts-core'),
				'param_name' => 'portfolio-parallax-type',
				'value' => array( 
							esc_html__('Default','craftsandarts-core') => '', 
							esc_html__('Type 2','craftsandarts-core') => 'type2', 
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-parallax',
				),
				'std' => ''
			),

			// Parallax Effects
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Parallax Effects','craftsandarts-core'),
				'param_name' => 'portfolio-parallax-effects',
				'value' => array( 
							esc_html__('Default','craftsandarts-core') => '', 
							esc_html__('Different Parallax Speed','craftsandarts-core') => 'different-parallax-speed', 
							esc_html__('Random Parallax Effect','craftsandarts-core') => 'random-parallax-effect', 
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-parallax',
				),
				'std' => ''
			),

			// Parallax Post Layout
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Parallax Post Layout','craftsandarts-core'),
				'param_name' => 'parallax-portfolio-post-layout',
				'value' => array( 
							esc_html__('I Columns','craftsandarts-core') => 'one-column',
							esc_html__('II Columns','craftsandarts-core') => 'one-half-column' ,
							esc_html__('III Columns','craftsandarts-core') => 'one-third-column',
							esc_html__('IV Columns','craftsandarts-core') => 'one-fourth-column',
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-parallax',
				),
				'std' => 1
			),

			// Striped Post Layout
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Striped Post Layout','craftsandarts-core'),
				'param_name' => 'striped-portfolio-post-layout',
				'value' => array( 
							esc_html__('III Columns','craftsandarts-core') => 'one-third-column',
							esc_html__('IV Columns','craftsandarts-core') => 'one-fourth-column',
							esc_html__('V Columns','craftsandarts-core') => 'one-fifth-column',
							esc_html__('VI Columns','craftsandarts-core') => 'one-sixth-column' ,
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => 'portfolio-striped',
				),
				'std' => 4
			),

			// Post Layout
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Post Layout','craftsandarts-core'),
				'param_name' => 'portfolio-post-layout',
				'value' => array( 
							esc_html__('I Column','craftsandarts-core') => 'one-column' ,
							esc_html__('II Columns','craftsandarts-core') => 'one-half-column' ,
							esc_html__('III Columns','craftsandarts-core') => 'one-third-column',
							esc_html__('IV Columns','craftsandarts-core') => 'one-fourth-column',
							esc_html__('V Columns','craftsandarts-core') => 'one-fifth-column',
							esc_html__('VI Columns','craftsandarts-core') => 'one-sixth-column',
							esc_html__('VII Columns','craftsandarts-core') => 'one-seventh-column',
							esc_html__('VIII Columns','craftsandarts-core') => 'one-eight-column',
							esc_html__('IX Columns','craftsandarts-core') => 'one-nineth-column',
							esc_html__('X Columns','craftsandarts-core') => 'one-tenth-column',
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' =>  array('default', 'portfolio-framed'),
				),
				'std' => 'one-fourth-column'
			),

			// Grid Space
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Grid Space','craftsandarts-core'),
				'param_name' => 'portfolio-grid-space',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-parallax', 'portfolio-framed'),
				),
			),

			// Filter
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Filter','craftsandarts-core'),
				'param_name' => 'filter',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' =>  array('default', 'portfolio-framed'),
				),
			),

			// Filter Design Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Filter Design Type','craftsandarts-core'),
				'param_name' => 'portfolio-filterdesign-type',
				'value' => array( 
							esc_html__('Default','craftsandarts-core') => '', 
							esc_html__('Type 2','craftsandarts-core') => 'type2', 
							esc_html__('Type 3','craftsandarts-core') => 'type3', 
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' =>  array('default', 'portfolio-framed'),
				),				
			),

			// Categories
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Categories', 'craftsandarts-core' ),
				'param_name' => 'portfolio-categories',
				'description' => esc_html__( 'Item categories to display.', 'craftsandarts-core' ),
			),

			// Pagination Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Pagination Type','craftsandarts-core'),
				'param_name' => 'portfolio-pagination-type',
				'value' => array( 
							esc_html__('None','craftsandarts-core') => '',
							esc_html__('Numbered Pagination','craftsandarts-core') => 'numbered-pagination',
							esc_html__('Load More','craftsandarts-core') => 'load-more',
							esc_html__('Lazy Load','craftsandarts-core') => 'lazy-load',
						),
			),

			// Paged
			array(
				'type' => 'hidden',
				'heading' => esc_html__( 'Paged', 'craftsandarts-core' ),
				'param_name' => 'paged',
				'value' => 1,
				'dependency' => array(
					'element' => 'portfolio-pagination-type',
					'value' => array('load-more', 'lazy-load'),
				),
			),

			// Ajax Call
			array(
				'type' => 'hidden',
				'heading' => esc_html__( 'Ajax Call', 'craftsandarts-core' ),
				'param_name' => 'ajax-call',
				'value' => 0,
				'dependency' => array(
					'element' => 'portfolio-pagination-type',
					'value' => array('load-more', 'lazy-load'),
				),
			),

			// Disable Portfolio Item Options
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Disable Portfolio Item Options','craftsandarts-core'),
				'param_name' => 'portfolio-disable-item-options',
				'value' => array( 
							esc_html__('False','craftsandarts-core') => '',
							esc_html__('True','craftsandarts-core') => 'true',
						),
				'description' => esc_html__( 'YES will override individual portfolio item options with below options.', 'craftsandarts-core' ),
			),

			// Animation Effect
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Animation Effect', 'craftsandarts-core' ),
				'param_name' => 'animationeffect',
				'value' => $dt_animation_types
				),

			// Animation Delay
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Animation Delay', 'craftsandarts-core' ),
				'param_name' => 'animationdelay',
				),

			// Repeat Animation
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Repeat Animation','craftsandarts-core'),
				'param_name' => 'repeat-animation',
				'value' => array( 
							esc_html__('False','craftsandarts-core') => '',
							esc_html__('True','craftsandarts-core') => 'true',
						),
			),
			
			// Hover Background Color
			array(
				'type' => 'colorpicker',
				'heading' => esc_html__( 'Hover Background Color', 'craftsandarts-core' ),
				'param_name' => 'hover-background-color',
				),

			// Hover Content Color
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Hover Content Color','craftsandarts-core'),
				'param_name' => 'hover-content-color',
				'value' => array( 
							esc_html__('Default','craftsandarts-core') => '',
							esc_html__('Hover Content Color Dark','craftsandarts-core') => 'hover-content-color-dark',
							esc_html__('Hover Content Color Light','craftsandarts-core') => 'hover-content-color-light',
						),
			),

			// Hover Gradient Color
			array(
				'type' => 'colorpicker',
				'heading' => esc_html__( 'Hover Gradient Color', 'craftsandarts-core' ),
				'param_name' => 'hover-gradient-color',
				),

			// Hover Gradient Direction
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Hover Gradient Direction','craftsandarts-core'),
				'param_name' => 'hover-gradient-direction',
				'value' => array( 
							esc_html__('Left to Right','craftsandarts-core') => 'lefttoright',
							esc_html__('Top to Bottom','craftsandarts-core') => 'toptobottom',
							esc_html__('Diagonal','craftsandarts-core') => 'diagonal',
						),
			),

			// Hover State
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Hover State','craftsandarts-core'),
				'param_name' => 'hover-state',
				'value' => array( 
							esc_html__('False','craftsandarts-core') => '',
							esc_html__('True','craftsandarts-core') => 'true',
						),
			),	


			// Display Style
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Display Style','craftsandarts-core'),
				'param_name' => 'portfolio-displaystyle',
				'value' => array( 
							esc_html__('List','craftsandarts-core') => '', 
							esc_html__('Carousel','craftsandarts-core') => 'carousel', 
						),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),*/
				'description' => esc_html__( 'Select display style for your portfolio.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''
			),

			// Effect
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Effect','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-effect',
				'value' => array( 
							esc_html__('Default','craftsandarts-core') => '', 
							esc_html__('Cover Flow','craftsandarts-core') => 'coverflow', 
							esc_html__('Cube','craftsandarts-core') => 'cube', 
							esc_html__('Fade','craftsandarts-core') => 'fade', 
							/*esc_html__('Multi Rows','craftsandarts-core') => 'multirows', */
						),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),*/
				'description' => esc_html__( 'Choose effect for your carousel. Slides Per View has to be 1 for Cube and Fade effect.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''
			),	

			// Number of Rows
			/*array(
				'type' => 'dropdown',
				'heading' => esc_html__('Number of Rows','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-numberofrows',
				'value' => array( 
							1 => 1, 
							2 => 2, 
							3 => 3, 
							4 => 4, 
							5 => 5, 
						),
				'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),
				'description' => esc_html__( 'Number rows to show, it will work along with multi row effect only.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''
			),*/	

			// Auto Play
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Auto Play','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-autoplay',
				'description' => esc_html__( 'Delay between transitions ( in ms ). Leave empty if you don\'t want to auto play.', 'craftsandarts-core' ),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),*/				
				'group' => 'Carousel',
			),			

			// Slides Per View
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Slides Per View','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-slidesperview',
				'value' => array( 
							1 => 1, 
							2 => 2, 
							3 => 3, 
							4 => 4, 
							5 => 5, 
							6 => 6, 
							7 => 7, 
							8 => 8, 
							9 => 9, 
							10 => 10, 							
						),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),*/
				'description' => esc_html__( 'Number slides of to show in view port.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''
			),

			// Enable loop mode
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable loop mode','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-loopmode',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),*/
				'description' => esc_html__( 'If you wish you can enable continous loop mode for your carousel.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''				
			),	

			// Enable mousewheel control
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable mousewheel control','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-mousewheelcontrol',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),*/
				'description' => esc_html__( 'If you wish you can enable mouse wheel control for your carousel.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''				
			),	
			
			// Enable centered mode
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable centered mode','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-centermode',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),*/
				'description' => esc_html__( 'If you wish you can enable centered mode for your carousel.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''				
			),

			// Enable vertical direction
			/*array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable vertical direction','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-verticaldirection',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
				// 'dependency' => array(
				// 	'element' => 'portfolio-post-style',
				// 	'value' => array('default', 'portfolio-striped'),
				// ),
				'description' => esc_html__( 'To make your slides to navigate vertically.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''				
			),*/

			// Enable Bullet Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Bullet Pagination','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-bulletpagination',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
				// 'dependency' => array(
				// 	'element' => 'portfolio-post-style',
				// 	'value' => array('default', 'portfolio-striped'),
				// ),
				'description' => esc_html__( 'To enable bullet pagination.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''				
			),

			// Enable Fraction Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Fraction Pagination','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-fractionpagination',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
				// 'dependency' => array(
				// 	'element' => 'portfolio-post-style',
				// 	'value' => array('default', 'portfolio-striped'),
				// ),
				'description' => esc_html__( 'To enable fraction pagination.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''				
			),

			// Enable Progress Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Progress Pagination','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-progresspagination',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),*/
				'description' => esc_html__( 'To enable progress pagination.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''				
			),	

			// Enable Arrow Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Arrow Pagination','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-arrowpagination',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),*/
				'description' => esc_html__( 'To enable arrow pagination.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''				
			),	
			
			// Arrow Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Arrow Type','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-arrowpagination-type',
				'value' => array( 
							esc_html__('Default','craftsandarts-core') => '', 
							esc_html__('Type 2','craftsandarts-core') => 'type2', 
						),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),*/
				'description' => esc_html__( 'Choose arrow pagination type for your carousel.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''
			),	

			// Pagination Color Scheme
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Pagination Color Scheme','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-paginationcolorscheme',
				'value' => array( 
							esc_html__('Light','craftsandarts-core') => '', 
							esc_html__('Dark','craftsandarts-core') => 'dark', 
						),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),*/
				'description' => esc_html__( 'Choose pagination color scheme for your carousel.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''
			),	

			// Enable Play/Pause Button
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Play/Pause Button','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-playpausebutton',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),*/
				'description' => esc_html__( 'To enable play pause button for your carousel.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''				
			),	

			// Hover Arrows
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Hover Arrows','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-hoverarrows',
				'value' => array( 
							esc_html__('Default','craftsandarts-core') => 'grabcursor-mousepointer', 
							esc_html__('Horizontal Navigation','craftsandarts-core') => 'horizontal-mousepointer',
							esc_html__('Vertical Navigation','craftsandarts-core') => 'vertical-mousepointer',
							esc_html__('Detailed Navigation','craftsandarts-core') => 'detailed-mousepointer', 
						),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),*/
				'description' => esc_html__( 'Choose carousel hover arrows as your wish.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''
			),																											

			// Enable Click Functionality For Detailed Navigation
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Enable Click Functionality For Detailed Navigation','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-detailednav-click',
				'value' => array(
					esc_html__('False','craftsandarts-core') => 'false',
					esc_html__('True','craftsandarts-core') => 'true',
				),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),*/
				'description' => esc_html__( 'To enable click functionality for detailed navigation arrows. This option will take "Slides Per View" as 1.', 'craftsandarts-core' ),
				'group' => 'Carousel',
				'std' => ''				
			),	

			// Space Between Sliders
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Space Between Sliders','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-spacebetween',
				'description' => esc_html__( 'Space between sliders can be given here.', 'craftsandarts-core' ),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),*/				
				'group' => 'Carousel',
			),	

			// Overall Pagination Design Types
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Overall Pagination Design Types','craftsandarts-core'),
				'param_name' => 'portfolio-carousel-pagination-designtype',
				'value' => array( 
							esc_html__('Default','craftsandarts-core') => '', 
							esc_html__('Type 2','craftsandarts-core') => 'type2', 
							esc_html__('Type 3','craftsandarts-core') => 'type3', 
						),
				'description' => esc_html__( 'Choose overall pagination design type for your carousel.', 'craftsandarts-core' ),
				/*'dependency' => array(
					'element' => 'portfolio-post-style',
					'value' => array('default', 'portfolio-striped'),
				),	*/			
				'group' => 'Carousel',
				'std' => ''
			),				

		)
	) );
} ?>