<?php add_action( 'vc_before_init', 'dt_sc_portfolio_slider_vc_map' );
function dt_sc_portfolio_slider_vc_map() {
	vc_map( array(
		"name" => esc_html__( "Portfolio Sliders", 'craftsandarts-core' ),
		"base" => "dt_sc_portfolio_slider",
		"icon" => "dt_sc_portfolio_slider",
		"category" => DT_VC_CATEGORY .' ( '.esc_html__('Single Portfolio','craftsandarts-core').')',
		"params" => array(

			// Portfolio ID
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Portfolio ID', 'craftsandarts-core' ),
				'param_name' => 'portfolio_id',
				'description' => esc_html__( 'Enter portfolio id here. If you are going to use this shortcode in portfolio single page no need to give portfolio id.', 'craftsandarts-core' ),
				'admin_label' => true
			),

			// Gallery ID(s)
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Gallery ID', 'craftsandarts-core' ),
				'param_name' => 'gallery_ids',
				'description' => esc_html__( 'Comma separated gallery item ids to display particular gallery items only.', 'craftsandarts-core' ),
				'admin_label' => true
			),	

			// Auto Carousel
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Enable Auto Carousel', 'craftsandarts-core' ),
				'description' => esc_html__( 'Choose "True" if you like to enable auto carousel.', 'craftsandarts-core' ),
				'param_name' => 'auto_carousel',
				'value' => array(
					esc_html__( 'False', 'craftsandarts-core' ) => '',
					esc_html__( 'True', 'craftsandarts-core' ) => 'true',
				),
			),					

			// Show Featured Image
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Featured Image', 'craftsandarts-core' ),
				'description' => esc_html__( 'Choose "Yes" if you like to show featured image along with gallery.', 'craftsandarts-core' ),
				'param_name' => 'show_feature_image',
				'value' => array(
					esc_html__( 'False', 'craftsandarts-core' ) => '',
					esc_html__( 'True', 'craftsandarts-core' ) => 'true',
				),
			),

			// Show Thumbnail Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Thumbnail Pagination', 'craftsandarts-core' ),
				'description' => esc_html__( 'Choose "True" if you like to show thumbnail pagination. This option won\'t work with "Center Mode" and "Variable Width".', 'craftsandarts-core' ),
				'param_name' => 'show_thumbnail',
				'value' => array(
					esc_html__( 'False', 'craftsandarts-core' ) => '',
					esc_html__( 'True', 'craftsandarts-core' ) => 'true',
				),
			),

			// Show Arrow Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Arrow Pagination', 'craftsandarts-core' ),
				'description' => esc_html__( 'Choose "True" if you like to show arrow pagination.', 'craftsandarts-core' ),
				'param_name' => 'show_arrow',
				'value' => array(
					esc_html__( 'False', 'craftsandarts-core' ) => '',
					esc_html__( 'True', 'craftsandarts-core' ) => 'true',
				),
			),

			// Show Default Pagination
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show Default Pagination', 'craftsandarts-core' ),
				'description' => esc_html__( 'Choose "True" if you like to show default pagination. Note this option won\'t work with thumbnail pagination', 'craftsandarts-core' ),
				'param_name' => 'show_pagination',
				'value' => array(
					esc_html__( 'False', 'craftsandarts-core' ) => '',
					esc_html__( 'True', 'craftsandarts-core' ) => 'true',
				),
			),		

			// Enable Center Mode
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Enable Center Mode', 'craftsandarts-core' ),
				'description' => esc_html__( 'Choose "True" if you like to enable center mode.', 'craftsandarts-core' ),
				'param_name' => 'centermode',
				'value' => array(
					esc_html__( 'False', 'craftsandarts-core' ) => '',
					esc_html__( 'True', 'craftsandarts-core' ) => 'true',
				),
			),	

			// Enable Variable Width
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Enable Variable Width', 'craftsandarts-core' ),
				'description' => esc_html__( 'Choose "True" if you like to enable variable width.', 'craftsandarts-core' ),
				'param_name' => 'variablewidth',
				'value' => array(
					esc_html__( 'False', 'craftsandarts-core' ) => '',
					esc_html__( 'True', 'craftsandarts-core' ) => 'true',
				),
			),

			// Number Of Slides To Show
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Number Of Slides To Show', 'craftsandarts-core' ),
				'param_name' => 'numberofslides',
				'description' => esc_html__( 'Number of slides to show in your slider.', 'craftsandarts-core' ),
			),

			// Slide Width
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Slide Width', 'craftsandarts-core' ),
				'param_name' => 'slidewidth',
				'description' => esc_html__( 'Provide slide width here, in order to work number of slides option work properly.', 'craftsandarts-core' ),
			),			


		)
	) );
}?>